kylin-system-updater (3.0.0.0-ok52) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 升级版本触发传包
  * 其他改动影响域:无

 -- wangtao03 <wangtao03@kylinos.cn>  Wed, 29 Jul 2026 16:18:34 +0800

kylin-system-updater (3.0.0.0-ok40) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步v112603开发版本代码
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Tue, 24 Jun 2025 10:14:02 +0800

kylin-system-updater (3.0.0.0-ok39) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步v112603开发版本代码
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Tue, 24 Jun 2025 10:14:02 +0800

kylin-system-updater (3.0.0.0-ok38) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步postinst至不可变
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 23 Jun 2025 10:03:46 +0800

kylin-system-updater (3.0.0.0-ok37) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加允许设置proposed源,迁移到可变环境
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 20 Jun 2025 18:01:21 +0800

kylin-system-updater (3.0.0.0-ok36) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加允许设置proposed源
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 04 Jun 2025 17:13:59 +0800

kylin-system-updater (3.0.0.0-ok35) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步主线V11改动
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Thu, 27 Feb 2025 17:13:32 +0800

kylin-system-updater (3.0.0.0-ok34) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复编译报错
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Tue, 25 Feb 2025 14:13:19 +0800

kylin-system-updater (3.0.0.0-ok33) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步主线V11改动
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Thu, 13 Feb 2025 10:04:42 +0800

kylin-system-updater (3.0.0.0-ok32) nile; urgency=medium

  * BUG: 
      # 【次要】【在线更细】不可变系统设置-更新界面检测更新时间为空
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 27 Nov 2024 13:56:00 +0800

kylin-system-updater (3.0.0.0-ok31) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加维哈柯语言翻译
  * 其他改动影响域:无

 -- wangtao03 <wangtao03@kylinos.cn>  Fri, 06 Sep 2024 17:15:55 +0800

kylin-system-updater (3.0.0.0-ok30) nile; urgency=medium

  * BUG: 【2.0alpha2>>2.0release】添加proposed源后打开更新界面，显示"优先升级状态异常"，等待一段时间后弹出授权框，授权后可以检测到更新，点击更新后提示更新失败
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Wed, 31 Jul 2024 10:00:22 +0800

kylin-system-updater (3.0.0.0-ok29) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 去除部署数量超过5份时自动删除旧的，增加获取下载大小
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Mon, 22 Jul 2024 09:54:04 +0800

kylin-system-updater (3.0.0.0-ok28) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复判断openkylin版本异常
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Mon, 01 Jul 2024 22:08:41 +0800

kylin-system-updater (3.0.0.0-ok27) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复无法判断pin
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 04 Jun 2024 15:59:32 +0800

kylin-system-updater (3.0.0.0-ok26) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复kare安装卸载接口状态未同步kare daemon
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 03 Jun 2024 16:01:17 +0800

kylin-system-updater (3.0.0.0-ok25) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复超过5个部署之后部署丢失的问题
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Sat, 01 Jun 2024 15:20:58 +0800

kylin-system-updater (3.0.0.0-ok24) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加kare安装卸载接口兼容
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 29 May 2024 11:30:46 +0800

kylin-system-updater (3.0.0.0-ok23) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加判断当前可回退版本是否为初始镜像
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Sat, 25 May 2024 15:49:02 +0800

kylin-system-updater (3.0.0.0-ok22) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复代码异常
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Sun, 28 Apr 2024 09:36:53 +0800

kylin-system-updater (3.0.0.0-ok21) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复代码异常
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Thu, 25 Apr 2024 16:19:43 +0800

kylin-system-updater (3.0.0.0-ok20) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复changelog写入错误
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Wed, 24 Apr 2024 15:58:22 +0800

kylin-system-updater (3.0.0.0-ok19) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复编译报错
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Wed, 24 Apr 2024 09:08:18 +0800

kylin-system-updater (3.0.0.0-ok18) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 支持所有配置迁移到/etc目录下、支持保存历史回滚
  * 其他改动影响域:无

 -- wangsong <wangsong@kylinos.cn>  Tue, 23 Apr 2024 21:00:01 +0800

kylin-system-updater (3.0.0.0-ok17) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: immutable包control文件依赖替换
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 15 Apr 2024 14:16:19 +0800

kylin-system-updater (3.0.0.0-ok16) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: immutable同步替换加密库为cryptography
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Sat, 13 Apr 2024 10:05:58 +0800

kylin-system-updater (3.0.0.0-ok15) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 替换加密库为cryptography
  * 其他改动影响域:无

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 11 Apr 2024 15:13:26 +0800

kylin-system-updater (3.0.0.0-ok14) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修改元数据格式
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Thu, 01 Feb 2024 17:23:05 +0800

kylin-system-updater (3.0.0.0-ok13) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步修改已知问题,完成检查更新、更新下载、更新部署、回滚功能验证
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Tue, 30 Jan 2024 09:31:03 +0800

kylin-system-updater (3.0.0.0-ok12) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步修改已知问题,完成检查更新、更新下载、更新部署、回滚功能验证
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Wed, 24 Jan 2024 11:13:16 +0800

kylin-system-updater (3.0.0.0-ok11) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 安装卸载鉴权可配置，鉴权保持
  * 其他改动影响域:可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Wed, 17 Jan 2024 17:35:00 +0800

kylin-system-updater (3.0.0.0-ok10) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步修改已知问题,完成检查更新、更新下载、更新部署、回滚功能验证
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Mon, 15 Jan 2024 17:29:41 +0800

kylin-system-updater (3.0.0.0-ok9) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 同步主线问题
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Fri, 12 Jan 2024 16:06:04 +0800

kylin-system-updater (3.0.0.0-ok8) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复自测发现问题，出现部署失败
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Mon, 08 Jan 2024 14:56:18 +0800

kylin-system-updater (3.0.0.0-ok7) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复编译错误
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Mon, 18 Dec 2023 18:26:39 +0800

kylin-system-updater (3.0.0.0-ok6) nile; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复回退界面卡住问题
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn>  Mon, 18 Dec 2023 17:45:22 +0800

kylin-system-updater (3.0.0.0-ok5) nile; urgency=medium

  * 修改编译包

 -- liushanwen <liushanwen@kylinos.cn>  Thu, 14 Dec 2023 17:21:33 +0000

kylin-system-updater (3.0.0.0-ok4) nile; urgency=medium

  * BUG: 204624 【更新】通知内容显示乱码
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:不可变系统更新

 -- wangsong <wangsong@kylinos.cn> Wed, 13 Dec 2023 15:02:43 +0800

kylin-system-updater (3.0.0.0-ok3) nile; urgency=medium

  * BUG:无
  * 需求号: 无
  * 其他改动说明: 修复control文件缺少description字段
  * 其他改动影响域:系统更新

 -- wangsong <wangsong@kylinos.cn>  Wed, 13 Dec 2023 09:12:38 +0800

kylin-system-updater (3.0.0.0-ok2) nile; urgency=medium

  * BUG:无
  * 需求号: 无
  * 其他改动说明: 同时兼容可变系统更新包以及不可变系统更新包 
  * 其他改动影响域:系统更新

 -- wangsong <wangsong@kylinos.cn>  Tue, 12 Dec 2023 20:40:24 +0800

kylin-system-updater (3.0.0.0-ok1) nile; urgency=medium

  * BUG:无
  * 需求号: 无
  * 其他改动说明: 引入基于不可变系统的系统更新
  * 其他改动影响域:系统更新

 -- wangsong <wangsong@kylinos.cn>  Mon, 04 Dec 2023 11:36:30 +0800

kylin-system-updater (2.0.5.15-ok9) yangtze; urgency=medium

  * BUG:issues/I8305P【控制面板】【更新】d-feet设置参数开启"自动更新"后，日志中显示download time及install time可以下载更新包成功安装失败
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- shenyafeng <shenyafeng@kylinos.cn>  Thu, 21 Sep 2023 11:45:48 +0800

kylin-system-updater (2.0.5.15-ok8) yangtze; urgency=medium

  * BUG:issues/I73QYF【RISC-V】【visionfive2】【更新】系统未集成更新相关的包
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 13 Jun 2023 19:02:33 +0800

kylin-system-updater (2.0.5.15-ok7) yangtze; urgency=medium

  * BUG:无
  * 需求号: 无
  * 其他改动说明: 添加删除白名单
  * 其他改动影响域:系统更新

 -- shenyafeng <shenyafeng@kylinos.cn>  Tue, 13 Jun 2023 19:02:33 +0800

kylin-system-updater (2.0.5.15-ok6) yangtze; urgency=medium

  * BUG: #/etc/os-release配置文件中缺少参数，导致自动更新日志中无法生成下载时间和安装时间 
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- shenyafeng <shenyafeng@kylinos.cn>  Fri, 02 Jun 2023 13:38:21 +0800

kylin-system-updater (2.0.5.15-ok5) yangtze; urgency=medium

  * BUG: #无
  * 需求号: 无
  * 其他改动说明: 同步2303主线代码
  * 其他改动影响域:系统更新

 -- Kevin Duan <duankaiwen@kylinos.cn>  Mon, 29 May 2023 14:50:31 +0800

kylin-system-updater (2.0.5.15-ok4) yangtze; urgency=medium

  * BUG: #无
  * 需求号: 无
  * 其他改动说明: 同步2303主线代码
  * 其他改动影响域:系统更新

 -- Kevin Duan <duankaiwen@kylinos.cn>  Mon, 29 May 2023 14:47:14 +0800

kylin-system-updater (2.0.5.15-ok3) yangtze; urgency=medium

  * BUG: #无
  * 需求号: 无
  * 其他改动说明: 修复软件商店调用安装接口失败
  * 其他改动影响域:系统更新

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 05 Jan 2023 11:42:30 +0800

kylin-system-updater (2.0.5.15-ok2) yangtze; urgency=medium

  * 更新版本

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 03 Nov 2022 19:14:02 +0800

kylin-system-updater (2.0.5.15-ok1) yangtze; urgency=medium

  * BUG: #140507 : 【2203自适应升级2209】2107升级到2203，再由2203自适应升级至2209-RC6失败
         #145229 : 【2203自适应升级2209】升级过程中出现弹窗认证

  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 27 Oct 2022 17:31:10 +0800

kylin-system-updater (2.0.5.14) v101; urgency=medium

  * BUG: #144937 : 【2203自适应升级2209】自动更新下载报错
         #144756 : 【在线更新】开启自动更新，kylin-unattended-upgrades服务状态异常
         #140277 : 【在线更新】更新失败后查看更新历史，显示包名
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 21 Oct 2022 20:46:42 +0800

kylin-system-updater (2.0.5.13) v101; urgency=medium

  * BUG: #141330 【在线更新】0521系统在线升级到2203-update1时提示依赖冲突
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 17 Oct 2022 11:25:38 +0800

kylin-system-updater (2.0.5.12) v101; urgency=medium

  * BUG: #141197 【在线更新】更新升级安装软件包过程中点击电源后还可以正常关机重启、
         #141309 【在线更新】自动更新失败
         #142560 【2203自适应升级2209】用命令升级完成后，控制面板-关于界面的版本号和系统补丁版本号均为2203
         #143275 【2203自适应升级2209】使用自动更新下载安装命令升级成功后，控制面板-更新界面依然能检测出“系统更新”和“系统基础组件”
         #143274 【2203自适应升级2209】使用自动更新下载安装命令升级成功后，开始菜单缺少部分软件
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 13 Oct 2022 17:39:44 +0800

kylin-system-updater (2.0.5.11) v101; urgency=medium

  * BUG: #140451 【2203自适应升级2209】自动更新下载报错
         #139133 【需求12242】【软件商店客户端】软件卸载后未自动清除卸载后的残留
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 16 Sep 2022 17:57:01 +0800

kylin-system-updater (2.0.5.10) v101; urgency=medium

  * BUG: #138243 修复优先升级，安装的部分检查出计算依赖错误
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 09 Sep 2022 11:17:10 +0800

kylin-system-updater (2.0.5.9) v101; urgency=medium

  * BUG: #138243 修复优先升级，安装的部分检查出计算依赖错误
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 09 Sep 2022 09:17:10 +0800

kylin-system-updater (2.0.5.8) v101; urgency=medium

  * BUG: #135190【2203自适应升级2209】系统更新自动下载和安装，内核未更新
   	 #136765 【离线更新】使用U盘源时，控制面板-更新中，“有更新应用时通知”打开无效果
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 02 Sep 2022 11:36:58 +0800

kylin-system-updater (2.0.5.7) v101; urgency=medium

  * BUG: #126438 【reopen】【安装器】中文环境下，安装失败或者未授权的错误日志信息显示为英文
        #134470 【设计】安装失败日志语言显示异常
        #127975 【reopen】【云桌面】【在线更新】累计更新成功后，系统版本号以及补丁包版本号未发生变化
        #135020 【在线更新】【PTOF】更新成功后，系统版本号以及补丁包版本号不会变化
        #136748 【在线更新】从安装器安装和更新软件后，本地日志未记录数据，未进行上传。
  * 需求号: # 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 30 Aug 2022 09:46:29 +0800

kylin-system-updater (2.0.5.6) v101; urgency=medium

  * BUG: #135270【解决方案|更新升级V1.6】【系统更新客户端】客户端进行自动更新，更新失败后，查看更新历史，历史内容显示为空
         #135227 【解决方案|更新升级V1.6】【更新升级】未连接网络时，更新界面显示“检查更新异常！”，悬浮提示为“无法访问源管理服务器，请稍后再试”
     	 #136093  【解决方案|更新升级V1.6】【更新升级】使用安装器安装deb包，旧的服务没有收集到数据          
         #135372 【解决方案|更新升级V1.6】【系统更新客户端】客户端进行自动更新，更新后，查看更新历史分组名称显示了包名，应该显示软件名称          
         #120948  【在线更新】断网时检测更新失败的文案何设计图不符
  * 需求号: # 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 24 Aug 2022 17:56:46 +0800

kylin-system-updater (2.0.5.5) v101; urgency=medium

  * BUG: #120948  【在线更新】断网时检测更新失败的文案何设计图不符
         # 134470 【设计】安装失败日志语言显示异常
  * 需求号: # 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 04 Aug 2022 09:28:58 +0800

kylin-system-updater (2.0.5.4) v101; urgency=medium

  * BUG: #134497 【在线更新】打开设置-更新，自动更新按钮默认是“打开”状态
         #134493 【在线更新】【PTOF】更新完成后重启系统，打开设置-更新界面，提示“后台程序未启动”
         #131509 【更新升级】环境破损修复之后，没有自动安装更新包
         #125723 【x100】【系统更新】英文安装操作系统，修改系统语言为中文后，检测更新的提示语仍是英文的
         #120948 【在线更新】断网时检测更新失败的文案何设计图不符
         #134470 【设计】安装失败日志语言显示异常
         #126438 【安装器】中文环境下，安装失败或者未授权的错误日志信息显示为英文
         #122425 【在线更新】设置每隔1min38s弹出通知，在弹出的通知弹窗中点击推迟，1min38s后再次弹出更新通知
  * 需求号: # 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 04 Aug 2022 09:28:58 +0800

kylin-system-updater (2.0.5.3) v101; urgency=medium

  * BUG: # 125182 【安装器】在安全中心将应用程序来源检查设置为阻止，双击安装未签名deb包，安装失败但是日志为空
         # 122183 【在线更新】上午8-12点外仍会弹出更新通知 
  * 需求号: 无 
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 18 Jul 2022 10:48:43 +0800

kylin-system-updater (2.0.5.2) v101; urgency=medium

  * BUG: #118026 【在线更新】英文环境下，安装和卸载应用时弹出授权界面，提示内容表述方式不一致
         #125182 【安装器】在安全中心将应用程序来源检查设置为阻止，双击安装未签名deb包，安装失败但是日志为空
         #126365 【安装器】英文状态下授权窗口未中文
         #126787 【离线更新】光盘源/U盘源插入被测机器，控制面板-更新界面提示软件源更新失败
         #124430 【在线更新】控制面板-更新中“自动下载和安装更新”按钮未与配置文件进行联动
         #120948 【在线更新】断网时检测更新失败的文案何设计图不符
  * 需求号: 无 
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 07 Jul 2022 17:27:22 +0800

kylin-system-updater (2.0.5.1) v101; urgency=medium

  * BUG: # 121890 【更新升级】部分应用更新完成后，在“查看历史更新”中查不到数据
         # 123985 【在线更新】系统存在可选更新且在设置中开启了自动下载和安装更新，系统到达定时下载的时间未进行自动下载
         # 110370 【更新升级】 【自动更新】出现一次，自动更新安装服务，将本地安装包地址检测成源地址导致安装报错
  * 需求号: # 12722 【更新升级】系统更新全流程监控
           # 12720 【更新升级】升级环境检测
           # 12721 【更新升级】系统版本号体系
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 13 Jun 2022 16:25:38 +0800

kylin-system-updater (2.0.4.3) v101; urgency=medium

  * BUG: # 118021 【在线更新】中文环境下，安装和卸载应用时弹出授权界面，提示内容未汉化 
         # 118026 【在线更新】英文环境下，安装和卸载应用时弹出授权界面，提示内容表述方式不一致
         # 122799 【在线更新】配置项中的源地址错误时，客户端重启后打开设置更新，提示后台程序未启动
         # 119435 【更新升级】配置组包json格式错误时，system-updater、自动更新服务均不能启动，更新功能失效，需要增加异常处理机制
         # 121781 【在线更新】中文环境下，静默更新完成后，右上角及侧边栏通知未汉化
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 06 Jun 2022 11:15:22 +0800

kylin-system-updater (2.0.4.2kord) v101; urgency=medium

  * BUG: # 118021 【在线更新】中文环境下，安装和卸载应用时弹出授权界面，提示内容未汉化 
         # 118026 【在线更新】英文环境下，安装和卸载应用时弹出授权界面，提示内容表述方式不一致
         # 122799 【在线更新】配置项中的源地址错误时，客户端重启后打开设置更新，提示后台程序未启动
         # 119435 【更新升级】配置组包json格式错误时，system-updater、自动更新服务均不能启动，更新功能失效，需要增加异常处理机制
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 02 Jun 2022 17:36:29 +0800

kylin-system-updater (2.0.3.2kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加系统版本号
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 10 May 2022 19:13:31 +0800

kylin-system-updater (2.0.2kord) v101; urgency=medium

  * BUG:  113951 【电源管理】偶现机器无法通过关机选项或终端命令睡眠、关机或重启（7/10）
  * 需求号: 无
  * 其他改动说明: 增加系统版本号
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Sat, 07 May 2022 15:46:36 +0800

kylin-system-updater (2.0.1kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加开机定时下载、关机安装功能，仅合入代码未启用功能
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 19 Apr 2022 17:40:34 +0800

kylin-system-updater (2.0.0kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: sp3前后端分离: 更新后端+自动更新
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 14 Apr 2022 14:41:41 +0800

kylin-system-updater (1.4.20kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复计算删除包异常
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 16 Mar 2022 11:20:36 +0800

kylin-system-updater (1.4.19kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明:
    调整自动更新的开关接口,新增检查更新时候的当前状态显示;优化更新下载阶段增加超时退出功能;
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 16 Mar 2022 09:25:02 +0800

kylin-system-updater (1.4.18kord) v101; urgency=medium

  * BUG: # 109487 【更新升级】【重启提示】【PTOF】全部更新-备份更新方式，备份完成不继续更新流程
         # 109871 【自适应升级】【系统更新】单个更新回连后提示您的系统已是最新，实际存在未更新的包
         # 108555 【自适应升级】【更新升级】升级系统更新进度在85%卡住，重启控制面板显示英文提示，不显示检测的更新内容，重启后恢复
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 14 Mar 2022 18:27:17 +0800

kylin-system-updater (1.4.17kord) v101; urgency=medium

  * BUG: #109623 【自适应升级】 【系统更新】光盘源拔出后，还在尝试获取光盘源内容，未自动检测仓库源，可手动恢复
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 11 Mar 2022 14:51:18 +0800

kylin-system-updater (1.4.16kord) v101; urgency=medium

  * BUG: #108277 【自适应升级】更新升级过程中提示“ukui-kwin-common”缺少依赖
         #109095 【自适应升级】【更新升级】 0326arm版本安装system-updater 1.4.14升级后，系统自适应升级过程超时，控制面板中未结束更新一直停留在安装中的状态
         #108665 【自适应升级】【更新升级】0326arm进行版本升级后提示升级成功，实际有部分包未安装成功
         #109032 【自适应升级】【更新升级】公网不可访问时不能获取更新列表进行更新
         #109036 【自适应升级】【更新升级】 自适应升级后，全部更新中包含缺依赖的包，更新完成后在历史记录中缺依赖的包也显示更新成
         # 105722 【安装器】【龙芯3A5000】安装器安装用户手册deb时提示依赖错误，但是用dpkg命令可以安装
         # 103939 【安装器】安装高版本用户手册后，安装低版本，提示安装失败，dpkg可以安装成功 
         # 100272 【安装器】双击deb包无法安装，日志中提示存在依赖，但通过dpkg可以安装 
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 09 Mar 2022 17:57:25 +0800

kylin-system-updater (1.4.15kord) v101; urgency=medium

  * BUG: #108555:【自适应升级】【更新升级】升级系统更新进度在85%卡住，重启控制面板显示英文提示，不显示检测的更新内容，重启后恢复 
         #102591:【控制面板|更新】笔记本在20%低电量时更新未有任何特殊提示，建议增加
         #105111:【更新升级】【重启提示】更新完成后出现弹窗提示重启，此时安装另一包（手动安装或者静默更新后台安装包过程中）后点击弹窗中的立即重启，系统不重启也无提示
         #102172:【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，更新设置会恢复默认
         #102104:【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，上次更新时间与更新历史被清空
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 04 Mar 2022 18:36:09 +0800

kylin-system-updater (1.4.14.1kord) v101; urgency=medium

  * BUG: #108555:【自适应升级】【更新升级】升级系统更新进度在85%卡住，重启控制面板显示英文提示，不显示检测的更新内容，重启后恢复 
         #102591:【控制面板|更新】笔记本在20%低电量时更新未有任何特殊提示，建议增加
         #105111:【更新升级】【重启提示】更新完成后出现弹窗提示重启，此时安装另一包（手动安装或者静默更新后台安装包过程中）后点击弹窗中的立即重启，系统不重启也无提示
         #102172:【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，更新设置会恢复默认
         #102104:【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，上次更新时间与更新历史被清空
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 04 Mar 2022 18:36:09 +0800

kylin-system-updater (1.4.13.1kord) v101; urgency=medium

  * BUG: #108277:  【自适应升级】更新升级过程中提示“ukui-kwin-common”缺少依赖
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 02 Mar 2022 17:42:47 +0800

kylin-system-updater (1.4.13kord) v101; urgency=medium

  * BUG: 无 
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 01 Mar 2022 09:07:07 +0800

kylin-system-updater (1.4.12kord) v101; urgency=medium

  * BUG: #102172: 【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，更新设置会恢复默认
         #102104: 【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，上次更新时间与更新历史被清空
  	     #101852: 【用户手册】【更新升级】用户手册中设置下的更新升级内容与文档不一致
         #104435: 【用例240562】设置-更新界面点击菜单栏-帮助，未直接定位到更新部分
         #105336: 【更新升级】【重启提示】自动更新安装开始和结束的弹窗内容显示不明确  
         #105330 【更新升级】【重启提示】存在源中无所需依赖的包时，弹窗是否进行全盘更新，点击确认后控制面板闪退
         # 105104 【更新升级】【重启提示】带按钮的强弹窗不应该出现在侧边栏，需修改弹窗类型
         # 102465 【系统更新】缺依赖的包，单个更新提示缺依赖后点击全部更新提示更新成功
         # 102175 【自适应更新】【系统更新】升级后，更新一个安装时间较长的包，重启控制面板，此时会一直等待收到安装完成的信号后，才能继续检测更新，影响用户体验
         # 102015 【97888】【系统更新】使用光盘源更新缺依赖的包提示"没有找到需要升级和安装的包"，未提示缺依赖
         # 101864 【自适应更新】【自动更新】自动更新下载阶段或者备份前阶段打开控制面板，自动更新服务均不能自动退出 
         # 101852 【用户手册】【更新升级】用户手册中设置下的更新升级内容与文档不一致
         # 101669 【自适应更新】【自动更新】自动更新过滤掉了非正式源，只能获取archive正式源的包，其余源的更新内容不能获取到 
         # 93555 【系统更新】【SP2 UI走查】更新-页面未按最新设计稿实现
         # 90446 【更新升级-需求-9002】【系统更新】点击单个更新后，取消更新按钮未上下对齐 
         # 89824 【更新升级-需求-9002】【系统更新】单个待更新包选择全部更新，拒绝安装后不应该提示"部分更新失败"
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 01 Mar 2022 09:07:07 +0800

kylin-system-updater (1.4.11.2kord) v101; urgency=medium

  * BUG: #102172: 【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，更新设置会恢复默认
         #102104: 【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，上次更新时间与更新历史被清空
  	     #101852: 【用户手册】【更新升级】用户手册中设置下的更新升级内容与文档不一致
         #104435: 【用例240562】设置-更新界面点击菜单栏-帮助，未直接定位到更新部分
         #105336: 【更新升级】【重启提示】自动更新安装开始和结束的弹窗内容显示不明确  
         #105330 【更新升级】【重启提示】存在源中无所需依赖的包时，弹窗是否进行全盘更新，点击确认后控制面板闪退
         # 105104 【更新升级】【重启提示】带按钮的强弹窗不应该出现在侧边栏，需修改弹窗类型
         # 102465 【系统更新】缺依赖的包，单个更新提示缺依赖后点击全部更新提示更新成功
         # 102175 【自适应更新】【系统更新】升级后，更新一个安装时间较长的包，重启控制面板，此时会一直等待收到安装完成的信号后，才能继续检测更新，影响用户体验
         # 102015 【97888】【系统更新】使用光盘源更新缺依赖的包提示"没有找到需要升级和安装的包"，未提示缺依赖
         # 101864 【自适应更新】【自动更新】自动更新下载阶段或者备份前阶段打开控制面板，自动更新服务均不能自动退出 
         # 101852 【用户手册】【更新升级】用户手册中设置下的更新升级内容与文档不一致
         # 101669 【自适应更新】【自动更新】自动更新过滤掉了非正式源，只能获取archive正式源的包，其余源的更新内容不能获取到 
         # 93555 【系统更新】【SP2 UI走查】更新-页面未按最新设计稿实现
         # 90446 【更新升级-需求-9002】【系统更新】点击单个更新后，取消更新按钮未上下对齐 
         # 89824 【更新升级-需求-9002】【系统更新】单个待更新包选择全部更新，拒绝安装后不应该提示"部分更新失败"
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 01 Mar 2022 09:07:07 +0800

kylin-system-updater (1.4.11kord) v101; urgency=medium

  * BUG: #102172: 【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，更新设置会恢复默认
         #102104: 【自适应更新】【系统更新】从sp1 0722自适应升级到sp2 1223版本后，上次更新时间与更新历史被清空
  	 #101852: 【用户手册】【更新升级】用户手册中设置下的更新升级内容与文档不一致
         #104435: 【用例240562】设置-更新界面点击菜单栏-帮助，未直接定位到更新部分
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 22 Feb 2022 09:10:12 +0800

kylin-system-updater (1.4.10kord) v101; urgency=medium

  * BUG: #101864: 【自适应更新】【自动更新】自动更新下载阶段或者备份前阶段打开控制面板，自动更新服务均不能自动退出
         #104699:  【自适应更新】【自动更新】自动更新过滤掉了非正式源，只能获取archive正式源的包，其余源的更新内容不能获取到  
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 22 Feb 2022 09:10:12 +0800

kylin-system-updater (1.4.9kord) v101; urgency=medium

  * BUG: #105336: 【更新升级】【重启提示】自动更新安装开始和结束的弹窗内容显示不明确
         #104275: 【系统更新】自动更新和下载无法使用
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 11 Feb 2022 18:15:54 +0800

kylin-system-updater (1.4.8kord) v101; urgency=medium

  * BUG: #100272: 【安装器】双击deb包无法安装，日志中提示存在依赖，但通过dpkg可以安装
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 27 Jan 2022 20:57:33 +0800

kylin-system-updater (1.4.7kord) v101; urgency=medium

  * BUG: #89964: 【更新升级-需求-9002】【系统更新】当前源锁定方案对于私有化部署用户，获取更新包时，不易自由从私有源、公网源之间切换
         #89921:  【更新升级-需求-9002】【系统更新】sources.list中sp1源与私有源共存，私有源中包版本高，实际更新获取的是私有源的包，锁定源未生效
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 24 Jan 2022 20:47:39 +0800

kylin-system-updater (1.4.6.1kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加重启弹窗
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 18 Jan 2022 21:45:30 +0800

kylin-system-updater (1.4.6kord) v101; urgency=medium

  * BUG: #102463: 【自动更新】自动更新时源优先级策略未生效，实际获取所有源中最高版本而非按照设置的优先级顺序获取包，导致包版本下载错误
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 18 Jan 2022 21:45:30 +0800

kylin-system-updater (1.4.5kord) v101; urgency=medium

  * BUG: #102442 【系统更新】【PTOF】系统更新过程重启控制面板，页面展示内容为上次更新时间并持续停留在此页面，此时不能获取更新列表进行更新操作
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 14 Jan 2022 20:38:07 +0800

kylin-system-updater (1.4.4kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加自适应更新的安装重启提示
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 12 Jan 2022 21:34:56 +0800

kylin-system-updater (1.4.3kord) v101; urgency=medium

  * BUG: #94805 【更新升级-需求-9002】【系统更新】更新页面上方文字与图标未对齐
         #101985【更新】系统字号为15，点击查看历史设备，左上角“历史更新”字样未随系统字号改变而改变
         #101669【自适应更新】【自动更新】自动更新过滤掉了非正式源，只能获取archive正式源的包，其余源的更新内容不能获取到
         #102069【安装器】无法安装360助手等三方软件且报错不满足依赖，使用dpkg命令可以成功安装且不需要安装其他依赖
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 10 Jan 2022 18:11:55 +0800

kylin-system-updater (1.4.1.5kord) v101; urgency=medium

  * BUG: #94805 【更新升级-需求-9002】【系统更新】更新页面上方文字与图标未对齐
         #101985【更新】系统字号为15，点击查看历史设备，左上角“历史更新”字样未随系统字号改变而改变
         #101333【控制面板】【更新】系统语言为英文，系统字号为15，系统主题为默认，升级页面自动下载与安装更新悬浮框背景为黑色
         #101669【自适应更新】【自动更新】自动更新过滤掉了非正式源，只能获取archive正式源的包，其余源的更新内容不能获取到
         #102069【安装器】无法安装360助手等三方软件且报错不满足依赖，使用dpkg命令可以成功安装且不需要安装其他依赖
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 10 Jan 2022 18:11:55 +0800

kylin-system-updater (1.4.1.1kord) v101; urgency=medium

  * BUG: #101309【控制面板】【更新】更新页面图标和检查更新时的动画丢失
         #89824【更新升级-需求-9002】【系统更新】单个待更新包选择全部更新，拒绝安装后不应该提示"部分更新失败"；且更新失败后应该出现检测更新的按钮
         #100839【控制面板|更新】最大字号，一个账户系统语言为英文，一个为中文，英文账户的控制面板-更新界面显示不全
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新插件

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 24 Dec 2021 10:36:19 +0800

kylin-system-updater (1.4.0kord) v101; urgency=medium

  * BUG: #99496【系统更新】【英文】【UI布局】更新界面提示信息较长时，页面格式变成左右拖动框与其他界面格式不符
         #98774【用例104332】【升级】更新历史窗口，左侧名称显示不全
         #97888【离线更新】【PTOF】控制面板识别不到光盘源中的包
         #97116【控制面板|更新】更新界面检测按钮显示不全
         #95290【系统更新】系统语言为英文时，打开控制面板-更新升级页面，再切换到字体页面，将字号切换到15号，返回升级页面，details显示不全
         #94804【更新升级-需求-9002】【系统更新】应用后的更新按钮内“更新”字样未居中
         #93555【系统更新】【SP2 UI走查】更新-页面未按最新设计稿实现
         #85618【内测】【摸底测试】【更新升级】上次更新提示词错误
         #85312【内测】【摸底测试】【更新升级】更新失败提示字不合理
         #85269【内测】【控制面板|更新】英文模式下检查更新文字显示不全
  * 需求号: 无
  * 其他改动说明: 修改frame边际，保证在显示器不同缩放情况下仍然能够正常显示
  * 其他改动影响域:系统更新插件

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 24 Dec 2021 10:36:19 +0800

kylin-system-updater (1.3.5kord) v101; urgency=medium

  * BUG: #100356【试用模式】点击设置的更新，控制面板闪退（安装完系统后打开不会闪退）
         #93390 【控制面板|更新】打开控制面板切换深色主题，不关闭控制面板的前提下更新部分文字未反白
         #91169 【更新升级-需求-9002】【系统更新】开启通知可更新应用后不弹窗通知可更新
         #99894 【安装器】安装失败-不满足依赖的提示未汉化
         #97120 【控制面板|更新】软件源更新失败提示语未汉化
         #99500 【系统更新】【英文】【UI布局】更新界面，update settings与下方标题未对齐
         #99498 【系统更新】【英文】【UI布局】更新界面，自动更新的第二行介绍显示不全
  * 需求号: 无
  * 其他改动说明: 修改部分英文表述和中文翻译
  * 其他改动影响域:系统更新插件

 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 24 Dec 2021 10:36:19 +0800

kylin-system-updater (1.3.4kord) v101; urgency=medium

  * BUG: #100356【试用模式】点击设置的更新，控制面板闪退（安装完系统后打开不会闪退）
         #93390 【控制面板|更新】打开控制面板切换深色主题，不关闭控制面板的前提下更新部分文字未反白
         #91169 【更新升级-需求-9002】【系统更新】开启通知可更新应用后不弹窗通知可更新
         #99894 【安装器】安装失败-不满足依赖的提示未汉化
         #97120 【控制面板|更新】软件源更新失败提示语未汉化
         #99500 【系统更新】【英文】【UI布局】更新界面，update settings与下方标题未对齐
         #99498 【系统更新】【英文】【UI布局】更新界面，自动更新的第二行介绍显示不全
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新插件
 
 -- hechengyuan <hechengyuan@kylinos.cn>  Fri, 24 Dec 2021 10:36:19 +0800

kylin-system-updater (1.3.2.1kord) v101; urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 增加运行依赖python3-distro-info
  * 其他改动影响域:系统更新插件

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 24 Dec 2021 10:36:19 +0800

kylin-system-updater (1.3.2kord) v101; urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修改与旧版本控制面板的冲突
  * 其他改动影响域:系统更新插件

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 23 Dec 2021 16:44:11 +0800

kylin-system-updater (1.3.1kord) v101; urgency=medium
  
  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修复点击全部升级后执行更新检测的问题
  * 其他改动影响域:系统更新全部升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 21 Dec 2021 17:07:57 +0800

kylin-system-updater (1.3.0kord) v101; urgency=medium
  
  * BUG:  #97525:  【安装器】安装器无法安装降级的deb包，终端dpkg可以安装
          #85685:  【更新升级】中断自动备份更新过程后，无法再进行自动备份更新
          #97859:  【安装器】安装软件包失败的输出日志不够详细
  * 需求号: 无
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 21 Dec 2021 17:07:57 +0800

kylin-system-updater (1.2.18.5kord) v101; urgency=medium

  * BUG:  #97525:  【安装器】安装器无法安装降级的deb包，终端dpkg可以安装
  * 需求号: 无
  * 其他改动说明: 更改logrotate.d/unattended-upgrades
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 21 Dec 2021 10:55:43 +0800

kylin-system-updater (1.2.18.4kord) v101; urgency=medium

  * BUG:  #97525:  【安装器】安装器无法安装降级的deb包，终端dpkg可以安装
  * 需求号: 无
  * 其他改动说明:
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 21 Dec 2021 09:33:38 +0800

kylin-system-updater (1.2.18.3kord) v101; urgency=medium

  * BUG:  #97525:  【安装器】安装器无法安装降级的deb包，终端dpkg可以安装
  * 需求号: 无
  * 其他改动说明: 合并plugin_dev改动，测试
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 17 Dec 2021 17:11:23 +0800

kylin-system-updater (1.2.18.2kord) v101; urgency=medium

  * BUG:
  * 需求号: 无
  * 其他改动说明: 合并plugin_dev改动，测试
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 16 Dec 2021 10:42:14 +0800

kylin-system-updater (1.2.18.1kord) v101; urgency=medium

  * BUG:  
  * 需求号: 无
  * 其他改动说明: 
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 14 Dec 2021 16:20:58 +0800

kylin-system-updater (1.2.18kord) v101; urgency=medium

  * BUG:  #95760:  【更新升级-需求-9002】【系统更新】控制面板更新提示更新失败-软件包错误，实际已经安装成功
  * 需求号: 无
  * 其他改动说明: 修改大数据采集后端dbus接口
  * 其他改动影响域:系统更新多维数据采集

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 13 Dec 2021 10:23:39 +0800

kylin-system-updater (1.2.17.3kord) v101; urgency=medium

  * BUG:  #95760:  【更新升级-需求-9002】【系统更新】控制面板更新提示更新失败-软件包错误，实际已经安装成功
  * 需求号: 无
  * 其他改动说明: 修改大数据采集后端dbus接口
  * 其他改动影响域:系统更新多维数据采集

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 13 Dec 2021 10:23:39 +0800

kylin-system-updater (1.2.17.2kord) v101; urgency=medium

  * BUG:  无
  * 需求号: 无
  * 其他改动说明: 更改过滤属性获取不正确；新增大数据采集后端dbus接口
  * 其他改动影响域:系统更新过滤与多维数据采集

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 10 Dec 2021 16:12:36 +0800

kylin-system-updater (1.2.17.1kord) v101; urgency=medium

  * BUG:  无
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 09 Dec 2021 17:43:44 +0800

kylin-system-updater (1.2.17kord) v101; urgency=medium

  * BUG:  #89964: 【系统更新】当前源锁定方案对于私有化部署用户，获取更新包时，不易自由从私有源、公网源之间切换
          #89921: 【系统更新】sources.list中sp1源与私有源共存，私有源中包版本高，实际更新获取的是私有源的包，锁定源未生效
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 06 Dec 2021 20:31:13 +0800

kylin-system-updater (1.2.16.3kord) v101; urgency=medium

  * BUG:  #89964: 【系统更新】当前源锁定方案对于私有化部署用户，获取更新包时，不易自由从私有源、公网源之间切换
          #89921: 【系统更新】sources.list中sp1源与私有源共存，私有源中包版本高，实际更新获取的是私有源的包，锁定源未生效
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 06 Dec 2021 20:31:13 +0800

kylin-system-updater (1.2.16.1kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 02 Dec 2021 17:48:37 +0800

kylin-system-updater (1.2.15.3kord) v101; urgency=medium

  * BUG:  #93483: 【在线更新】控制面板识别不出ftp源中的包
          #93484: 【用例104578】单个更新提示不能关机，全部更新能关机
          #93312: 【系统升级】详情中的下载大小与实际不符
          #89819: 【系统更新】全部更新和单个更新开始过程几秒钟，网速固定是100B/S未显示实际网速；下载完成包后更新，显示0B/0B，建议改为下载完成
          #89544: 【系统更新】大包（4g）更新包，在控制面板显示下载大小为0KB，单个更新后不显示下载中而是安装中
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 02 Dec 2021 17:48:37 +0800

kylin-system-updater (1.2.15.1kord) v101; urgency=medium

  * BUG:  #90667: 【系统更新】系统更新-单个更新，下载过程中取消按钮不应该被屏蔽
          #90446: 【系统更新】点击单个更新后，取消更新按钮未上下对齐
          #89817: 【系统更新】控制面板-更新界面未进行英化
          #89530: 【系统更新】取消单个更新后还会弹出是否安装的窗口
          #85487: 【更新升级】系统语言为英文时，Check Update和back显示不全
          #85180: 【更新升级】提示网络异常后仍显示正在下载并安装更新，且全部更新按钮可点击
          #69831: 【系统升级】点击全部更新后，软件包更新失败，控制面板中仍显示正在下载和更新
          #85315: 【更新升级】更新成功后仍显示正在更新
          #90077: 【系统更新】全部更新过程中，更新软件源进度是11% 91% 92%，不是线性增长
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 01 Dec 2021 17:00:17 +0800

kylin-system-updater (1.2.15kord) v101; urgency=medium

  * BUG:  #90667: 【系统更新】系统更新-单个更新，下载过程中取消按钮不应该被屏蔽
          #90446: 【系统更新】点击单个更新后，取消更新按钮未上下对齐
          #89817: 【系统更新】控制面板-更新界面未进行英化
          #89530: 【系统更新】取消单个更新后还会弹出是否安装的窗口
          #85487: 【更新升级】系统语言为英文时，Check Update和back显示不全
          #85180: 【更新升级】提示网络异常后仍显示正在下载并安装更新，且全部更新按钮可点击
          #69831: 【系统升级】点击全部更新后，软件包更新失败，控制面板中仍显示正在下载和更新
          #85315: 【更新升级】更新成功后仍显示正在更新
          #90077: 【系统更新】全部更新过程中，更新软件源进度是11% 91% 92%，不是线性增长
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 30 Nov 2021 19:46:46 +0800

kylin-system-updater (1.2.14.1kord) v101; urgency=medium

  * BUG:  #90667: 【系统更新】系统更新-单个更新，下载过程中取消按钮不应该被屏蔽
          #90446: 【系统更新】点击单个更新后，取消更新按钮未上下对齐
          #89817: 【系统更新】控制面板-更新界面未进行英化
          #89530: 【系统更新】取消单个更新后还会弹出是否安装的窗口
          #85487: 【更新升级】系统语言为英文时，Check Update和back显示不全
          #85180: 【更新升级】提示网络异常后仍显示正在下载并安装更新，且全部更新按钮可点击
          #69831: 【系统升级】点击全部更新后，软件包更新失败，控制面板中仍显示正在下载和更新
          #85315: 【更新升级】更新成功后仍显示正在更新
          #90077: 【系统更新】全部更新过程中，更新软件源进度是11% 91% 92%，不是线性增长
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 30 Nov 2021 19:46:46 +0800

kylin-system-updater (1.2.13.3kord) v101; urgency=medium

  * BUG:  #93675: 【系统更新】点击单个更新，准备更新过程中点击取消，仍然可以更新应用
          #93668: 【系统更新】点击单个更新，下载过程中点击取消，出现安装中字样再提示本次更新已取消
          #93320: 【系统升级】更新过程中退出控制面板，再打开进入升级无法看到正在更新的应用
          #93309: 【系统升级】更新过程中，取消按钮置灰无法点击
          #90660: 【系统更新】第一次装机，打开控制面板进行系统更新，备份完成后提示备份完成不继续更新流程
          #90455: 【系统更新】更新前的备份过程中退出控制面板，再次打开控制面板选择备份更新界面卡在开始备份，正在获取进度，等待上次备份完成才能恢复
          #89819: 【系统更新】全部更新和单个更新开始过程几秒钟，网速固定是100B/S未显示实际网速；下载完成包后更新，显示0B/0B，建议改为下载完成
          #89527: 【系统更新】单个更新失败后，点击全部更新后取消，失败的单个更新后方出现取消更新的按键
          #89517: 【系统更新】备份还原工具运行过程中，进行"备份及更新"提示备份还原工具正在进行其他操作，此时点击单个更新实际开始全部更新
          #89449: 【系统更新】全部更新过程中，关闭控制面板后再次打开，一直卡在更新源界面不能检测出待更新的包
          #93680: 【系统更新】点击全部更新，有安装弹窗的应用点击拒绝后，操作记录显示应用都安装失败，实际无安装弹窗的应用安装成功
          #93671: 【系统更新】系统字号为15时，安装详情应用名称显示不全
          #92987: 【控制面板】英文状态下，控制面板中更新未英化
          #91435: 【用例87055】设置系统语言为英文，部分显示仍为中文
          #91305: 【控制面板|更新】英文模式更新界面英化未完全
          #94029: 【控制面板】通知界面缺少"电源管理器、系统更新"设置项
  * 需求号: 无
  * 其他改动说明:无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 29 Nov 2021 17:24:14 +0800

kylin-system-updater (1.2.13.2kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明:更新源过滤机制，取消服务器下发允许的源列表
  * 其他改动影响域:系统更新源过滤

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 26 Nov 2021 14:55:33 +0800

kylin-system-updater (1.2.13.1kord) v101; urgency=medium

  * BUG: #89461:【系统更新】全部更新过程中，点击详情无更新进度；安装过程中点击详情不会显示安装进度
  *      #93309:【系统升级】更新过程中，取消按钮置灰无法点击
  *      #89535:【更新升级-需求-9002】【系统更新】全部更新-备份及更新过程中需屏蔽单个更新按键
  * 需求号: 无
  * 其他改动说明:增加获取破损包的依赖错误描述,状态保留增加取消功能
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 25 Nov 2021 23:36:16 +0800

kylin-system-updater (1.2.13kord) v101; urgency=medium

  * BUG: #89461:【系统更新】全部更新过程中，点击详情无更新进度；安装过程中点击详情不会显示安装进度
  *      #93309:【系统升级】更新过程中，取消按钮置灰无法点击
  *      #89535:【更新升级-需求-9002】【系统更新】全部更新-备份及更新过程中需屏蔽单个更新按键
  * 需求号: 无
  * 其他改动说明:增加获取破损包的依赖错误描述,状态保留增加取消功能
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 25 Nov 2021 23:36:16 +0800

kylin-system-updater (1.2.12.2kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明:增加获取破损包的依赖错误描述,状态保留增加取消功能,优化静态变量
  * 其他改动影响域: 

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 25 Nov 2021 20:44:05 +0800

kylin-system-updater (1.2.12.1kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明:增加获取破损包的依赖错误描述,状态保留增加取消功能,优化静态变量
  * 其他改动影响域: 

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 25 Nov 2021 16:43:54 +0800

kylin-system-updater (1.2.12kord) v101; urgency=medium

  * BUG: #89818:【系统更新】将系统字体调整为最大，控制面板-更新界面"您的系统已是最新未跟随改变"；且界面显示不全
  *      #89554:【系统更新】控制面板-更新界面没有兼容ukui3.1
  *      #89817:【系统更新】控制面板-更新界面未进行汉化
  * 需求号: 无
  * 其他改动说明:增加自主升级功能
  * 其他改动影响域: 影响更新检测功能，在更新检测时将更新系统升级包本身

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 24 Nov 2021 09:42:59 +0800
  *      #89810:【系统更新】全部更新缺少错误原因提示，且取消全部下载建议提示下载取消。将依赖冲突的包以虚包形式进行全部更新，提示部分更新失败；空间少于备份空间或者安装包的空间，全部更新后提示部分更新失败。都未展示实际原因
  * 需求号: 无
  * 其他改动说明:增加自主升级功能,优化进度显示保持功能
  * 其他改动影响域: 影响更新检测功能，在更新检测时将更新系统升级包本身

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 24 Nov 2021 17:41:34 +0800

kylin-system-updater (1.2.9kord) v101; urgency=medium
  
  * BUG: bug#91191,bug#90533,bug#91103,bug#90454,bug#89871
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:system-updater.conf文件配置;fix升级版本号记录不正确;修复高优先级低版本包被过滤的问题;安装异常时开机进行修复;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 19 Nov 2021 19:03:26 +0800

kylin-system-updater (1.2.8.1kord) v101; urgency=medium
  
  * BUG: bug#91191,bug#90533,bug#91103,bug#90454
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:system-updater.conf文件配置;fix升级版本号记录不正确;修复高优先级低版本包被过滤的问题;安装异常时开机进行修复;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 19 Nov 2021 11:00:17 +0800

kylin-system-updater (1.2.7.4kord) v101; urgency=medium
  
  * BUG: bug#91191,bug#90533
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:system-updater.conf文件配置;fix升级版本号记录不正确;修复高优先级低版本包被过滤的问题;下载包时可以点击取消按钮;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 16 Nov 2021 17:41:35 +0800

kylin-system-updater (1.2.7.3kord) v101; urgency=medium
  
  * BUG: bug#91191
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:system-updater.conf文件配置;fix升级版本号记录不正确;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 16 Nov 2021 14:53:24 +0800

kylin-system-updater (1.2.7.2kord) v101; urgency=medium
  
  * BUG:
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:升级插件UI修复;添加修复功能;修复安装时preinst报错的问题
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 15 Nov 2021 11:04:56 +0800

kylin-system-updater (1.2.7.1kord) v101; urgency=medium
  
  * BUG:
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:升级插件UI修复;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 15 Nov 2021 09:45:37 +0800

kylin-system-updater (1.2.7kord) v101; urgency=medium

  * BUG: 
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:解决so包含导致的升级问题;增加源优先级的判断,优化优先级问题;规范文件安装路径;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 12 Nov 2021 16:24:32 +0800

kylin-system-updater (1.2.6.3kord) v101; urgency=medium

  * BUG: 
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:解决so包含导致的升级问题;增加源优先级的判断;规范文件安装路径;
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 12 Nov 2021 10:14:59 +0800

kylin-system-updater (1.2.6.1kord) v101; urgency=medium

  * BUG: 
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:解决so包含导致的升级问题
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 11 Nov 2021 15:28:54 +0800

kylin-system-updater (1.2.6kord) v101; urgency=medium

  * BUG: bug#90102,bug#89338,bug#89792,bug#85318,bug#85325,bug#89813
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:增加调整候选版本的选项,限速功能调整,分组包记录失败修复,修复全盘修复逻辑错误问题,优化逻辑
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 10 Nov 2021 21:13:33 +0800

kylin-system-updater (1.2.5.2kord) v101; urgency=medium
  
  * BUG: bug#90102,bug#89338,bug#89792,bug#85318,bug#85325,bug#89813
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:增加调整候选版本的选项,限速功能调整,分组包记录失败修复,修复全盘修复逻辑错误问题,
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 10 Nov 2021 17:34:01 +0800

kylin-system-updater (1.2.5.1kord) v101; urgency=medium

  * BUG: bug#90102,bug#89338,bug#89792,bug#85318,bug#85325
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:增加调整候选版本的选项,限速功能调整,分组包记录失败修复.
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 10 Nov 2021 14:08:24 +0800

kylin-system-updater (1.2.5kord) v101; urgency=medium

  * BUG: bug#89045,bug#89464,bug#89530,bug#89471,bug#89575
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:修复升级记录不全;取消启动自动update;修改接口文档;解决出现升级准备失败的问题;为自动更新提供白名单,插件bug修复
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 08 Nov 2021 20:41:39 +0800

kylin-system-updater (1.2.4.1kord) v101; urgency=medium
  
  * BUG: bug#89045,bug#89464
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明:修复升级记录不全;取消启动自动update;修改接口文档;解决出现升级准备失败的问题;为自动更新提供白名单.
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 08 Nov 2021 14:54:20 +0800

kylin-system-updater (1.2.4kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明: 修复安装更新包kylin-update-desktop-config时报错的问题,优化修复冲突更新时未收起部分更新列表,源过滤速度优化
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 03 Nov 2021 16:20:23 +0800


kylin-system-updater (1.2.3.5kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明: 修复安装更新包kylin-update-desktop-config时报错的问题
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 03 Nov 2021 16:20:23 +0800

kylin-system-updater (1.2.2kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 9002
  * 需求:1.升级依赖修复机制，减小第三方软件对系统更新的影响；2.更新源锁定功能，屏蔽第三方软件源对系统更新的影响
  * 其他改动说明: 完善升级功能,调整超时时间为20min
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Mon, 01 Nov 2021 09:24:03 +0800

kylin-system-updater (1.2.0.8.1kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 完善升级功能，源过滤优化，合并系统升级控制面板插件
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 28 Oct 2021 21:43:39 +0800

kylin-system-updater (1.1.9kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 修改词条、国际化、修改编译生成的文件的追踪、增加log日志并修改颜色、取消安装刷新数据库
  * 影响域: 系统升级

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 26 Oct 2021 16:09:44 +0800

kylin-system-updater (1.1.7kord) v101; urgency=medium

  * BUG: 无
  * 需求号: 无
  * 其他改动说明: 更改数据库插入格式，判断升级方式，增加刷新更新时间的信号，+ ws的修改
  * 影响域: 重构系统更新器中数据库部分

 -- luoxueyi <luoxueyi@kylinos.cn>  Fri, 15 Oct 2021 16:42:24 +0800

kylin-system-updater (1.1.6kord) v101; urgency=medium

  * 升级禁止关机

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 14 Oct 2021 11:00:54 +0800

kylin-system-updater (1.1.4kord) v101; urgency=medium

  * 代码优化,新增接口.
  * 修改数据库结构.

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 29 Sep 2021 17:13:31 +0800

kylin-system-updater (1.1.2kord) v101; urgency=medium

  * 增加数据库接口 .

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 29 Sep 2021 17:13:31 +0800

kylin-system-updater (1.1.1kord) v101; urgency=medium

  * add database .

 -- luoxueyi <luoxueyi@kylinos.cn>  Tue, 28 Sep 2021 20:38:29 +0800

kylin-system-updater (1.0.4kord) v101; urgency=medium

  * 重新编包，修复依赖，去除无用文件, 修改版本号

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 22 Sep 2021 10:10:22 +0800

kylin-system-updater (2.0.5.4.1) v101; urgency=medium

  * BUG: # 无
  * 需求号: #15034  【更新升级】更新历史中新增自动更新结果显示
            #15107】【更新升级】自动更新数据上报
            #15089】【更新升级】【P2P】更新策略下发支持P2P配置内容下发(IP)
            #15109】【更新升级】更新历史中增加历史更新内容日志显示
            #15027】【更新升级】更新通知弹窗界面优化
            #14380】【更新】搜索只能搜索包的全名，不能模糊搜索，也不能搜索别的字段 
  * 其他改动说明: 无
  * 其他改动影响域:系统更新

 -- luoxueyi <luoxueyi@kylinos.cn>  Thu, 04 Aug 2022 09:28:58 +0800

kylin-system-updater (1:20.04.9) v101; urgency=medium

  * for v10sp1

 -- luoxueyi <luoxueyi@kylinos.cn>  Wed, 22 Sep 2021 09:20:58 +0800

kylin-system-updater (1:20.04.9) focal; urgency=medium

  * Remove ubuntu-support-status as the term support can be confusing and the
    Supported field has been removed from Launchpad packages. (LP: #1873362)
  * Add ubuntu-security-status - a tool for displaying information about
    packages installed and the kind of updates which they may or may not
    receive. (LP: #1873362)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Apr 2020 15:06:52 -0700

update-manager (1:20.04.9) focal; urgency=medium

  * Remove ubuntu-support-status as the term support can be confusing and the
    Supported field has been removed from Launchpad packages. (LP: #1873362)
  * Add ubuntu-security-status - a tool for displaying information about
    packages installed and the kind of updates which they may or may not
    receive. (LP: #1873362)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Apr 2020 15:06:52 -0700

update-manager (1:20.04.7) focal; urgency=medium

  [ Marcus Tomlinson ]
  * Show progress of snap updates (LP: #1871099).
  * Display an error message when snap updates fail (LP: #1871100).

  [ Łukasz 'sil2100' Zemczak ]
  * Adjust dates in hwe-support-status for focal.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 16 Apr 2020 14:12:00 +0200

update-manager (1:20.04.6) focal; urgency=medium

  * deb2snap: Don't replace debs that were manually installed via
    another package (LP: #1872958).

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 15 Apr 2020 11:34:33 +0100

update-manager (1:20.04.5) focal; urgency=medium

  * Fix TypeError crash in update() (LP: #1871490).

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 08 Apr 2020 17:59:48 +0100

update-manager (1:20.04.4) focal; urgency=medium

  * Fix pycodestyle and pyflakes autopkgtests.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Tue, 07 Apr 2020 14:26:10 +0100

update-manager (1:20.04.3) focal; urgency=medium

  [ Gunnar Hjalmarsson ]
  * po/POTFILES.in:
    Add UpdateManager/backend/__init__.py, so the new translatable
    strings get included in the translation template (LP: #1868409).

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: Do not offer to upgrade systems running on
    an i386 host architecture to another release. (LP: #1845690)

 -- Brian Murray <brian@ubuntu.com>  Mon, 06 Apr 2020 15:31:38 -0700

update-manager (1:20.04.2) focal; urgency=medium

  * UpdateManager/backend/__init__.py: once apt upgrade completes, use the
    deb2snap.json file from ubuntu-release-upgrader to perform snap updates.
    (LP: #1868409)

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Mon, 06 Apr 2020 13:23:50 +0100

update-manager (1:20.04.1) focal; urgency=medium

  * UpdateManager/Core/UpdateList.py: remove unused import of subprocess.
  * janitor/plugincore/manager.py: replace basestring abstract type.

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Jan 2020 13:44:12 -0800

update-manager (1:19.04.10) focal; urgency=medium

  * UpdateManager/Core/UpdateList.py: Use utils.get_dist() instead of
    platform.dist() to find codename, the latter was removed in Python 3.8

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 31 Jan 2020 13:55:26 +0100

update-manager (1:19.04.9) focal; urgency=medium

  * tests: Handle the rename of the pep8 tool to pycodestyle.

 -- dann frazier <dannf@ubuntu.com>  Tue, 28 Jan 2020 17:56:47 -0700

update-manager (1:19.04.8) eoan; urgency=medium

  * data/gtkbuilder/UpdateManager.ui: enforce icon size for download size icon
    so it's consistent with the other status icons. (LP: #1790134)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 24 Sep 2019 17:44:21 -0400

update-manager (1:19.04.7) eoan; urgency=medium

  * Fix E117 over idented code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 18:47:54 +0200

update-manager (1:19.04.5) disco; urgency=medium

  * UpdateManager/Core/utils.py: when testing to see if a url is downloadable
    support https in addition to http and ftp. (LP: #1823410)
  * debian/tests/control: really use pyflakes3 instead of pyflakes,
    additionally resolve pyflakes3 errors.

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Apr 2019 10:00:34 -0700

update-manager (1:19.04.4) disco; urgency=medium

  [ Colin Watson ]
  * Use the source version to generate changelog URIs, not the binary
    version (LP: #655917).

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Mar 2019 15:08:07 -0700

update-manager (1:19.04.3) disco; urgency=medium

  * Add gnome-shell as the first alternate for the polkit-1-auth-agent
    dependency to allow policykit-1-gnome to be demoted to universe

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Feb 2019 13:23:47 -0500

update-manager (1:19.04.2) disco; urgency=medium

  * UpdateManager/Core/MetaRelease.py: set prompt in MetaReleaseCore so that
    do-release-upgrade can provide more informative error messages.
    (LP: #1798618, LP: #1795024)

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Nov 2018 09:49:44 -0800

update-manager (1:19.04.1) disco; urgency=medium

  * Do not show the livepatch reminder if update-manager is running
    on a distribution without software-properties-gtk. (LP: #1805118)  

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 27 Nov 2018 13:26:00 +0000

update-manager (1:18.10.10) cosmic; urgency=medium

  * Stop lazy import of InstallBackends.
    Lazy imports made update-manager crash when an update-manager
    update changed the backend API and an updated incompatible backend
    was loaded to the not updated running update-manager process. (LP: #1795898)
  * Cancel transaction on exit only when Cancel button is active.
    Also ignore exception when cancellation fails. (LP: #1790670)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 04 Oct 2018 21:06:35 +0200

update-manager (1:18.10.9) cosmic; urgency=medium

  * Allow unselecting updates and performing only removals (LP: #1792320)
  * Stop trying apt_pkg.pkgsystem_(un)lock(), as a normal user it always fails
    (LP: #1795387)
  * Keep or delete packages after looping over all of them.
    This prevents the resolver from changing the packages in the loop resulting
    in not keeping some phased packages back from being upgraded. (LP: #1072136)
  * Fix PEP 8 warnings (LP: #1795384)
    Also ignore "W503 line break before binary operator" because it will
    become the best practice

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 01 Oct 2018 18:00:40 +0200

update-manager (1:18.10.8) cosmic; urgency=medium

  * Print transaction error and let the user try again applying updates
    (LP: #1317164)
  * Don't ask backend to do package operations aready done.
    Aptdaemon cancels the transaction when asked to remove packages already
    removed which results the failure being shown to the user. This
    is unnecessary as update-manager can just filter the package operations to
    be done using a fresh cache and decrease the likelyhood of hitting
    a race condition where packages to be removed are already removed.
    (LP: #1791931)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 11 Sep 2018 13:40:57 +0200

update-manager (1:18.10.7) cosmic; urgency=medium

  * Fix PEP8 regression from 18.10.4 to allow autopkgtest to pass
  * Fix unused import of subprocess in Dialogs.py

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 06 Sep 2018 09:10:39 +0200

update-manager (1:18.10.6) cosmic; urgency=medium

  * debian/control:
    - Build-Depends on python3-distro-info

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Sep 2018 00:31:34 +0200

update-manager (1:18.10.5) cosmic; urgency=medium

  * Add a reminder to enable Livepatch (LP: #1787553).

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Mon, 20 Aug 2018 13:59:48 +0300

update-manager (1:18.10.4) cosmic; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Ignore Prompt=lts for non-LTS series. This way if a user is on a non-LTS
    and has Prompt=lts, he/she will be upgraded to the next supported series
    until finally reaching an LTS. (LP: #1783328)

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Aug 2018 15:38:33 -0700

update-manager (1:18.10.3) cosmic; urgency=medium

  * Add support for HTTPS proxies; this breaks UpdateManager.Core.utils.init_proxy()
    API - the return value is now a dict, rather than a string (LP: #1771914).

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 27 Jun 2018 14:16:45 +0200

update-manager (1:18.10.2) cosmic; urgency=medium

  * Fix my spelling mistake in the previous upload. Oops.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Jun 2018 23:35:04 -0700

update-manager (1:18.10.1) cosmic; urgency=medium

  * Block style context changed signal while enforcing the main window's
    constant size. Thanks to Thomas Waldmann and Sebastien Bacher for the
    initial analysis of this bug. (LP: #1637180)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 28 May 2018 10:03:52 -0400

update-manager (1:18.04.11) bionic; urgency=medium

  * Add Appstream metadata with compulsory_for_desktop fields to prevent
    the accidental uninstallation of ubuntu-desktop in GNOME Software.
    ubuntu-desktop depends on update-manager.
  * Build-Depend on dh-python
  * Update translation template

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Apr 2018 14:07:04 -0400

update-manager (1:18.04.10) bionic; urgency=medium

  * Support package removals in install backends and really remove packages
    (LP: #1624644, #1675079)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 26 Mar 2018 12:20:30 +0100

update-manager (1:18.04.9) bionic; urgency=medium

  * Keep PEP 8 checks happy

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 21 Mar 2018 17:53:59 +0000

update-manager (1:18.04.8) bionic; urgency=medium

  * Offer removal of unused autoremovable kernel packages
    (LP: #1624644, #1675079)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 21 Mar 2018 14:34:05 +0000

update-manager (1:18.04.7) bionic; urgency=medium

  * Comment out the KDE frontend in debian/control so we can remove pykde4
    from the archive (LP: #1745741).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Mar 2018 20:40:17 -0500

update-manager (1:18.04.6) bionic; urgency=medium

  * Use HTTPS for changelogs.ubuntu.com (LP: #1744318)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 15 Mar 2018 14:19:24 +0100

update-manager (1:18.04.5) bionic; urgency=medium

  * Drop the update-manager-text package and code as it has been broken for a
    long time and it wasn't used by many people. (LP: #1385524)

 -- Brian Murray <brian@ubuntu.com>  Mon, 05 Mar 2018 16:41:24 -0800

update-manager (1:18.04.4) bionic; urgency=medium

  [ Balint Reczey ]
  * Place .keep files in empty directories to keep them when converting the
    repo to git
  * Call do-release-upgrade without pkexec and depend on a version which
    raises privileges itself (LP: #1748509)

  [ Jeremy Bicha ]
  * update-manager: Depend on libgtk3-perl for debconf's GNOME backend.
    Drop previous Recommends on libgtk2-perl. (LP: #1607929)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 02 Mar 2018 10:44:01 +0700

update-manager (1:18.04.3) bionic; urgency=medium

  * ubuntu-support-status: use component to differentiate packages
    supported by the community and packages supported by Canonical.
    (LP: #1574670)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Feb 2018 08:07:04 -0500

update-manager (1:18.04.2) bionic; urgency=medium

  * Build from bazaar repository to keep empty dirs in the source package
  * Break long comment to keep PEP 8 test happy

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 12 Jan 2018 01:12:32 +0100

update-manager (1:18.04.1) bionic; urgency=medium

  [ Jean-Baptiste Lallement ]
  * UpdateManager/Dialogs.py: Workaround restricted access to GUI applications
    by user root under wayland to start do-release-upgrade in graphical mode
    (LP: #1732185)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 11 Jan 2018 13:56:07 +0100

update-manager (1:17.10.11) artful; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Also mention using COMPRESS=xz in
    intramfs.conf to free more space in /boot.

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Oct 2017 16:03:26 -0700

update-manager (1:17.10.10) artful; urgency=medium

  * UpdateManager/UpdatesAvailable.py: Provide instructions when mount points
    have insufficient free space for the upgrade to complete. (LP: #1477455)

 -- Brian Murray <brian@ubuntu.com>  Wed, 20 Sep 2017 12:28:03 -0700

update-manager (1:17.10.9) artful; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * test_update_origin.py: fix the extended origin matcher test as it was
    making wrong assumptions, not checking if packages actually had ANY package
    in -security. This should fix the current autopkgtest failures.

  [ Brian Murray ]
  * test_update_origin.py: fix some typos.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 11 Sep 2017 12:32:29 +0200

update-manager (1:17.10.8) artful; urgency=medium

  * UpdateManager/Dialogs.py: use a variable instead of hard coding 1 to
    allow the translation of the message, thanks to Andrea Azzarone.
    (LP: #1714489)

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 Sep 2017 14:17:16 -0700

update-manager (1:17.10.7) artful; urgency=medium

  * Show status of Canonical's Livepatch service in update-manager dialog
    window, thanks to Andrea Azzarone. (LP: #1712591)

 -- Brian Murray <brian@ubuntu.com>  Thu, 31 Aug 2017 09:25:37 -0700

update-manager (1:17.10.6) artful; urgency=medium

  *  UpdateManager.py: Workaround a crash when calling software-properties-gtk
     by not using --toplevel under wayland (LP: #1703365)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Mon, 21 Aug 2017 13:00:27 +0200

update-manager (1:17.10.5) artful; urgency=medium

  * test_update_origin.py: This does not need to be architecture specific so
    just set the arch to amd64 like test_update_list.py.
  * test_utils.py: mock /proc/net/tcp and processes in proc so that we are
    testing the code and not the system under test.

 -- Brian Murray <brian@ubuntu.com>  Wed, 09 Aug 2017 16:44:44 -0700

update-manager (1:17.10.4) artful; urgency=medium

  * UpdateManager/Core/UpdateList.py: Instead of trying to print an error
    when trying to find the desktop file log it. (LP: #1428297)

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Aug 2017 16:19:53 -0700

update-manager (1:17.10.3) artful; urgency=medium

  * Resolve a multitude of test failures, pep8 and pyflakes issues.

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Aug 2017 14:30:59 -0700

update-manager (1:17.10.2) artful; urgency=medium

  * Recommend libgtk2-perl be installed so we have a working debconf frontend.
    (LP: #1607929)

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Jul 2017 15:32:54 -0700

update-manager (1:17.10.1) artful; urgency=medium

  [ Steve Langasek ]
  * ubuntu-support-status: instead of checking the Release timestamp in
    the releases file for every single package on the system, get the
    release date from distro-info-data because it will always be the same.
    This speeds up the script by > 50% in testing.

  [ Brian Murray ]
  * update-manager: Clarify that the "-d" switch is only for upgrading from
    the latest supported release to the development release, not any release.
    (LP: #1700829)
  * Remove --sandbox (aufs support) as it has been broken for some time and
    was rather unused. (LP: #1605259)

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Jul 2017 15:03:18 -0700

update-manager (1:17.04.3) zesty; urgency=medium

  * Use a 64 bit integer for launch-time instead of a 32 bit one which won't
    work someday. (LP: #1654008)

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Mar 2017 14:51:04 -0700

update-manager (1:17.04.2) zesty; urgency=medium

  [ Jeremy Bicha ]
  * Update alternate dependencies for policykit-1-gnome:
    - Add virtual polkit-1-auth-agent
    - Replace non-existant policykit-1-kde with polkit-kde-agent-1
    - Replace razorqt-policykit-agent with lxqt-policykit
      (since lxqt is the replacement for razorqt)

  [ Manzur Mukhitdinov ]
  * UpdateManager/Core/MetaRelease.py:
    - Add a clearer error message when a network failure occurs

  [ Brian Murray ]
  * UpdateManager/Dialogs.py:
    - Remove misleading ellipsis in “Restart Now” action button. Thanks to
      Adolfo Jayme for the change.  (LP: #1568368)

  [ Steve Langasek ]
  * Drop estimate_kernel_size_in_boot() from UpdateManager/Core/utils.py; this
    was only used in ubuntu-release-upgrader so the code has now moved there
    (with code fixes).  Ensure upgrade ordering with Breaks: on older
    python3-distupgrade.  LP: #1646222.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Mar 2017 10:01:30 -0800

update-manager (1:17.04.1) zesty; urgency=medium

  * tests/test_hwe_support_status.py: Resolve issues with the test.
  * data/gtkbuilder/UpdateManager.ui: Set a minimum content height of 80px for
    the technical description scrolled window. This was the default height
    gtk3widgets used in GTK versions prior to 3.20. Thanks to Martin Wimpress
    for the fix. (LP: #1623856)

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Nov 2016 12:05:25 -0700

update-manager (1:16.10.7) yakkety; urgency=medium

  * UpdateManager/Core/MyCache.py: Gracefully handle absence of Launchpadlib
    module.
  * Lower python3-launchpadlib Depends: to a Suggests:, to avoid pulling it
    into "standard" priority. Retrieving PPA changelogs is more of a niche
    feature which is relevant for desktops, but shoud not drag the entire
    python3-launchpadlib stack into small installations. Add it as Recommends
    to the GUI frontends instead, to retain current behaviour on desktops.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 11 Oct 2016 12:13:46 +0200

update-manager (1:16.10.6) yakkety; urgency=medium

  * UpdateManager/UnitySupport.py: Handle ValueError traceback when checking
    for Unity and Dbusmenu support.  Thanks to Launchpad user flocculant for
    the patch.  (LP: #1629900)

 -- Brian Murray <brian@ubuntu.com>  Mon, 03 Oct 2016 15:18:31 -0700

update-manager (1:16.10.5) yakkety; urgency=medium

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: when marking HWE packages for install pass
    on a SystemError and let the problem resolver sort it out.
  * HweSupportStatus/consts.py: Improve wording of the messages.
  * hwe-support-status:
    - decode output when checking for foreign architectures so that the result
      is unicode not bytes.
    - add libwayland-egl1-mesa to the list of metapackages.
    - utilize a virtualbox metapackage set.
    - Do not show replacements that are already installed on
      the system.  (LP: #1607983)
  * source_update-manager.py: collect information about the state of HWE
    support on the system. (LP: #1617080)
  * source_update-manager.py: only collect HWE information if it exists.

  [ Jeremy Bicha ]
  * Add gi.require_version in a few more places to reduce the annoying
    warnings. (LP: #1573177)

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Sep 2016 16:01:13 -0700

update-manager (1:16.10.4) yakkety; urgency=medium

  * ChangelogViewer: Fix an API call to work with GTK < and ≥ 3.20. Upstream
    gave gtk_text_view_get_iter_at_location a gboolean return type, which
    makes gobject-introspection return (return value, out parameter). (LP:
    #1548425)
  * ChangelogViewer: Set vexpand so that the changelog TextView takes up all
    the remaining vertical space.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 29 Jul 2016 11:15:54 +0100

update-manager (1:16.10.3) yakkety; urgency=medium

  [Nicolas Delvaux]
  * Attempt to retrieve Changelogs from PPA sources (LP: #253119)
  * Correctly detect the usage of a username in changelog URIs

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jul 2016 11:14:53 -0700

update-manager (1:16.10.2) yakkety; urgency=medium

  * Include HWE support tools and information. (LP: #1498059)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Jul 2016 14:29:10 -0700

update-manager (1:16.10.1) yakkety; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 May 2016 15:32:40 +0100

update-manager (1:16.04.3) xenial; urgency=medium

  * Quote URL parameters for the Release Announcement. (LP: #1561215)

 -- Brian Murray <brian@ubuntu.com>  Mon, 11 Apr 2016 18:49:09 -0700

update-manager (1:16.04.2) xenial; urgency=medium

  [ Tim Lunn ]
  * UpdateManage/Core/utils.py: Update to use logind inhibitors (LP: #1566141)

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Apr 2016 11:06:40 -0700

update-manager (1:16.04.1) xenial; urgency=medium

  * Update Build-Depends to resolve ftbfs in xenial.

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Apr 2016 15:39:00 -0700

update-manager (1:15.10.3) wily; urgency=medium

  * Pass a '#auto' suffix to aptdaemon for packages that are autoinstalled,
    so that we have enough information to autoremove them later.  Thanks to
    Michael Vogt <mvo@ubuntu.com> for the patch.  LP: #1439769.
  * Add versioned dependency on aptdaemon (>= 1.1.1+bzr982-0ubuntu13) for the
    above.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Oct 2015 21:26:35 -0700

update-manager (1:15.10.2) wily; urgency=medium

  * UpdateManager/Core/UpdateList.py: update the binary packages made by the
    linux-meta source package. (LP: #1215114)

 -- Brian Murray <brian@ubuntu.com>  Mon, 05 Oct 2015 14:51:25 -0700

update-manager (1:15.10.1) wily; urgency=medium

  * UpdateManager/Core/MetaRelease.py: When not running in development mode,
    if the next release is unsupported do not offer to upgrade to that, but
    the release after it. When running in development mode continue to offer
    upgrading to unsupported release. (LP: #1497024)

 -- Brian Murray <brian@ubuntu.com>  Thu, 17 Sep 2015 15:10:19 -0700

update-manager (1:15.04.7) vivid; urgency=medium

  * debian/tests/control: pyflakes3 is provided by pyflakes

 -- Brian Murray <brian@ubuntu.com>  Thu, 16 Apr 2015 11:31:00 -0700

update-manager (1:15.04.6) vivid; urgency=medium

  * debian/tests/control: switch to using pyflakes3 instead of pyflakes.

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Apr 2015 06:42:10 -0700

update-manager (1:15.04.5) vivid; urgency=medium

  * tests/test_pyflakes.py: switch to using pyflakes3 instead of pyflakes.

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Apr 2015 13:21:54 -0700

update-manager (1:15.04.4) vivid; urgency=medium

  * Properly check for FileNotFoundError when looking for /etc/machine-id.
    (LP: #1443929)

 -- Brian Murray <brian@ubuntu.com>  Tue, 14 Apr 2015 07:59:33 -0700

update-manager (1:15.04.3) vivid; urgency=medium

  * Allow being a child of 'systemd' as well as 'init' .If we're booted with
    e.g. init=/lib/systemd/systemd then the parent will be systemd.
  * Use the systemd /etc/machine-id file if available for our unique ID.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 09 Mar 2015 13:12:13 +0000

update-manager (1:15.04.2) vivid; urgency=medium

  * UpdateManager/Core/utils.py: use rpartition in case the process name
    contains the right parenthesis character. Thanks to Roman Odaisky for the
    patch. (LP: #1399916)
  * UpdateManager/Dialogs.py: set the focus to "Restart Later" instead of
    "Restart Now", so people don't accidentally reboot. (LP: #1421044)

 -- Brian Murray <brian@ubuntu.com>  Wed, 18 Feb 2015 11:38:56 -0800

update-manager (1:15.04.1) vivid; urgency=medium

  * debian/control: Don't depend on gir1.2-vte-2.90, we don't use it
    (directly) any more.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 10 Nov 2014 11:44:40 +0000

update-manager (1:14.10.6) utopic; urgency=medium

  * UpdateManager/ChangelogViewer.py: update URL for CVEs (LP: #1374715)

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Sep 2014 10:17:13 -0700

update-manager (1:14.10.5) utopic; urgency=medium

  [ Yu-Cheng Chou ]
  * UpdateManager/UpdateManager.py: _on_close() should return the value to make
    close button work properly (LP: #1363580)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Sep 2014 17:43:02 +0200

update-manager (1:14.10.4) utopic; urgency=medium

  * Fix test_url_downloadable() with proxis: ensure that $no_proxy doesn't
    prevent us from accessing localhost through proxy.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Aug 2014 14:49:40 +0200

update-manager (1:14.10.3) utopic; urgency=low

  [ Mitsuya Shibata ]
  * lp:~cosmos-door/ubuntu/trusty/update-manager/fix1358229:
    - ensure all scripts are treated as python by gettext
      LP: #1358229

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Aug 2014 13:36:51 +0200

update-manager (1:14.10.2) utopic; urgency=low

  * pep8 fixes to fix autopkgtest failure with the latest pep8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jun 2014 09:04:25 +0200

update-manager (1:14.10.1) utopic; urgency=low

  * fix ADT failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 15:42:20 +0200

update-manager (1:14.10.0) utopic; urgency=low

  * make meta-release parser stricter to avoid storing the data 
    that e.g. intercepting proxies send (LP: #1310891)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 14:34:45 +0200

update-manager (1:0.196.12) trusty-proposed; urgency=low

  * use Gtk.init() to ensure update-manager fails with a
    runtime error message instead of crashing if the display
    can not be opened (LP: #1269397)

 -- Michael Vogt <mvo@ubuntu.com>  Thu, 24 April 2014 14:58:38 +0200

update-manager (1:0.196.11) trusty; urgency=low

  * lp:~mvo/update-manager/lp1202754:
    - do nt crash if the user clicks "cancel" in the polkit dialog
      (LP: #1202754)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Apr 2014 14:29:00 +0200

update-manager (1:0.196.10) trusty; urgency=low

  * debian/control:
    - add dependencies to the various policykit agents to ensure
      that update-manager is not run without policykit agent support
      in the session (LP: #1164558)
  * tests/test_update_list.py:
    - test improvements from Barry Warsaw (many thanks!)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Apr 2014 15:23:05 +0200

update-manager (1:0.196.9) trusty; urgency=medium

  [ Sebastien Bacher ]
  * UpdateManager/UpdatesAvailable.py: 
    - use the correct icon theme (lp: #1283554)

  [ Marc Deslauriers ]
  * UpdateManager/Dialogs.py: close window after requesting reboot.
    (LP: #1297361)
  
  [ Michael Vogt ]
  * tests/aptroot-update-list-test:
    - fix test failure caused by not-installable depends (lp: #1295392)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 26 Mar 2014 12:52:13 +0100

update-manager (1:0.196.8) trusty; urgency=medium

  * source_update_manager.py: set response to None if the problem type is not
    a bug
  * UpdateManager/Core/utils.py: do not perform DNS lookups with iptables,
    thanks to John Edwards for the patch.  (LP: #1290825)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Mar 2014 09:38:09 -0700

update-manager (1:0.196.7) trusty; urgency=medium

  * Fix PEP-8 style error to fix tests.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 Jan 2014 12:58:07 +0100

update-manager (1:0.196.6) trusty; urgency=low

  * Allow user to close the restart required dialog (LP: #1033226)
    - Add a settings button
    - Add a "Restart Later" button
    - Rename existing button to "Restart Now..."
    - Add secondary text to updates dialog when a restart is still pending
      from last updates

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 11 Jan 2014 09:53:15 -0500

update-manager (1:0.196.5) trusty; urgency=medium

  * Stop using deprecated GObject constructors with positional arguments
    (see https://wiki.gnome.org/PyGObject/InitializerDeprecations).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Jan 2014 12:29:35 +0100

update-manager (1:0.196.4) trusty; urgency=low

  * lp:~mterry/update-manager/requires-restart:
    - warn if a update requires a reboot (LP: #255443)

    This requires that the packages that need a reboot set
    "XB-Restart-Required: system" in the package record

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jan 2014 19:51:50 +0100

update-manager (1:0.196.3) trusty; urgency=low

  [ Sebastien Bacher ]
  * lp:~seb128/update-manager/check-none-controller
    - Check for controller being None before using it (this was
      accidentally dropped in a previous refactoring).
    - LP: #1203919

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 10 Dec 2013 17:15:04 -0500

update-manager (1:0.196.2) trusty; urgency=low

  [ Brian Murray ]
  * UpdateManager/Core/MetaRelease.py: speed up the check for a new release of
    Ubuntu.  Thanks to Anders Kaseorg for the patch.

  [ Sebastien Bacher ]
  * lp:~seb128/update-manager/box-use-vertical-space:
    - Use the vertical space, GTK 3.10 displays the box shrinked otherwise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Nov 2013 18:30:26 +0100

update-manager (1:0.196.1) trusty; urgency=low

  * debian/source_update_manager.py: Fix too long line (pep8 error).

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Oct 2013 13:31:42 -0700

update-manager (1:0.196) trusty; urgency=low

  * In the apport hook ask if the bug is about upgrading from one release to
    another and send bug to ubuntu-release-upgrader. (LP: #1071057)

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Oct 2013 10:03:28 -0700

update-manager (1:0.195) trusty; urgency=low

  * Add support for logind to the restart dialog.  Thanks to Thaddaus
    Tintenfisch for the patch.  (LP: #1232363)

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Oct 2013 15:58:47 -0700

update-manager (1:0.194) saucy; urgency=low

  * Fix a bug introduced in the dialog refactor from version 1:0.189 that
    causes update-manager to crash instead of showing a dialog when there are
    no updates to apply but the system needs rebooted.  LP: #1219414.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Oct 2013 13:31:18 -0700

update-manager (1:0.193) saucy; urgency=low

  * Fix PEP-8 errors.

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Aug 2013 16:13:02 -0700

update-manager (1:0.192) saucy; urgency=low

  * Core/UpdateList.py: if a package is an ignored phased update mark it for
    keeping (LP: #1211511)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Aug 2013 14:50:01 -0700

update-manager (1:0.191) saucy; urgency=low

  * Fix update-manager crashing when trying to raise
    window. on_button_install_clicked takes only one positional argument,
    not two. (LP: #1202959)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 25 Aug 2013 01:49:08 +0100

update-manager (1:0.190) saucy; urgency=low

  * Update for python-distutils-extra 2.38 (yelp-tools style help)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Jul 2013 11:01:19 +0200

update-manager (1:0.189) saucy; urgency=low

  [ Jeremy Bicha ]
  * Drop unused system-software-update icons since it is a
    standard theme icon
  
  [ Robert Roth ]
  * Remove dist-upgrade option description from manpage (LP: #1079136)

  [ Dylan McCall ]
  * Refactor dialogs to have a common base.
  * tests/test_update_error.py: Fix test regression from the above.

  [ Martin Pitt ]
  * Drop obsolete GObject.threads_init() calls to avoid warnings at startup.
    Bump python-gi dependency accordingly.
  * Drop unused imports and assignments to fix pyflakes errors.
  * Fix PEP-8 errors.
  * tests/test_update_error.py: Adjust test_error_no_updates() to current
    string.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Jul 2013 08:02:21 +0200

update-manager (1:0.188) saucy; urgency=low

  * Core/UpdateList.py: Drop unused "src_name" variable (pyflakes error).
  * tests/test_update_list.py: Fix too long line (pep8 error).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Jun 2013 08:00:33 +0200

update-manager (1:0.187) saucy; urgency=low

  [ Sami Jaktholm ]
  * Greatly speed up update calculation (LP: #1167277)

  [ Martin Pitt ]
  * Drop unnecessary ubuntu-drivers-common build dependency, to ease
    backporting.

  [ Brian Murray ]
  * Modify phased update percentage to use source packages and not binary
    packages, additionally add a test for this.
  * Remove check for update-notifier auto-launch gsettings key

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Jun 2013 10:02:51 -0700

update-manager (1:0.186) raring; urgency=low

  [ Sebastien Bacher ]
  * Use correct variable in error message, fixing a crash (LP: #1142151)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 16 Apr 2013 13:46:41 -0400

update-manager (1:0.185) raring; urgency=low

  [ Sebastien Bacher ]
  * Specify a background color for the unity launcher icon (lp: #1081691)

  [ Michael Terry ]
  * Look for to-be-updated application icons in app-install-data
    (LP: #1145157)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 15 Mar 2013 10:16:44 -0400

update-manager (1:0.184) raring; urgency=low

  [ Michael Terry ]
  * Don't temporarily freeze when calculating which updates are available.
    LP: #1137996

  [ Colin Watson ]
  * Allow removals with only Conflicts+Replaces; while policy 7.6.2 quotes
    Provides in an example, it's clear that Conflicts+Replaces alone should
    be sufficient to indicate that the target package may be removed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Mar 2013 12:36:41 +0000

update-manager (1:0.183) raring; urgency=low

  [ Mike Terry ]
  * Fix toggling items after doing a deselect-all. (LP: #1129191)

  [ Colin Watson ]
  * Fix PEP-8 failures.
  * Fix pyflakes failures.
  * Depend on pep8 and pyflakes for the autopkgtest suite.
  * Use logging.warning rather than deprecated logging.warn.
  * Fix test_meta_release_core.SillyProxyRequestHandler to write bytes
    rather than text to its output file object.
  * Make test_meta_release_core pick a new proxy port for each test.
  * Use EnvironmentVarGuard in test_meta_release_core to reduce the risk of
    test isolation bugs.
  * MetaReleaseCore: Plug some open file object leaks.
  * Make test_meta_release_core call install_opener(None) every time it
    changes proxy settings, to avoid stale ones being left around from
    previous tests.
  * Reopen cache in GroupingTestCase.setUp, TestCache.setUp, and
    TestChangelogs.setUp to avoid test isolation bugs.
  * Remove unnecessary cache update in PhasedTestCase.setUp; reopening the
    cache is sufficient.
  * Allow saveDistUpgrade to remove packages provided that upgrade
    candidates declare Conflicts+Replaces+Provides on them (LP: #1038113).

  [ Steve Langasek ]
  * Build-depend on python3-all (>= 3.3.0-2) for pybuild support and drop
    the now-extraneous overrides from debian/rules; this incidentally works
    around an issue I don't understand where the package was now failing to
    build locally from trying to invoke python setup.py instead of python3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Feb 2013 17:31:29 +0000

update-manager (1:0.182) raring; urgency=low

  * MetaReleaseCore: Create ~/.cache if it does not exist.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Feb 2013 15:06:57 +0000

update-manager (1:0.181) raring; urgency=low

  * Use the gnome debconf frontend, accidentally dropped in update-manager
    1:0.165 (LP: #1110585).

 -- Michael Terry <mterry@ubuntu.com>  Thu, 07 Feb 2013 09:22:59 +0000

update-manager (1:0.180) raring; urgency=low

  [ Dylan McCall ]
  * Make sure text in Install column properly uses ellipses. (LP: #1105363)
  * Refactor CellAreaPackage class for ease of future changes.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 29 Jan 2013 16:15:57 -0500

update-manager (1:0.179) raring; urgency=low

  * Properly xml-escape application names too, not just package labels
  * Make sure dialog buttons are actually at the bottom of the dialog

 -- Michael Terry <mterry@ubuntu.com>  Fri, 25 Jan 2013 10:41:00 -0500

update-manager (1:0.178) raring; urgency=low

  * Implement the "available updates" details pane from the SoftwareUpdates
    spec.  Specifically, this adds grouping of related updates, adds an
    "Ubuntu base" group for core packages, and shows only the description
    summary in the main view.
  * Show a restart icon next to packages that declare they will need a
    system restart via XB-Restart-Required: system

 -- Michael Terry <mterry@ubuntu.com>  Thu, 24 Jan 2013 14:20:22 -0500

update-manager (1:0.177) raring; urgency=low

  * Fix missing import in tests/test_upgrade.py.
  * Make tests/test_update_list.py more robust against other tests being run
    before it.
  * Depend on aptdaemon for DEP-8 tests.
  * Fix typo in test dpkg status file for test_update_list.
  * Add Update-Manager::Never-Include-Phased-Updates, the converse of
    Update-Manager::Always-Include-Phased-Updates; this opts out of
    upgrading to any package with a Phased-Update-Percentage set.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Jan 2013 12:46:00 +0000

update-manager (1:0.176) raring; urgency=low

  * Use GLib.timeout_add_seconds instead of deprecated GObject.timeout_add
  * Keep dialogs 33em wide
  * Pass update-manager arguments on to do-release-upgrade (LP: #1097907)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 09 Jan 2013 16:03:52 -0500

update-manager (1:0.175) raring; urgency=low

  [ Eric Williams ]
  * German translation fix (LP: #1070289)

  [ Stephen Kraemer ] 
  * UpdateManager/Dialogs.py: made Settings... button open software-properties
    non-modally.  (LP: #1058070)

  [ Robert Roth ]
  * Remove package count badge from the unity launcher (LP: #1036891)
  * Added 6px border to the button box to align the buttons with the contents
    above (LP: #1081099)

  [ Michael Vogt ]
  * debian/rules:
    - do not call dh_auto_build as as it call py2 even when its not
      supposed to (LP: #1089808), thanks to Jean-Baptiste Lallement 
  * fix missing "Architecture" when writing out the fake dpkg-status
    file in the tests (LP: #1089793)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Oct 2012 09:09:13 +0100

update-manager (1:0.174.3) quantal; urgency=low

  * UpdateManager/UpdatesAvailable.py:
    - never pass "None" to xml.sax.saxutils.escape (LP: #1044080)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Oct 2012 10:21:50 +0200

update-manager (1:0.174.2) quantal; urgency=low

  [ Michael Vogt ]
  * fix crash in UpdateManager.Core.utils.error(), thanks to
    Christian Parrino (LP: #964674)

  [ Michael Terry ]
  * Stop showing Install All Available Updates quicklist item when it isn't
    appropriate (LP: #1031307).

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Oct 2012 08:20:44 -0700

update-manager (1:0.174.1) quantal; urgency=low

  * po/POTFILES.in:
    - add missing InstallBackendAptdaemon.py, thanks to Igor Zubarev
      (LP: #1055594)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Sep 2012 09:35:54 +0200

update-manager (1:0.174) quantal; urgency=low

  * UpdateManager/ChangelogViewer.py: improve url parsing of changelog files
    so that more links are created.  Thanks to sampo555 for the patch 
    (LP: #1011093).
  * Add a dependency to update-manager on update-notifier (LP: #1043725) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Sep 2012 09:56:12 -0700

update-manager (1:0.173) quantal; urgency=low

  * Make update-manager-core depend on ubuntu-release-upgrader-core and
    update-manager-kde depend on ubuntu-release-upgrader-qt, so that
    functionality isn't lost on upgrade (LP: #1049062).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2012 12:45:50 +0100

update-manager (1:0.172) quantal; urgency=low

  * Remove dependency on update-notifier as it added many dependencies to
    cloud-images.

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Sep 2012 07:54:26 -0700

update-manager (1:0.171) quantal; urgency=low

  [ Michael Terry ]
  * Fix test suite to pass when run on non-amd64 machine

  [ Brian Murray ]
  * Add a dependency on update-notifier (LP: #1043725) 

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Sep 2012 12:20:31 -0700

update-manager (1:0.170) quantal; urgency=low

  * When user cancels/stops the apt cache update, still let them
    view available updates from a previous cache update.  LP: #1024909

 -- Michael Terry <mterry@ubuntu.com>  Fri, 24 Aug 2012 19:05:38 -0400

update-manager (1:0.169) quantal; urgency=low

  [ Michael Terry ]
  * Drop Unity-support gir Recommends down to Suggests. LP: #1029764
  
  [ sampo555 ]
  * lp:~sampo555/update-manager/fix-for-1031280:
    - Convert SystemError into string in order to avoid TypeError in
      UpdateManager.refresh_cache SystemError handles. Fixes LP: #1031280

  [ Robert Park ]
  * Allow test suite to not need to be run as root
  
  [ Michael Vogt ]
  * lp:~mvo/update-manager/phased-updates:
    - Implement the client part of the "foundations-q-phased-updates".
      This allows to deploy updates in phases where only a subset of
      the users will get a update, controlled via the 
      Phased-Updates-Percentage tag in the Packages file.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Aug 2012 09:21:32 +0200

update-manager (1:0.168) quantal; urgency=low

  * Run tests under xvfb and don't try to use non-existant python3-coverage
  * Don't throw exception on socket timeout when downloading metarelease
    file.  LP: #818760

 -- Michael Terry <mterry@ubuntu.com>  Mon, 23 Jul 2012 07:17:00 +0200

update-manager (1:0.167) quantal; urgency=low

  * Rebuild to get python3 wrapper script (LP: #1023474)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Jul 2012 09:28:45 -0400

update-manager (1:0.166) quantal; urgency=low

  [ Colin Watson ]
  * Write metarelease file as UTF-8 (LP: #1020526)

  [ Michael Terry ]
  * Use a wrapper script of /bin/sh when calling pkexec, to workaround its
    requirement that the ppid not be 1.  (LP: #1020115)
  * Update Unity badge count before showing "please restart" dialog
  * Don't allow closing the "please restart" dialog via window manager
  * Show "please restart" dialog on startup if needed, instead of only
    after installing some updates

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2012 11:39:44 +0100

update-manager (1:0.165) quantal-proposed; urgency=low

  * Implementation of "update on start" feature from spec
    https://wiki.ubuntu.com/SoftwareUpdates
  * Use a single main window that changes instead of having modal dialogs
  * Implement several special-purpose dialogs like "No updates" or
    "Dist upgrade needed" accordingn to the above spec
  * Split out release upgrader code and DistUpgrade module into a separate
    source package
  * Drop python-update-manager, as it is unused
  * debian/tests:
    - Add dep8 tests

 -- Michael Terry <mterry@ubuntu.com>  Fri, 29 Jun 2012 10:59:30 -0400

update-manager (1:0.164) quantal; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: ensure package install failures are
    tagged dist-upgrade

  [ Robert Roth ]
  * UpdateManager/UpdateManager.py: check for None type from
    get_last_update_minutes (LP: #1013325)

  [ Colin Watson ]
  * DistUpgrade/NvidiaDetector, debian/control: Update symlink to Python 3
    version, available as of ubuntu-drivers-common 1:0.2.55.
  * debian/rules: Make sure to run setup.py with the default python3 last,
    so that scripts get correct #! lines.

  [ Barry Warsaw ]
  * pre-build.sh:
    - Add python-gi as an explicit dependency.
    - python3-mock is required.
  * setup.py:
    - Fix the installation of the janitor.plugincore package for Python 3.
      (LP: #1013490)
    - Calculate the setup() version number from debian/changelog.
    - Remove package_dir since it's not actually needed.
    - Whitespace normalization.
  * tests/Makefile
    - Add sleep between Python 2 and Python 3 invocation of tests under
      xvfb-run, otherwise I get crashes where xvfb doesn't come up.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 21 Jun 2012 20:42:23 -0400

update-manager (1:0.163) quantal; urgency=low

  [ Colin Watson ]
  * Isolate tests from local configuration in
    /etc/update-manager/release-upgrades.d/.
  * Use Python attributes rather than GObject.get_data and GObject.set_data,
    which have been removed upstream (LP: #1009859).
  * Switch default view class to Gtk3 and replace python-gobject dependency
    with python-gi.
  * Port away from old-style apt.Package candidateFoo and installedFoo
    properties, preferring candidate.foo and installed.foo.  In a number of
    cases we have to check whether candidate/installed is non-None first.
  * Use apt_pkg.version_compare rather than apt_pkg.VersionCompare.
  * Use apt_pkg.uri_to_filename rather than apt_pkg.URItoFileName.
  * Use apt_pkg.TagFile (and related new-style API) rather than
    apt_pkg.ParseTagFile.
  * Use apt_pkg.PackageManager rather than apt_pkg.GetPackageManager.
  * Use apt_pkg.Acquire rather than apt_pkg.GetAcquire.
  * Use mark_foo/marked_foo rather than markFoo/markedFoo.
  * Use apt_pkg.ActionGroup rather than apt_pkg.GetPkgActionGroup.
  * Use apt_pkg.ProblemResolver rather than apt_pkg.GetPkgProblemResolver.
  * Use apt_pkg.read_config_file rather than apt_pkg.ReadConfigFile.
  * Use new spelling of apt_pkg.DepCache methods.
  * Rename several local cache methods to PEP-8 style to avoid showing up in
    the output of /usr/share/python-apt/migrate-0.8.py.
  * Use apt_pkg.size_to_str rather than apt_pkg.SizeToStr.
  * Use apt_pkg.PackageManager.get_archives rather than
    apt_pkg.PackageManager.GetArchives.
  * Use apt_pkg.Acquire.fetch_needed rather than
    apt_pkg.Acquire.FetchNeeded.
  * Use new spelling of apt_pkg.Package/Version/Dependency methods.
  * Use apt_pkg.pkgsystem_lock rather than apt_pkg.PkgSystemLock.
  * Use new spelling of apt_pkg dependency parsing methods.
  * Use new spelling of apt_pkg.SourceList methods.
  * Bump python-apt (build-)dependency to >= 0.8.0.
  * Add a scheme for excluding false positives from the pyflakes test, and
    enable it by default.
  * Rearrange the OptionParser workaround from 1:0.154.5 to work with Python
    3, using gettext or ugettext as appropriate.
  * Always pass bytes to hashlib.md5.update.
  * Fix DistUpgradeAptCdrom to account for gzip files being opened in binary
    mode.
  * Convert the last use of os.popen to subprocess.check_output, which makes
    it easier to read str rather than bytes.  (This requires Python 2.7.)
  * Decode bytes read from urlopened file objects.
  * UpdateManager/backend/InstallBackendSynaptic.py
    - Keep a reference to the data tuple passed to GObject.child_watch_add
      to avoid attempts to destroy it without a thread context
      (LP: #724687).
    - Open temporary synaptic selections file in text mode.
  * Define __bool__ rather than __nonzero__ method in Python 3.
  * sort(cmp=) and sorted(cmp=) no longer work in Python 3.  Use appropriate
    key= arguments instead.
  * Fix ResourceWarning while reading /proc/mounts.
  * Make update-manager-kde depend on psmisc, for killall.
  * DistUpgrade/DistUpgradeView.py:
    - Use floor division in FuzzyTimeToStr.
  * DistUpgrade/DistUpgradeViewText.py:
    - Flush stdout after printing confirmation message, since it doesn't
      have a trailing newline.
  * Use the appropriate Unicode gettext methods in both Python 2 and 3, and
    drop lots of Python-3-unfriendly Unicode mangling as a result.
  * DistUpgrade/DistUpgradeViewKDE.py:
    - Open the terminal log in binary mode.
  * data/do-release-upgrade.8:
    - Provide a more useful NAME section.
  * DistUpgrade/DistUpgradeCache.py:
    - Tolerate SyntaxError from attempting to import NvidiaDetector, until
      such time as a complete ubuntu-drivers-common Python 3 port is in the
      archive.
  * Switch #! lines over to python3, apart from dist-upgrader which needs to
    stay as Python 2 for a while longer (and have some special arrangement
    for running with Python 3 for upgrades from >= quantal).
  * Run tests under both Python 2 and 3.

  [ Adam Conrad ]
  * Merge branch from Michael Terry to drop auto-upgrade-tester
    from update-manager and move it into its own source package

  [ Barry Warsaw ]
  * Begin refactoring of Computer Janitor code by renaming and
    re-situating all of it to janitor/plugincore.  This will eventually be
    removed from here into its own separate branch.
  * Merge the temporary Python 3 sprint branch back into trunk, and close
    the py3 sprint branch.
  * Moved UpdateManager/backend and UpdateManager/UnitySupport.py to the
    python*-update-manager packages for apturl.

  [ Michael Vogt ]
  * UpdateManager/GtkProgress.py:
    - fix python-apt 0.8 API crash

  [ Stéphane Graber ]
  * Drop fdsend as it's not used and doesn't build with python3.
  * Make update-manager-core a binary all packages (everything is python).
  * Split update-manager-core into python-update-manager,
    python3-update-manager and update-manager-core.
  * Build-depend and depend on python-apt >= 0.8.5~ as we need proper
    python3 support.

  [ Steve Langasek ]
  * tests/test_country_mirror.py: the test suite shouldn't fail if $LANG
    isn't set in the environment.
  * update-manager is now using python3 as an interpreter, so fix these up
    to actually be python3 packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Jun 2012 00:57:42 +0100

update-manager (1:0.162) quantal; urgency=low

  * DistUpgrade/build-tarball.sh:
    - include "DistUpgrade" symlink in tarball to ensure relative
      imports keep working

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Jun 2012 14:27:50 +0200

update-manager (1:0.161) quantal; urgency=low

  * /usr/share/nvidia-common/obsolete was renamed to
    /usr/share/ubuntu-drivers-common/obsolete and moved packages.  Cope with
    this.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 01 Jun 2012 20:53:46 +0100

update-manager (1:0.160) quantal; urgency=low

  [ Colin Watson ]
  * Use Python 3-style print functions.
  * Use "except Exception as e" syntax rather than the old-style "except
    Exception, e".
  * Fix a few assorted pyflakes warnings.
  * Use string methods rather than functions from the string module.
  * Replace most uses of filter and map with list comprehensions or for
    loops.
  * Use open() rather than file().
  * Use Python 3 renaming of ConfigParser if available.
  * Use "raise Exception(value)" syntax rather than the old-style "raise
    Exception, value".
  * Remove duplicate imports of os.path; 'import os' is enough.
  * Use Python 3 renamings of urllib, urllib2, and urlparse if available.
  * Remove all hard tabs from Python code.  Python 3 no longer tolerates
    mixing tabs and spaces for indentation.
  * Use Python 3 renaming of httplib if available.
  * Use email.utils.parsedate (with a DST handling correction) rather than
    the long-deprecated rfc822.parsedate.
  * Use the threading module instead of thread (renamed to _thread in Python
    3).
  * Tell Python to use absolute imports by default, and annotate cases where
    we need relative imports.
  * Update test_proxy to use gsettings and the python-apt 0.8 API.
  * Use new-style octal literals.
  * Drop use of deprecated statvfs module.
  * Use Python 3 renamings of BaseHTTPServer and SocketServer if available.
  * Modernise use of unittest methods.
  * Use python-apt 0.8 API spellings of apt_pkg.config methods.
  * Fix several ResourceWarnings with Python 3.
  * Port to python-apt 0.8 progress classes.
  * Since python-gnupginterface is not likely to be ported to Python 3, and
    since it's almost just as easy to call gpg directly via subprocess, do
    so.
  * Use gettext if ugettext does not exist (as in Python 3).
  * Ignore __pycache__ directories, and exclude them from dist-upgrader
    tarballs.
  * Fix up module path when running AutoUpgradeTester/auto-install-tester.py
    from the build tree.
  * Add a DistUpgrade -> . symlink in DistUpgrade/, to make it possible to
    have compatible imports both in update-manager proper and in
    dist-upgrader tarballs.
  * Use only absolute imports in AutoUpgradeTester/auto-install-tester.py
    and DistUpgrade/dist-upgrade.py; these have no __package__ and so cannot
    use relative imports.
  * Open subprocesses with universal_newlines=True when expecting to read
    text from them.  On Python 2, this only enables \r\n conversion and the
    like, but on Python 3 this also causes subprocess-related file objects
    to read str rather than bytes.
  * Use "key in dict" rather than "dict.has_key(key)".
  * Pass globals() to __import__ so that relative imports work.

  [ Michael Vogt ]
  * DistUpgrade/*.py:
    - update for the 12.04 -> 12.10 upgrade
  * AutoUpgradeTester/profile/defaults.cfg.d/defaults.cfg:
    - update for precise->quantal
  * fix some remaining python-apt 0.8+ API issues

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py
    - check errormsg for the English version of the dependency problems error
      first (LP: #999890)

  [ Michael Terry ]
  * Rename to Software Updater and fix some other strings to match mpt's
    spec.
  * lp:~mterry/update-manager/move-changelogs:
    - implement new app layout

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Jun 2012 17:48:54 +0200

update-manager (1:0.156.14.5) UNRELEASED; urgency=low

  * lp:~ember/update-manager/ubuntu.bug1002956:
    - fix missing ReleaseNotesViewerWebkit.py support, thanks to
      Pedro Fragoso (LP: #1002956)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 May 2012 11:26:59 +0200

update-manager (1:0.156.14.4) precise-security; urgency=low

  * SECURITY UPDATE: Incorrect permissions on system_state archive may
    expose repo passwords (LP: #954483)
    - DistUpgrade/DistUpgradeMain.py: create file with proper permissions.
    - debian/update-manager-core.postinst: clean up permissions on existing
      files.
    - CVE-2012-0948
  * SECURITY UPDATE: Apport hook may upload system_state archive containing
    repo passwords (LP: #954483)
    - debian/source_update-manager.py: don't upload system_state archives.
    - CVE-2012-0949
  * This package does _not_ contain the changes from (1:0.156.14.2) in
    precise-proposed.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 May 2012 08:13:39 -0400

update-manager (1:0.156.14.2) precise-proposed; urgency=low

  * fix automatic expand of the terminal if no activity happend
    for >300s (LP: #979661)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 May 2012 11:46:09 -0700

update-manager (1:0.156.14.1) precise-proposed; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - add "LTS" to the version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Apr 2012 13:59:24 +0200

update-manager (1:0.156.14) precise; urgency=low

  * debian/control:
    - fix description for update-manager-kde (LP: #984906),
      thanks to Scott Kitterman
  * DistUpgrade/DistUpgradeController.py:
    - do not set PYCENTRAL_NO_DPKG_QUERY (LP: #986233)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2012 18:26:27 +0200

update-manager (1:0.156.13) precise; urgency=low

  * Improve the error message used when a package cannot be located after
    updating, probably caused by an overloaded mirror. (LP: #873468)

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 17 Apr 2012 16:02:54 -0400

update-manager (1:0.156.12) precise; urgency=low

  [ Colin Watson ]
  * data/gtkbuilder/UpgradePromptDialog.ui:
    - Remove has_separator property from dialog_really_do_not_upgrade
      (deprecated in GTK+ 2.22, removed in 3.0).
  * debian/control:
    - Restore gksu dependency, needed by e.g. check-new-release-gtk
      (LP: #980637).
  
  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - disconnect model and clear store before rebuilding the cache,
      thanks to Colin Watson
  * po/*.po:
    - updated to the latest launchpad (LP: #628157)
  * DistUpgrade/DistUpgradeController.py:
    - remove backports sources.list.d file again after its no
      longer needed (LP: #973717)
  * DistUpgrade/DistUpgradeController.py:
    - when checking for the backports, its enough to check is the
      set of the needed ones is a subset of the found ones (LP: #969182)
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - release-upgrader-libapt-pkg-dev is not needed for the upgrade
      itself
  * remove skype from the removal blacklist

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Apr 2012 21:27:54 +0200

update-manager (1:0.156.11) precise; urgency=low

  * DistUpgrade/DistUpgrade.cfg.lucid:
    - add in a missing backported package (LP: #969182)
  * DistUpgrade/Distupgrade.py:
    - workaround issue regarding removing selections, thanks to sampo555 for
      the patch (LP: #945536)
  * Automatic update of mirrors, demoted packages and of included source
    packages: base-installer

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Apr 2012 11:02:52 -0700

update-manager (1:0.156.10) precise; urgency=low

  [ Michael Vogt ]
  * UpdateManager/Core/MyCache.py:
    - do not attempt to download changelogs from https locations if
      the uri requires credentials, thanks to Pat McGowan

  [ Colin Watson ]
  * UpdateManager/Core/MyCache.py:
    - Check that pkg.candidate.uri is not None when looking for changelogs
      (LP: #839986).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2012 13:44:40 +0200

update-manager (1:0.156.9) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - support cdrom-only upgrades properly by using the backported
      libapt-{pkg,inst} and release-upgrader-python-apt from the CD
  * DistUpgrade/DistUpgrade.cfg:
    - update KernelRemoval/Version to match oneirics kernel
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - update KernelRemoval/Version to match lucids kernel
  * data/release-upgrades:
    - set releae upgrades default to "lts"
  * DistUpgrade/DistUpgradeCache.py:
    - when selecting a new default kernel from base-installer, ensure
      to install the matching kernel headers too if previously kernel
      headers were installed (LP: #959307)
  
  [ Brian Murray ]
  * debian/source_update-manager.py: pass if attach_gsettings fails like on a
    server

  [ Gabor Kelemen ]
  * lp:~kelemeng/update-manager/bug957552:
    - Mark two accessible descriptions for translation. LP: #957552
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Mar 2012 17:35:34 +0100

update-manager (1:0.156.8) precise; urgency=low

  [ Robert Roth ]
  * Update icon name to use FD.o standard (LP: #921310)
  
  [ Julien Lavergne ]
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/removal_blacklist.cfg,
    UpdateManager/Core/utils.py,
    AutoUpgradeTester/profile/lubuntu/DistUpgrade.cfg:
   - Add Lubuntu support, and don't upgrade gnome-components which have been
     removed from Lubuntu installation (LP: #945215)

  [ Barry Warsaw ]
  * Improve the warning issued when i8xx graphics hardware is
    detected. (LP: #941172)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg: 
    - blacklist gnome-session so that users can always login after a failed
      partial upgrade (LP: #946539)

  [ James Hunt ]
  * Only attempt to stop screensaver if DISPLAY set, and throw away
    xdg-screensaver output. (LP: #883618)

  [ Colin Watson ]
  * Use 'from dbus.mainloop.glib import DBusGMainLoop;
    DBusGMainLoop(set_as_default=True)' to set up the main loop, rather than
    importing the deprecated dbus.glib.
  
  [ Gabor Kelemen ]
  * Fix misplaced parentheses. LP: #952959

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2012 15:29:59 +0100

update-manager (1:0.156.7) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - fix nvidia detection, thanks to Brian Murray
  * DistUpgrade/xorg_fix_proprietary.py:
    - fix crash when apt_pkg is not initialized (LP: #942106)
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/mirrors.cfg:
    - support upgrades with commercial-ppas in the sources.list
      (LP: #939461) and add tests
  * UpdateManager/UpdateManager.py:
    - fix inaccurate string, thanks to JohnNapster (LP: #942590)

  [ Brian Murray ]
  * DistUpgrade/removal_blacklist.cfg: 
    - Only blacklist unity-2d, not all packages whose names start with
      unity-2d.  (LP: #940196)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Mar 2012 09:02:14 +0100

update-manager (1:0.156.6) precise; urgency=low

  [ Robert Roth ]  
  * lp:~evfool/update-manager/lp930177:
    - Add missing space (LP: #930177) 
  
  [ Michael Vogt ]
  * DistUpgrade/DevelReleaseAnnouncement:
    - change label from alpha to beta release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Feb 2012 16:44:50 +0100

update-manager (1:0.156.5) precise; urgency=low

  [ Brian Murray ]
  * do-release-upgrade: capitalize U in ubuntu
  * debian/source_update-manager.py: add screenlog.0 from
    /var/log/dist-upgrade to apport bug reports

  [ Marc Deslauriers ]
  * DistUpgrade/DistUpgradeViewKDE.py: fix regression caused by improper
    return value handling. (LP: #933225)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Feb 2012 17:30:58 +0100

update-manager (1:0.156.4) precise; urgency=low

  * DistUpgrade/DistUpgrade.cfg.lucid:
    - Update libapt-pkg and libapt-inst versions.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Feb 2012 11:35:42 +0000

update-manager (1:0.156.3) precise; urgency=low

  [ Jean-Baptiste Lallement ]
  * lp:~jibel/update-manager/AutoUpgradeTester-desktoptests:
    New tests for Ubuntu Desktop LTS upgrade:
    * autologin check
    * user settings check: wallpaper, theme, keyboard layout, custom 
      launchers (desktop and panel)
  * lp:~jibel/update-manager/AutoUpgradeTester-portlocking:
    - automatically allocate free ssh/vnc ports

  [ Colin Watson ]
  * Clean up a few pyflakes warnings.
  * DistUpgrade/DistUpgradeMain.py
    - Make sure main.log is actually created.
  * DistUpgrade/removal_blacklist.cfg:
    - Only blacklist unity, not all packages whose names start with unity.
  
  [ Robert Roth ]
  * lp:~evfool/update-manager/lp351665:
    -  Use ngettext to humanize size (LP: #351665)
  * lp:~evfool/update-manager/distupgradefixes:
    - DistUpgrade changes dialog text fixes 
      (LP: #348517, LP: #513908)
    - Fix resize on changes dialog to stretch the details
      (LP: #294293)

  [ Michael Vogt ]
  * add humanize_size() test
  * pyflakes fixes
  * tests/test_pyflakes.py:
    - always pyflakes as part of the pre-build process to ensure
      we are clean
  * disable apply_dselect_upgrades()
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Feb 2012 09:56:29 +0100

update-manager (1:0.156.2) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/removal_blacklist.cfg:
    - add unity, unity-2d

  [ Brian Murray ]
  * debian/source_update-manager.py: use attach_file for dist-upgrade log
    files rather than attach_root_command_outputs resolving the double gzipped
    apt clone attachment issue
  
  [ Matthew Linscott ]
  * UpdateManager/Core/utils.py
    - fixed typos in docstring for ExecutionTime 

  [ Daniel Polehn ]
  * DistUpgrade/DistUpgradeView.py
    - Made usage of 'canceled' v. 'cancelled' consistent. LP: #918302

 -- Brian Murray <brian@ubuntu.com>  Wed, 25 Jan 2012 15:37:27 -0800

update-manager (1:0.156.1) precise; urgency=low

  * debian/source_update-manager.py: include AptDaemon messages from syslog to
    help identify failures

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Jan 2012 15:21:37 -0800

update-manager (1:0.156) precise; urgency=low

  [ Michael Vogt ]
  * pyflake fixes, remove some dead code
  * update unity dependency

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py
    - call apport-cli directly for bug reporting of errors
  * check-new-release-gtk
    - ensure to write a integer when calculating the next time that
      the release available window will be presented (LP: #873424)
    - hide redundant release-notes button (LP: #873432)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Jan 2012 11:08:32 +0100

update-manager (1:0.155.3) precise; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/removal_blacklist.cfg:
    - add screen as the server upgrade runs inside it, thanks to
      Steve Langasek
  * DistUpgrade/DistUpgradeController.py, 
    DistUpgrade/prerequists-sources.list:
    - use the release-upgrader-python-apt from lucid-updates instead
      of lucid-proposed

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py
    - add periods to sentences in refresh_updates_count

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jan 2012 10:04:38 +0100

update-manager (1:0.155.2) precise; urgency=low

  [ Robert Roth ]
  * DistUpgrade/DistUpgradeController.py:
    - Avoid using systemdir abbreviation (LP: #903939)

  [ Brian Murray ]
  * debian/source_update-manager.py:
    - Use attach_gesttings_package instead of attach_gconf
  
  [ Jean-Baptiste Lallement ]
  * lp:~jibel/update-manager/AutoUpgradeTester-aptclone:
    - support building a profile from a apt-clone file and testing
      that
    - add amd64 test profiles

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Jan 2012 11:30:56 +0100

update-manager (1:0.155.1) precise; urgency=low

  * fix crash in backports fetching code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Dec 2011 21:34:43 +0100

update-manager (1:0.155) precise; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/update-manager/lucid-precise-upgrades:
    - support upgrades with multiarch-support (for e.g. flash)
      from lucid to precise by using the release-upgrader-python-apt
      from lucid-proposed during the upgrade

  [ Gabor Kelemen ]
  * Mark a few strings for translation, make variables reorderable
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Dec 2011 15:12:13 +0100

update-manager (1:0.154.6) precise; urgency=low

  * DistUpgrade/DistUpgrade.ui:
    - remove <child internal-child="selection"> as this is not
      supported by the gtkbuilder in lucid and makes the release
      upgrader crash (LP: #898482)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Dec 2011 16:38:56 +0100

update-manager (1:0.154.5) precise; urgency=low

  [ Nicholas Skaggs ]
  * lp:~nskaggs/update-manager/fix-for-702418:
    - Removed gnome-power-manager dbus interface completely and
      only use freedesktop interface.
      Thanks to Nicholas Skaggs (LP: #702418)
  
  [ Gabor Kelemen ]
  * Replace gettext.install() with bindtextdomain() calls.
    Work around crash in OptionParser when displaying
    localized --help text, to not regress on bug LP: #557804
  * Extract strings for translation from u-m-t and u-s-s executables
  
  [ Marc Deslauriers ]
  * SECURITY UPDATE: arbitrary code execution via directory traversal
    (LP: #881548)
    - UpdateManager/Core/DistUpgradeFetcherCore.py: verify signature before
      unpacking the tarball.
    - CVE-2011-3152
  * SECURITY UPDATE: information leak via insecure temp file (LP: #881541)
    - DistUpgrade/DistUpgradeViewKDE.py: use mkstemp instead of mktemp.
    - CVE-2011-3154
  
  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - ensure that the origin headers state of "select all/dselect all"
      is consistent

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Nov 2011 09:58:15 +0100

update-manager (1:0.154.3) precise; urgency=low

  [ Alexey Feldgendler ]
  * lp:~feldgendler/update-manager/574436:
    Introduced the [ThirdPartyMirrors] configuration section for the
    distribution upgrader. All keys in it must have distinct names, but
    only values matter. Each value is a third-party source URI. Such
    whitelisted sources don't get disabled on upgrade; however, if they
    use "from" release name, it's replaced with the "to" release name.
    (LP: #574436)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Nov 2011 15:36:02 +0100

update-manager (1:0.154.2) precise; urgency=low

  * UpdateManager/backend/InstallBackendSynaptic.py
    - fix crash when using synaptic (LP: #878719)
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - before doing the upgrade test if all systemdirs are actually 
      writable, thanks to Brian Murray (LP: #889921)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Nov 2011 10:15:29 +0100

update-manager (1:0.154.1) precise; urgency=low

  [ Robert Roth ]
  *  Change up-to-date text to up to date (LP: #864336)
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - add precise as a LTS release
  * AutoUpgradeTester/profile/*/DistUpgrade.cfg:
    - updated to test oneiric->precise and lucid->precise
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - add support for different architectures
  * AutoUpgradeTester/profile/server-amd64/DistUpgrade.cfg:
    - add amd64 server upgrade test profile
  * DistUpgrade/DistUpgradeConfigParser.py:
    - add new "defaults_dir" argument to allow simplifying the 
      auto-upgrade-tester config
  * DistUpgrade/DistUpgrade.cfg.lucid:
    - add lucid->precise upgrade config
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - dynamically allocate ssh/vnc ports when multiple testers are run

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Nov 2011 09:35:27 +0100

update-manager (1:0.154) precise; urgency=low

  * lp:~barcc/update-manager/all_changes-wrong-use:
    - Fixed wrong use of self.cache.all_changes[name] in
      UpdateManager.on_treeview_update_cursor_changed
  * data/gtkbuilder/UpdateManager.ui:
    - set default height to 500 (thanks to Sebastien Bacher)
  * DistUpgrade/DistUpgradeController.py:
    - do not crash if apt-btrfs-snapshot fails to run (LP: #873411)
  * UpdateManager/Core/MyCache.py, DistUpgrade/DistUpgradeCache.py:
    - honor dselect request install state when calcuating the upgrade
      thanks to Evan for suggesting this
  * merge fixes from oneiric-proposed
  * DistUpgrade/*
    - update for oneiric->precise upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Oct 2011 16:21:16 +0200

update-manager (1:0.152.25.4) oneiric-proposed; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - ensure that postgresql does not get removed (LP: #871893)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Oct 2011 09:52:08 +0200

update-manager (1:0.152.25.3) oneiric-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash when packages needs downgrading
  * UpdateManager/Core/utils.py:
    - do not crash if iptables does not exist, thanks to Daniel
      Holbach for reporting the issue (LP: #877514)
  * DistUpgrade/DistUpgradeQuirks.py:
    - keep poking the screensaver to ensure that it really won't
      activate during the upgrade (thanks to Jonathan Davies for
      the report)
  * tests/test_sources_list.py:
    - fix test (archive.ubuntu.com no longer listens to ftp)
  * po/*:
    - refresh again to fix regression (LP: #877461)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Oct 2011 17:06:40 +0200

update-manager (1:0.152.25.2) oneiric-proposed; urgency=low

  * refresh translation for the release-upgrader (LP: #873905)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Oct 2011 15:19:51 +0200

update-manager (1:0.152.25.1) oneiric-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - do not crash if apt-btrfs-snapshot fails to run (LP: #873411)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Oct 2011 17:29:34 +0200

update-manager (1:0.152.25) oneiric; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add workaround for a python-apt bug that causes the release
      upgrade to import the old version of "DistInfo" intead of the 
      one that is bundled with the release-upgrader (LP: #871007)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 10 Oct 2011 13:15:29 +0200

update-manager (1:0.152.24) oneiric; urgency=low

  * AutoUpgradeTester/profile/eduubuntu/DistUpgrade.cfg:
    - Fix typo, renaming to edubuntu instead

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 08 Oct 2011 15:25:55 -0400

update-manager (1:0.152.23) oneiric; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - ensure that edubuntu-desktop really gets upgraded
  * AutoUpgradeTester/profile/eduubuntu/DistUpgrade.cfg:
    - update profile for edubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 08 Oct 2011 19:24:45 +0200

update-manager (1:0.152.22) oneiric; urgency=low

  * tests/test_update_origin.py, Janitor/computerjanitor/plugin.py:
    - fix tests
  * .bzr-builddeb/default.conf:
    - re-enable pre-build script to ensure we get a updated 
      base-installer, demotions and html Announcements

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Oct 2011 10:07:26 +0200

update-manager (1:0.152.21) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - increase the amd64 cache size to 48mb to workaround bug 
      LP: #854090 during the natty -> oneiric upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 21:26:10 +0200

update-manager (1:0.152.20) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - increase the default cache size on a multiarch system to
      avoid potential crash in natty apt (LP: #854090)
  * DistUpgrade/DistUpgradeController.py, UpdateManager/Core/utils.py:
    - do not leak password from sources.list entries into the logfile
      (LP: #839094)
  * UpdateManager/UpdateManager.py:
    - do not crash if a package can not be put into "install" state,
      instead, just keep the old (unmarked) state (LP: #850482)
  * UpdateManager/DistUpgradeFetcher.py:
    - fix crash for changed gtk2 -> gtk3 API (LP: #859862)
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - remove debug output (LP: #855495)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 16:09:55 +0200

update-manager (1:0.152.19) oneiric; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - do not use O_SYNC for the apt.log, its not important enough
      to justify the slowdown (LP: #852128)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Sep 2011 17:55:53 +0200

update-manager (1:0.152.18) oneiric; urgency=low

  [ Michael Vogt ]
  * debian/pycompat:
    - removed, no longer needed
  * debian/rules:
    - fix incorrect invocation of --with=python2
  
  [ Robert Roth ]
  * lp:~evfool/update-manager/handlewarning:
    - Only disconnect handler if it's still connected (LP: #133139)
  * lp:~evfool/update-manager/glibchangefix:
    - Call glib.markup_escape_text() correctly as per current 
      gir (don't pass in string length; LP: #832745)
  * lp:~evfool/update-manager/fixcopylink:
    - Fix the "Copy web link" context menu item of the ChangeLog viewer.
      It did not work before of some Gtk changes, now it does work. 
      Fixes LP: #831944.
  
  [ Stefano Rivera ]
  * extras is another special case where validTo=False (LP: #775694)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2011 11:47:10 +0200

update-manager (1:0.152.17) oneiric; urgency=low

  * debian/source-update_manager.py:  ask the reporter if their issue is
    regarding a distribution upgrade if so include log files (LP: #836846)

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Aug 2011 10:10:15 -0700

update-manager (1:0.152.16) oneiric; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - prepare text for the beta release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 17:52:58 +0200

update-manager (1:0.152.15) oneiric; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: 
    - properly add the tag 'dist-upgrade' to the bug report
  
  [ Michael Vogt ]
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - fix incorrect initialization
  * fix GLib.timeout_add_seconds() with the new GIR (LP: #829186)
  * call software-properties-gtk without gksu, that is no longer
    needed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Aug 2011 12:15:35 +0200

update-manager (1:0.152.14) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - enable multiarch on amd64 during the upgrade
    - add new "PreCacheOpen" hook and use it for the multiarch 
      enabling
  * DistUpgrade/DistUpgradeCache.py:
    - when checking for missing "priority: required" packages 
      ignore the foreign architecture ones

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Aug 2011 10:52:23 +0200

update-manager (1:0.152.13) oneiric; urgency=low

  [ Robert Roth ]
  * Fix link context menu in changelog viewer (LP: #824957)
  
  [ Michael Vogt ]
  * debian/control:
    - bump unity dependency to gir1.2-unity-4.0 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Aug 2011 17:45:51 +0200

update-manager (1:0.152.12) oneiric; urgency=low

  [ Michael Vogt ]
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - add NonInterative/AddRepoUpgradeImmediately option that allows
      installing test package *before* the test upgrade runs (useful
      for e.g. testing a new apt or dpkg)

  [ Robert Roth ]
  * Added default value to be able to start UpdateManager without 
    having gir-unity installed (LP: #823935)
  * Fixed changelog test with the new wording
  * Specify default -1 length for terminal response (LP: #817785)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Aug 2011 17:58:35 +0200

update-manager (1:0.152.11) oneiric; urgency=low

  * DistUpgrade/DistUpgradeViewGtk3.py:
    - use vte.for_command_full() instead of fork_command() as 
      fork_command is no longer available in the gir-2.90
      (LP: #808738)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Aug 2011 15:27:46 +0200

update-manager (1:0.152.10) oneiric; urgency=low

  [ Michael Vogt ]
  * merged lp:~evfool/update-manager/pkgsections, many thanks
  * debian/control:
    - fix dependency on python-aptdaemon.gtk3widgets
  * DistUpgrade/DistUpgradeController.py:
    - only ask for a reboot if the upgrade is not running inside a
      chroot

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py:
    - when upgrading do not disable deb-src entries in /etc/apt/sources.list
  * DistUpgrade/DistUpgradeMain.py:
    - string fix thanks to David Stansby for the fix (LP: #510681)
  
  [ Robert Roth ]
  * Give clear instructions when the last update timestamp is 
    not found (LP: #821345)
  * Fix operation between NoneType and int (LP: #820126)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Aug 2011 14:16:15 +0200

update-manager (1:0.152.9) oneiric; urgency=low

  * remove old UpdateManager.glade file
  * rename data/glade to data/gtkbuilder
  * merged lp:~rodrigo-moya/update-manager/use-new-power-interface, 
    thanks to Rodrigo Moya
  * DistUpgrade/DistUpgradeQuirks.py:
    - when upgrading, ensure that zz-update-grub is early in
      /etc/kernel/postinst.d to ensure we always have a good grub
      config and not depend on the package upgrade ordering for that

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Jul 2011 16:59:58 +0200

update-manager (1:0.152.8) oneiric; urgency=low

  [ Robert Roth ]
  * Ordered the packages alphabetically on the dist-upgrade
    confirmation dialog. (LP: #764831)
  * Update last updated text every 15 minutes in the first hour
    after update (LP: #747336). Thanks to Fredrik Ekelund.

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py, data/glade/UpdateManager.ui:
    - remove old manual text wrap code that is now superseeded by
      gtk3 (LP: #812949)
  * data/glade/UpdateManager.ui:
    - fix the xalign and expand properties of the various alert
      labels
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Jul 2011 10:42:31 +0200

update-manager (1:0.152.7) oneiric; urgency=low

  [ Michael Vogt ]
  * merged lp:~mterry/update-manager/813778 to fix crash in 
    initCache() LP: #813778. Many thanks to Michael Terry
  * add jenkins slave setup (config, upstart job), similar to the
    server-isotesting  (disabled by default)
  * DistUpgrade/DistUpgrade.ui:
    - add minimal size for the details expander (and let glade 
      reindent/reformat the entire file along the way)
  * merged lp:~evfool/update-manager/stringfixes
  
  [ Robert Roth ]
  * Updated translator comment to follow the Ubuntu Units policy
  * Display sizes according to the Ubuntu Units Policy (LP: #410310)
  * Fix ambiguous text explaining updates to running release (LP: #461780)
  * Added label to distinguish candidate version from installed version 
    (LP: #537942)
  * Rename Check all/Uncheck all to Select/Deselect all

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jul 2011 18:44:45 +0200

update-manager (1:0.152.6) oneiric; urgency=low

  * Only build dist-upgrader tarball in the binary-indep target,
    fixing both the non-x86 build failures, and Soyuz having a
    hissy fit over multiple identically-named files (LP: #813867)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 21 Jul 2011 00:24:32 -0600

update-manager (1:0.152.5) oneiric; urgency=low

  * DistUpgrade/DistUpgrade{Cache,Controller}.py:
    - if  btrfs snapshots are used, add the additional required 
      diskspace requierd into the free space calculation
  * debian/{rules,control}:
    - move to debhelper 7

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Jul 2011 10:09:49 +0200

update-manager (1:0.152.4) oneiric; urgency=low

  * merged lp:~evfool/update-manager/fix622489, many thanks
    to "FooBar" and Robert Roth (evfool)
  * when downloading the html release notes, ensure to send a
    query string similar to ubiquity to allow more specific
    release notes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Jul 2011 09:45:28 +0200

update-manager (1:0.152.3) oneiric; urgency=low

  * remove unneeded GConf imports (we are using gsettings now)
    LP: #807715
  * a good bunch of pyflakes fixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Jul 2011 18:00:37 +0200

update-manager (1:0.152.2) oneiric; urgency=low

  * data/update-manager.convert:
    - ship gconf->gsettings convert script

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 14 Jul 2011 10:01:18 +0200

update-manager (1:0.152.1) oneiric; urgency=low

  * fix release upgrade view dialog in gtk3
  * UpdateManager/UpdateManager.py, check-new-release-gtk:
    - use GLib.timeout_add(priority, timeout, func, data) instead
      of the old glib.timeout_add()
      thanks to Michael Terry (lp:~mterry/update-manager/pygi-cleanups)
  * check-new-release-gtk, tests/test_end_of_life.py:
    - fix test failures

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Jul 2011 11:19:29 +0200

update-manager (1:0.152) oneiric; urgency=low

  * ported to gtk3/GI
  * port from gconf to gsettings
  * debian/control:
    - depend on python-gobject with overwrite bugfixes needed
      for update-manager

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Jul 2011 12:25:03 +0200

update-manager (1:0.151.10) oneiric; urgency=low

  [ Brian Murray ]
  * In apport hook, collect non-default gconf values.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 07 Jul 2011 14:31:00 -0400

update-manager (1:0.151.9) oneiric; urgency=low

  * do not crash if lspci is not installed
  * merged lp:~brian-murray/update-manager/apport-hook-changes,
    thanks!
  * merged lp:~eapache/update-manager/unity-urgency-hint, many
    thanks to Evan Huus (LP: #799173)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Jul 2011 11:16:14 +0200

update-manager (1:0.151.8) oneiric; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - set DPKG_UNTRANSLATED_MESSAGES to force untranslated dpkg
      terminal messages for easier package failure duplication 
      detection
  * DistUpgrade/DistUpgradeCache.py:
    - when calculating the size of the space required in /boot use
      the size of the currently running kernel as the base and add
      a small safety margin (LP: #798462). 
  * import new apt-btrfs-snapshot to fix crash for certain fstab
    entries (LP: #806065)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Jul 2011 17:23:26 +0200

update-manager (1:0.151.7) oneiric; urgency=low

  * fix apt-btfs-snapshot releated crash

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Jun 2011 11:42:16 +0200

update-manager (1:0.151.6) oneiric; urgency=low

  * pre-build.sh:
    - automatically include apt_btrfs_snapshot.py in the release
      uprader tarball

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Jun 2011 15:37:08 +0200

update-manager (1:0.151.5) oneiric; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - warn intel i8xx user that the upgrade to oneiric may cause
      issues with their particular graphics hardware (LP: #774999)
  * merge patch from "eapache" to fix the unity progress bars
    (LP: #796311)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jun 2011 18:04:27 +0200

update-manager (1:0.151.4) oneiric; urgency=low

  [ Robert Roth ]
  * Fix problem of showing only integer MB count and causing 
    size inconsistencies

  [ Brendan Donegan ]
  * Updated NetworkManagerHelper with new NM 0.9 states as well as
    updating the UpdateManager itself to handle codes more robustly

  [ Michael Vogt ]
  * merged lp:~brendan-donegan/update-manager/bug791548_networkmanager0.9,
    many thanks
  * merged lp:~evfool/update-manager/fixmbcount, many thanks
  * show progress inside unity, thanks to Bilal Akhtar for the initial
    version of the patch!

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 16:19:48 +0200

update-manager (1:0.151.3) oneiric; urgency=low

  [ Michael Vogt ]
  * merged 
    lp:~brendan-donegan/update-manager/bug699660-fix-settings-shortcut
    thanks to Brendan Donegan
  * AutoUpgradeTester/profile/*:
    - updated for natty->oneiric
  * DistUpgrade/DistUpgradeViewGtk.py:
    - use VteTerminal "child-exit" signal instead of the Reaper object
  * optionally use webkit for the release notes viewer
 
  [ Brian Murray ]
  * do-release-upgrade: display version of the new release available not the
    code name
  * add an apport hook for update-manager and modify bug reporting
    instructions to recommend using apport (LP: #721382)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Jun 2011 11:32:45 -0700

update-manager (1:0.151.2) oneiric; urgency=low

  * fix UnitySupport import

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 May 2011 12:14:26 +0200

update-manager (1:0.151.1) oneiric; urgency=low

  * merged lp:~bilalakhtar/update-manager/unity-quicklist,  many
    thanks to Bilal Akhtar for adding quickly support
  * merged lp:~mvo/update-manager/for-unity to make the support
    optional and to add updates count into the update-manager 
    icon in unity

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 May 2011 18:15:21 +0200

update-manager (1:0.151) oneiric; urgency=low

  * merged lp:~evfool/update-manager/sectionchecks, many thanks
    to Robert Roth
  * DistUpgrade/*:
    - updated for oneiric
  * fix arguments from "autInst" to "auto_inst" and
    "autoFix" -> "auto_fix"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 May 2011 14:25:55 +0200

update-manager (1:0.150.2) natty-proposed; urgency=low

  * debian/control:
    - point to "natty" branch
  * DistUpgrade/DistUpgrade.cfg:
    - remove "kde-plasmoid-cwp" early as it will break upgrades
      later (LP: #773022)
  * DistUpgrade/DistUpgradeCache.py:
    - do not fail if not all meta-package can not be upgraded, packages
      like ubuntu-desktop and xubuntu-desktop have implicit conflicts
      LP: #775411

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 May 2011 09:52:35 +0200

update-manager (1:0.150.1) natty-proposed; urgency=low

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeApport.py: 
    - do not report zero size attachments (LP: #772052)
  * DistUpgrade/DistUpgrade.cfg:
    - enable apport for distribution upgrades (LP: #772913)
  * DistUpgrade/DistUpgradeController.py:
    - use service to start apport

  [ Michael Vogt ]
  * DistUpgrade/DistUpgrade.cfg:
    - Remove 'dontzap' from kubuntu-desktops rules (LP: #769680).
      This fixes a upgrade issue when a old package is leftover

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 29 Apr 2011 15:55:38 +0200

update-manager (1:0.150) natty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py, tests/test_quirks.py:
    - don't print a error for already patched files, this removes
      a misleading error from the upgrade logs
    - update tests
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Apr 2011 14:25:15 +0200

update-manager (1:0.147.6) natty; urgency=low

  * AutoUpgradeTester/profile/{euca-cloud,euca-nc,xubuntu}/DistUpgrade.cfg:
    - updated for maverick->natty now that the auto-upgrade-test server
      has more diskspace
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - make running-under-ssh check more robust by looking for sshd parent
  * DistUpgrade/DistUpgradeViewText.py:
    - make user confirm information() messages before continuing
      (important for e.g. the "sshd has started" message)
  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeController.py:
    - ensure that new recommends are installed on a desktop mode upgrade 
      even if that got disabled e.g. via synaptic (LP: #759262)
    - add test for this feature

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Apr 2011 10:05:29 +0200

update-manager (1:0.147.5) natty; urgency=low

  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeMain.py:
    - fix ssh detection (LP: #744995)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 08 Apr 2011 18:24:30 +0200

update-manager (1:0.147.4) natty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py
   - Allow to view differences in conf file changes LP: #746431

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 07 Apr 2011 14:42:15 +0100

update-manager (1:0.147.3) natty; urgency=low

  * merged lp:~evfool/update-manager/fix665173 (LP: #665173),
    many thanks to Robert Roth (update the test a bit)
  * merged lp:~evfool/update-manager/fix150677 (LP: #150677),
    many thanks to Robert Roth 
  * merged lp:~evfool/update-manager/fix727069 (LP: #727069),
    many thanks to Robert Roth 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Apr 2011 17:32:35 +0200

update-manager (1:0.147.2) natty; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - no not trigger a apport exception on user auth issues and if
      the user does not type the password in time (LP: #626798)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 15:49:58 +0200

update-manager (1:0.147.1) natty; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - use pkgsystem_unlock, improve exception handling, add test
  * DistUpgrade/DistUpgradeQuirks.py: 
    - add quirks handler for maverick->natty upgrade for the 
      kdegames-card-data case (LP: #745396)
  * tests/test_quirks.py:
    - add test for LP: #745396
  * UpdateManager/UpdateManager.py, do-release-upgrade:
    - point to http://www.ubuntu.com/releaseendoflife when the release
      is end-of-life message is displayed (LP: #671016)
  * DistUpgrade/EOLReleaseAnnouncement:
    - improve wording, this is displayed if the user is trying to upgrade
      from a unsupported version of Ubuntu to a already unsupported
      version. This now links to  http://www.ubuntu.com/releaseendoflife
      (LP: #671016)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Apr 2011 11:31:50 +0200

update-manager (1:0.147) natty; urgency=low

  [ Brian Murray]
  * UpdateManager/ReleaseNotesViewer.py: fix the path for gnome-open
    and default to xdg-open (LP: #693131) 
  
  [ Michael Vogt ]
  * DistUpgrade/apt_clone.py:
    - use apt_clone.py from the apt-clone package
  * debian/control:
    - add apt-clone to the build-depends
  * DistUpgrade/DistUpgradePatcher.py:
    - add native ed-style patch implementation as e.g. chroots
      may not have ed installed and its critical to be able to 
      ensure that pycompile is correct before the upgrade starts
  * do-release-upgrade:
    - use apt.progress.text.AcquireProgress to fix deprecation warning
  * DistUpgrade/DistUpgradeViewText.py:
    - fix deprecation warning (LP: #744990)
  * fix deprecation warnings in auxiliary scripts
  * DistUpgrade/DistUpgradeAptCdrom.py:
    - fixes with the python-apt 0.8 API

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 31 Mar 2011 17:58:14 +0200

update-manager (1:0.146.6) natty; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - fix description to say "BETA"
  * pre-build.sh:
    - cleanup cruft test leftover output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Mar 2011 16:45:29 +0200

update-manager (1:0.146.5) natty; urgency=low

  * fix FTBFS by including a apt_clone.py copy until apt-clone
    makes it through NEW

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Mar 2011 20:54:30 +0100

update-manager (1:0.146.4) natty; urgency=low

  * DistUpgrade/DistUpgradeMain.py, DistUpgrade/apt_clone.py: 
    Use apt-clone to create system-state instead of custom one
    (apt-clone_system_state.tar.gz)
    This makes reproducing problems a lot easier as apt-clone restore
    <statefile> can be used. It also means that ubiquity can pick up
    failed upgrades from the state file and finish them.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Mar 2011 16:05:11 +0100

update-manager (1:0.146.3) natty; urgency=low

  * DistUpgrade/DistUpgradeAptCdrom.py, DistUpgrade/DistUpgradeController.py:
    - comment out cdrom source after alternative CD based upgrade
  * DistUpgrade/DistUpgradeController.py:
    - show error message when cdrom fails to add
  * tests/test_cdrom.py:
    - add test for cdrom commenting

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Mar 2011 16:19:21 +0100

update-manager (1:0.146.2) natty; urgency=low

  [ Michael Vogt ]
  *  data/glade/UpdateManager.ui, UpdateManager/UpdateManager.py:
    - improve wording of roaming warning, thanks to Alex Chiang
    - make the roaming warning label wrap
  * UpdateManager/UpdateManager.py:
    - fix crash in  _get_last_apt_get_update_text (LP: #712346)
    - do not try to download changelogs if NM reports we are
      disconnected (LP: #19372)

  [ Julian Taylor ]
  * use dh_installman to install manpages
  * move do-release-upgrade manpage to update-manager-core (LP: #695186)

  [ Martin Pitt ]
  * debian/control: Update Breaks:/Conflicts: for the moved manpage.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Mar 2011 10:25:11 +0100

update-manager (1:0.146.1) natty; urgency=low

  [ Michael Vogt ]
  * merged lp:~evfool/update-manager/fix689034:
    - Some basic string fixes (lp:#689034), thanks to Robert Roth
  * UpdateManager/Core/roam.py:
    - add backend for roaming detection, thanks to Alex Chiang
    - display warning when on 3g and when roaming (fixes half of 
      LP: 323108)
  * merged lp:~thibault-lemaitre/ubuntu/natty/update-manager/from_pkg.isInstalled_to_pkg.is_installed
    that fixes a bunch of deprecated python-apt issues (many thanks!)

  [ Lionel Le Folgoc ]
  * UpdateManager/UpdateManager.py: try to reboot using consolekit if
    gnome-session isn't present (fixes rebooting on Xfce and LXDE, lp: #530161).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Mar 2011 08:55:53 +0100

update-manager (1:0.146) natty; urgency=low

  * DistUpgrade/DistUpgradeView*.py:
    - pass apt.Package object to the view instead of strings, this
      allows to show additional info on the packages (like summary
      or size)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - check for libgtk2-perl for debconf support
  * AutoUpgradeTester/install_blacklist.cfg:
    - update blacklist for creating main-all images
  * UpdateManager/ReleaseNotesViewer.py:
    - use monospace font (LP: #153228)
  * DistUpgrade/DistUpgradeController.py:
    - perform btrfs snapshot on upgrade if apt-btrfs-snapshot is 
      available

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Feb 2011 21:19:12 +0100

update-manager (1:0.145.13) natty; urgency=low

  * fix ReleaseAnnoucement.html auto generation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 Jan 2011 20:48:42 +0100

update-manager (1:0.145.12) natty; urgency=low

  * debian/control:
    - drop build-depend on fglrx-modalias
  * DistUpgrade/DistUpgradeQuirks.py:
    - port fglrx-modalias checking code to new modaliases support from
      the pkgrecords
  * tests/test_quirks.py:
    - update tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 Jan 2011 14:49:19 +0100

update-manager (1:0.145.11) natty; urgency=low

  * debian/91-release-upgrade:
    - test if the script exists before running it (thanks to
      Kees Cook)
  * pre-build.sh:
    - auto generate html files from the *ReleaseAnnoucement
      files
  * merged 
    lp:~brendan-donegan/update-manager/updated-signal-and-no-update-option
    (many thanks)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Jan 2011 22:27:56 +0100

update-manager (1:0.145.10) natty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - fixup internal (ed) based patching tool
  * DistUpgrade/patches/
    - add pycompile patch to ensure clean upgrade even when maverick-updates
      is not available (LP: #689615)
  * AutoUpgradeTester/profile/server/DistUpgrade.cfg:
    - updated for maverick
  * DistUpgrade/DistUpgradeCache.py:
    - minor python-apt 0.8 API update
  * tests/patchdir/_patchdir_foo.f41121a903eafadf258962abc57c8644:
    - update test for latest internal patching tool

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Dec 2010 18:24:36 +0100

update-manager (1:0.145.9) natty; urgency=low

  * fix FTBFS
  * improve install-backend error checking

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Dec 2010 15:55:39 +0100

update-manager (1:0.145.8) natty; urgency=low

  * remove update-manager-hildon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Dec 2010 16:13:20 +0100

update-manager (1:0.145.7) natty; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - updated for aptdaemon 0.40
  * merged lp:~alexlauni/update-manager/dbus, many thanks

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Dec 2010 15:13:20 +0100

update-manager (1:0.145.6) natty; urgency=low

  * debian/rules:
    - build with --skip-private, otherwise dh_python2 will generate
      a incorrect maintainer script for the auto-upgrade-tester package
      that contains a invalid version range string

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Dec 2010 10:22:03 +0100

update-manager (1:0.145.5) natty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeViewText.py:
    - start with gnu screen integration
  * DistUpgrade/DistUpgradeController.py:
    - when starting a additional sshd detect if there is a firewall
      running and if so print information that the additional sshd
      may need to be added to the firewall rules
  * UpdateManager/Core/utils.py:
    - add iptables_active() helper
  * merged lp:~brian-murray/update-manager/has-completed, many thanks
    This fixes issues with the English past tense
  * merged lp:~mvo/update-manager/use-screen-in-text-frontend, this
    will use screen in the text version of the release upgrader
  * Janitor/plugins/dpkg_status_plugin.py, DistUpgrade/DistUpgradeViewGtk.py:
    - fix python-apt 0.8 API
  * merged lp:~kelemeng/update-manager/bug633036 (LP: #633036), many
    thanks to Gabor Kelemen
  * debian/rules, debian/control:
    - use dh_python2 instead of python-central and drop it from the
      build-depends

  [ Colin Watson ]
  * DistUpgrade/*ReleaseAnnouncement:
    - Fix "Narwahl" typo (LP: #684050).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Dec 2010 09:46:34 +0100

update-manager (1:0.145.4) natty; urgency=low

  * DistUpgrade/*.ui:
    - updated window main heading for 11.04
  * merged lp:~brian-murray/update-manager/upgrade-canceled-wording
    with wording and style fixes, many thanks!
  * DistUpgrade/DistUpgradeCache.py, UpdateManager/Core/utils.py:
    - check if running inside a chroot and if so, skip kernel
      selection
  * UpdateManager/Core/MetaRelease.py:
    - improve error checking and only present upgrade button if there
      is a working network
    - cleanup hardy code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Nov 2010 16:59:29 +0100

update-manager (1:0.145.3) natty; urgency=low

  * do-release-upgrade:
    - output if the current release is no longer supported
      (part of other-ps-n-testing-upgrades-for-preinstall-hw)
  * check-new-release-gtk:
    - show "dist-no-longer-supported" dialog if the current 
      release is no longer supported
    - automatically "unignore" a previously ignored upgrade if
      the current release becomes EOL
  * AutoUpgradeTester/profile/*/DistUpgrade.cfg:
    - update to auto test maverick to natty
  * DistUpgrade/DistUpgrade.cfg:
    - update kernel removal for natty too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Nov 2010 17:40:09 +0100

update-manager (1:0.145.2) natty; urgency=low

  [ Barry Warsaw ]
  * Add required details to .emit() call.  (LP: #631328)
  
  [ Michael Vogt ]
  * debian/control:
    - add or-dependency for python-aptdaemon-gtk and drop gksu 
      dependency (its either brought in via synaptic or not needed)
  * UpdateManager/Core/utils.py:
    - add get_arch() call
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeQuirks.py:
    - use new utils.get_arch() call
  * merged fixes from lp:~ubuntu-core-dev/update-manager/maverick
  * debian/rules:
    - push EOLReleaseAnnouncement to the server too

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Nov 2010 15:56:32 +0100

update-manager (1:0.145.1) natty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/EOLReleaseAnnouncement:
    - add information for the time when the release is EOL
      (part of the fix for #671016)
  * UpdateManager/UpdateManager.py:
    - fix typo in EOL text
  * DistUpgrade/DistUpgradeController.py:
    - properly log excepition in the child to the main.log, thanks
      to Jonathan Davies
  
  [ Barry Warsaw ]
  * In Python 2.7, locale.format() input test has gotten more strict.  It
    does not allow trailing text after the format string.  Change this to
    locale.format_string().  See Python issue 10379.  (LP: #673297)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Nov 2010 17:39:41 +0100

update-manager (1:0.145) natty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/*:
    - updated for natty
  * tests/test_prerequists.py:
    - fix jaunty test now that this is moved to old-releases.ubuntu.com
  * pre-build.sh:
    - run testsuite on bzr-buildpackage 
  * tests/test_dist_upgrade_fetcher_core.py:
    - fix test failures and ensure its python-apt 0.8 clean
  * po/update-manager.pot:
    - updated
  * DistUpgrade/DistUpgradeCache.py:
    - do not crash if no acquire progress is given
  * DistUpgrade/DistUpgradeController.py, 
    DistUpgrade/DistUpgradeViewNonInteractive.py,
    UpdateManager/Core/DistUpgradeFetcherCore.py,
    tests/test_update_origin.py,
    tests/test_sources_list.py:
    - fixes in the python-apt 0.8 API
  * tests/*.py:
    - fix natty test failures

  [ Bilal Akhtar ]
  * UpdateManager/UpdateManager.py:
    - add more meaningful text if info is out-of-date (LP: #35009)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 04 Nov 2010 15:57:02 +0100

update-manager (1:0.142.22) maverick-proposed; urgency=low

  [ Barry Warsaw ]
  * Add required details to .emit() call when running with
    synaptic as the backend (LP: #631328)
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - fixes in the cmov quirks handler (LP: #587186)
      (thanks to Jean-Baptiste Lallement)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Nov 2010 09:30:28 +0100

update-manager (1:0.142.21) maverick-proposed; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - abort the upgrade if the user runs on a i586 or a i686
      with no "cmov" support (LP: #587186)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Oct 2010 15:41:03 +0200

update-manager (1:0.142.20) maverick-proposed; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - do not crash if the free space check fails (LP: #656881)
  * DistUpgrade/DistUpgrade.cfg:
    - add blcr-dkms to the "BadVersions" variable. The current blcr-dkms
      source will not build with 2.6.35. Adding it here will cause the
      upgrade to abort with a message if it is installed. 
      It also means that if support for 2.6.35 is added to blcr-dkms via
      a SRU that will automatically unblock the upgrade (LP: #555729)
  * DistUpgrade/DistUpgradeViewGtk.py,
    DistUpgrade/DistUpgradeViewKDE.py,:
    - workaround dpkg not sending the correct filename on conffile
      prompts over the status-fd (LP: #656912)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - disable confDialogue.show_difference_button, workaround for 
      "distupgrade crashed during conf file change review" (LP: #656876)
      requires release note that user needs to view changes manually on command line

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 09 Oct 2010 19:08:23 +0100

update-manager (1:0.142.19) maverick; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - only add extras.ubuntu.com for systems that have the matching
      keyring (LP: #653200). This ensures its not added on a server
      upgrade.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Oct 2010 16:29:18 +0200

update-manager (1:0.142.18) maverick; urgency=low

  [ Alessandro Ghersi ]
  * DistUpgrade/DistUpgrade.cfg:
    - make sure that kbluetooth gets removed on upgrade (LP: #653838)

  [ Jonathan Riddell ]
  * Add kubuntu-devel-release-upgrade to setup.py
 
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 04 Oct 2010 13:19:18 +0200

update-manager (1:0.142.17) maverick; urgency=low

  [ Jonathan Riddell]
  * Add kubuntu-devel-release-upgrade script to run the upgrade 
    command for Kubuntu
  
  [ Michael Vogt ]
  * if foomatic-db-gutenprint needs to be removed during the upgrade
    because its not compatible with foomatic-db-compressed-ppds,
    try replacing it with ijsgutenprint-ppds which is the same content,
    just compressed in the same way like foomatic-db-compressed-ppds
    (LP: #647460)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Oct 2010 21:28:24 +0200

update-manager (1:0.142.16) maverick; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - add link to http://www.ubuntu.com/desktop/features to tell
      users about the new features in this release
  * DistUpgrade/DistUpgrade.cfg:
    - help the upgrade by removing printconf, foomatic-db-gutenprint 
      and ebox-printers as they are not compatible with 
      foomatic-db-compressed-ppds (LP: #647460)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Sep 2010 20:22:36 +0200

update-manager (1:0.142.15) maverick; urgency=low

  * po/*.po:
    - updated from launchpad translations for the RC candidate
  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 14:21:57 +0200

update-manager (1:0.142.14) maverick; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/mirrors.cfg:
    - add extras.ubuntu.com to known mirrors
  * DistUpgrade/DistUpgradeQuirks.py:
    - add extras.ubuntu.com on upgrade
  * AutoUpgradeTester/jeos/create-base-image.sh:
    - add workaround for issue with python-vm-builder that generates
      random filenames in maverick
  
  [ Gabor Kelemen ]
  * Fix invocation of gksu, use the correct .desktop file.
    Fixes LP: #640906
  * Correct misplaced parentheses, so that l10n of strings will 
    work. Fixes LP: #640972

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Sep 2010 17:00:34 +0200

update-manager (1:0.142.13) maverick; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - only show demotions if we have at least one

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Sep 2010 09:37:39 +0200

update-manager (1:0.142.12) maverick; urgency=low

  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Sep 2010 09:14:59 +0200

update-manager (1:0.142.11) maverick; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix incorrect paramter passed to confirmChanges in doPostUpgrade
      (thanks to Jonathan Riddel, LP: #624599)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 13:29:44 +0200

update-manager (1:0.142.10) maverick; urgency=low

  * UpdateManager/UpdateManager.py:
    - when NM thinks we have no network, do not disable the
      install button because for dialup users NM is frequently wrong
      and does not get that there is a network-connection (LP: #624894)
      (thanks to Mohamed Amine IL Idrissi)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 10:54:42 +0200

update-manager (1:0.142.9) maverick; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * UpdateManager/UpdateManager.py: Changed the whitespace place to not
    confuse translators, many thanks Milo Casagrande (LP: #621373)
  * DistUpgrade/DistUpgradeView.py: There won't be two spaces in
    FuzzyTimeToStr when days or hours are > 0 and hours or minutes are
    equal to 0 (LP: #288912)
  
  [ Michael Vogt ]
  * remove the seperate demotions dialog and move it into the 
    "Confirm changes" step
  * use a treeview instead of a list to show the details of the
    changes in the gtk frontend
  * UpdateManager/UpdateManager.py, data/glade/UpdateManager.ui:
    - fix label wraping for label_downsize

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Aug 2010 11:17:00 +0200

update-manager (1:0.142.8) maverick; urgency=low

  * UpdateManager/Core/utils.py:
    - fix typo (LP: #615923)
  * UpdateManager/UpdateManager.py:
    - when NM thinks we have no network, do not disable the buttons
      because for dialup users NM is frequently wrong and does not 
      get that there is a network-connection (thanks to "gambs")

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Aug 2010 11:53:47 +0200

update-manager (1:0.142.7) maverick; urgency=low
  
  [ Mohamed Amine IL Idrissi ]
  * Cache is no 
  longer initialized when an operation is not authorized.
    LP: #394608
  * List of updates is active when there are only kept packages.
    LP: #601127 (thanks, Nicolò Chieffo)
  
  [ Michael Vogt ]
  * merged  lp:~simono/update-manager/fixes-bug-563640, many thanks
    (LP: #563640)
  * merged lp:~yofel/update-manager/lp601127 (LP: #601127)
  
  [ Jean-Baptiste Lallement ]
  * UpdateManager/Core/MyCache.py:
    - catch network error when fetching 3rd party changelogs 
      (LP: #565896)

  [ Brian Murray ]
  * UpdateManager/UpdateManager.py: grammar fix

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Aug 2010 09:04:47 +0200

update-manager (1:0.142.6) maverick; urgency=low

  [ Mohamed Amine IL Idrissi ]
  * Implemented battery and network alerts directly in the main window.
    LP: #484249, #426708, #426710, #494772

  [ Michael Vogt ]
  * UpdateManager/Core/MyCache.py:
    - support looking for the changelog by source version
      (and add tests)
  * UpdateManager/Core/utils.py:
    - fix crash when reading the synaptic config (LP: #614170)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Aug 2010 15:16:27 +0200

update-manager (1:0.142.5) maverick; urgency=low

  * more python-apt 0.8 porting
  * less updates to the progressbar
  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - fix crash in non-interactive upgrader when a conffile prompt
      is detected

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 05 Aug 2010 22:49:07 +0200

update-manager (1:0.142.4) maverick; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - fix missing initializer (python0.8 api releated)
      LP: #604250

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Jul 2010 16:18:54 +0200

update-manager (1:0.142.3) maverick; urgency=low

  * merged lp:~and471/update-manager/fix-bug-386196, many thanks
  * DistUpgrade/DistUpgradeView*.py:
    - port progress to new python-apt 0.8 API
  * merged lp:~mdz/update-manager/small-fixes-20100707, many thanks
  * DistUpgrade/DistUpgradeViewGtk.py:
    - call progressbar.set_fraction() less often to avoid too much
      CPU consumption on certain graphic drivers
  * UpdateManager/GtkProgress.py:
    - limit the amount of set_fraction() here too (LP: #595845)
  * UpdateManager/UpdateManager.py:
    - disconnect the model before adding lots of new items, this
      speeds up the building of the view massively

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Jul 2010 10:07:34 +0200

update-manager (1:0.142.2) maverick; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - use privileged port 1022 instead of 9004 when (optinally) 
      starting a additional sshd
  * UpdateManager/UpdateManager.py: 
    - fix crash with --no-focus-on-map
  * data/release-upgrades:
    - set release upgrade policy to "normal" for maverick (instead
      of lts)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Jun 2010 10:48:47 +0200

update-manager (1:0.142.1) maverick; urgency=low

  * UpdateManager/UpdateManager.py:
    - Show reboot required dialog inline instead of doing a popup
      dialog. When morphing windows land into maverick they can 
      be used to make the inline information more pretty. But
      it should be better than the previous popup dialog

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Jun 2010 16:30:07 +0200

update-manager (1:0.142) maverick; urgency=low

  [ Michael Vogt ]
  * check-new-release-gtk: 
    - fix "ask me later" button time
  * DistUpgrade/DistUpgradeController.py,
    DistUpgrade/DistUpgradeCache.py,
    UpdateManager/Core/MetaRelease.py,
    UpdateManager/Core/utils.py,
    UpdateManager/Core/MyCache.py,
    UpdateManager/Core/UpdateList.py,
    UpdateManager/GtkProgress.py,
    UpdateManager/UpdateManager.py:
    - update for python-apt 0.8 API, add tests (LP: #591236)
  * check-new-release-gtk:
    - remove no longer needed warnings filter

  [ Brian Murray ]
  * string fix for 'is aborted now' to 'has aborted'
  * fix in debian/control

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 09 Jun 2010 14:32:05 +0200

update-manager (1:0.141) maverick; urgency=low

  * UpdateManager/backend/__init__.py:
    - switch to aptdaemon as install backend by default (unless
      the user has UPDATE_MANAGER_FORCE_BACKEND_SYNAPTIC in his
      environment)
    - merged lp:~glatzor/update-manager/ubuntu-glatzor (many thanks!)
  * DistUpgrade/DistUpgradeController.py:
   - use pockets from DistUpgrade.cfg instead of hard-coding them
  * tests/test_sources_list.py:
    - update tests
  * UpdateManager/Core/utils.py:
    - fix url_downloadable and add tests, based on the patch from
      Paulo Albuquerque, many thanks (LP: #396187)
  * UpdateManager/UpdateManager.py:
    - fix typo (thanks to seb128)
  * DistUpgrade/mirrors.cfg:
    - support upgrades when sources.list uses the new
      mirror://mirrors.ubuntu.com/mirrors.txt 
      uri
  * UpdateManager/GtkProgress.py:
    - do not open a cache open progress window, instead show the
      progress inline in the window

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 May 2010 15:14:22 +0200

update-manager (1:0.140) maverick; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - remove gobuntu-desktop from the removal blacklist
  * DistUpgrade/DistUpgradeController.py:
    - start apport only, do not modify any conffile (all versions
      of apport we upgrade from support this now)
  * UpdateManager/UpdateManager.py:
    - fix crash when format string has the wrong number of arguments
      (LP: #569469)
    - fix minor UI resize issue (LP: #572228)
  * DistUpgrade/DistUpgrade.cfg:
    - add ubuntu-netbook (LP: #574279)
  * UpdateManager/Core/MetaRelease.py:
    - add looking for a "UpgradeBroken" tag that contains a reason string
      if the user should not be allowed to perform a release upgrade
  * UpdateManager/UpdateManager.py, do-release-upgrade:
    - honor "UpgradeBroken" flag and error in this case
  * updated to support lucid to maverick upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 May 2010 10:48:27 +0200

update-manager (1:0.134.6) lucid; urgency=low

  * fix FTBFS caused by /usr/bin/check-new-release being a symlink
    instead of a real file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 09:31:33 +0200

update-manager (1:0.134.5) lucid; urgency=low

  * DistUpgrade/DistUpgradeAufs.py:
    - fix crash in aufs (--sandbox mode)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 20:07:14 +0200

update-manager (1:0.134.4) lucid; urgency=low

  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - do not enable apport anymore
  * DistUpgrade/DistUpgradeViewGtk.py:
    - set empty dialog titles for error/information dialogs (it looks
      like glade removed those for some reason from the .ui file)
  * DistUpgrade/DistUpgradeAufs.py:
    - fix crash if aufs (--sandbox mode) is used (LP: #562394)
  * DistUpgrade/DistUpgradeMain.py:
    - fix generation of system state file for non-existing dirs/files
      (LP: #561872)
  * UpdateManager/UpdateManager.py:
    - provide a LIST_TOGGLE_CHECKED column as a workaround for orca
      that does not work with values updated via 
      column_install.set_cell_data_func (LP: #561563)
  * update-manager:
    - use gettext.install(unicode=True) to avoid breaking with
      optparse and ja.po (LP: #557804)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Apr 2010 17:54:47 +0200

update-manager (1:0.134.3) lucid; urgency=low

  * do-release-upgrade:
    - print when a new release is available in "-q" so that the motd
      is correct (thanks to Dustin Kirkland)
  * debian/release-upgrade-motd:
    - add newline after release info (thanks to Dustin Kirkland)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Apr 2010 22:52:08 +0200

update-manager (1:0.134.2) lucid; urgency=low

  * DistUpgrade/DistUpgradeMain.py:
    - ignore lspci errors
  * UpdateManager/Core/MyCache.py:
    - simplify url schema for third party changelogs (LP: #45129)
  * DistUpgrade/DistUpgradeCache.py:
    - check if the kernel returned from base-installer is downloadable
      (needed on hardy cdrom only upgrades)
  * debian/91-release-upgrade:
    - use a small script instead of a symlink to ensure that dpkg
      treats them as conffiles (LP: #559194)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Apr 2010 15:44:39 +0200

update-manager (1:0.134.1) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - honor "DEBIAN_FRONTEND=noninteractive" on pkg failure (LP: #538206)
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop apparmor before dpkg starts on hardy -> lucid upgrades to
      avoid potentially confusing error messages during the upgrade
      (LP: #559433)
  * DistUpgrade/DistUpgradeCache.py, DistUpgrade/build-tarball.sh:
    - include obselte nvidia pkgnames to properly transition old
      to new drivers (LP: #553369)
  * DistUpgrade/DistUpgradeViewText.py:
    - show packages that will be removed (because they were auto installed)
      as well (LP: #558438)
    - fix i18n bug in details output
  * UpdateManager/Core/MyCache.py:
    - support third party changelogs by using  ArchiveURI() and
      append a similar structure as changelogs.ubuntu.com uses 
      (LP: #45129)
  * UpdateManager/Core/MetaRelease.py:
    - do not crash if meta-release file can not be parsed, just remove
      the broken file instead (LP: #558396)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Apr 2010 18:32:59 +0200

update-manager (1:0.134) lucid; urgency=low

  [ Barry Warsaw ]
  * Bump up the amount of /boot space calculated per kernel.  The current
    value appears to undercount by about 260K/kernel. (LP: #132311)
  
  [ Michael Vogt ]
  * refresh translations from launchpad
  * update "10.04" strings to "10.04 LTS" and unfuzzy translations
  * when requesting the release announcement, append ?lang=current_lang
    to the request URI
  * update quirks for updates from hardy
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - add extra protection against video driver removal (LP: #556629)
  * DistUpgrade/DistUpgradeMain.py:
    - improve logging and save system state before performing the 
      upgrade. Suggested by Matt Zimmerman (LP: #551646)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 Apr 2010 23:18:25 +0200

update-manager (1:0.133.11) lucid; urgency=low

  * UpdateManager/GtkProgress.py:
    - remove window title on cache progress (LP: #549936)
  * check-new-release-gtk:
    - if no ReleaseNotesHtml key is found, do nothing (it means the
      meta-release file does not support this client)
  * check-new-release-gtk, UpdateManager/Core/MetaRelease.py: 
    - improve debugging
  * UpdateManager/Core/utils.py:
    - add META_RELEASE_FAKE_CODENAME environment that can be used to
      test/force release upgrades
  * check-new-release-gtk:
    - append language parameter to uri
    - support --debug

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 01 Apr 2010 00:10:14 +0200

update-manager (1:0.133.10) lucid; urgency=low

  * help upgrade by hinting usplash gets removed in favor of 
    plymouth

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Mar 2010 19:38:15 +0200

update-manager (1:0.133.9) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeCache.py:
    - do not warn about demoted packages that get removed later anyway
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - remove deskbar-applet, and nautilus-cd-burner on ubuntu-desktop
      upgrade   (as discussed with the desktop team)
    - remove notification-daemon in favor of notify-osd in 
      xubuntu-desktop (LP: #546857)
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - remove tracker on hardy ubuntu-desktop upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 29 Mar 2010 14:18:49 +0200

update-manager (1:0.133.8) lucid; urgency=low

  * DistUpgrade/sources.list.py, distro.py, distinfo.py:
    - temporarily stop embedding from the python-apt build host 
      because of the python-apt api changes, use 0.7.13.5 version 
    instead
  * debian/control:
    - point to lp:~ubuntu-core-dev/update-manager/lucid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 27 Mar 2010 09:56:50 +0100

update-manager (1:0.133.7) lucid; urgency=low

  [ Nathan Stratton Treadway ]
  * data/release-upgrades
    - Provide better explanation of what how the various options in the
      configuration file control which upgrades are presented to the user.
      (LP: #522910)

  [ Barry Warsaw ]
  * README
    - Minor clean up.
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - check if the kernel returned from base-installer is upgradable
      (needed on hardy cdrom only upgrades)
  * check-new-release-gtk:
    - fix "ask me later" button time
  * DistUpgrade/DistUpgradeQuirks.py:
    - fix 386 kernel check/transition on upgrades from hardy
    - move kubuntu-kde4-desktop transition into its own function
  * check-new-release-gtk:
    - use GtkProgress when downloading the release upgrader

  [ Dustin Kirkland ]
  * debian/91-release-upgrade: do the release upgrade check with the
    quiet option to avoid putting debug messages in the MOTD, LP: #548376

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Mar 2010 22:13:17 +0100

update-manager (1:0.133.6) lucid; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - display the right number of packages that are going to be
      removed
  * DistUpgrade/cdromupgrade:
    - fix cddirname detection when called without a directory prefix
  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix crash in webkit progress

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Mar 2010 13:21:54 +0100

update-manager (1:0.133.5) lucid; urgency=low

  [ Markus Korn ]
  * UpdateManager/Core/utils.py:
    - Modified UpdateManager.Core.utils.on_battery() to use UPower per default
      (and DeviceKit.Power as fallback) to check if a system is running 
      on battery (LP: #539211)
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgrade.cfg:
    - hint that libparted1.8-12 can be removed to help the upgrader
      logic'
  * DistUpgrade/DistUpgradeViewGtk.py:
    - only run JS progress if there is actually a webkit view
  * DistUpgrade/DevelReleaseAnnouncement:
    - fix text to say that its a BETA release (LP: #544544)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - only run JS updateProgress script if we have a valid slideshow

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Mar 2010 11:17:24 +0100

update-manager (1:0.133.4) lucid; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeView.py:
    - detect pre-depends cycle and cleanly revert (LP: #516727)
      to the old system state
  * DistUpgrade/DistUpgradeCache.py:
    - only ensure translations are kept if they are still downloadable,
      there is a lot of churn in the translations area so its not 
      feasible to keep them all
    - when checking the kernel list from base-installer, also consider
      kernels that are marked install (LP: #540114)
    - check rdepends of all packages (including auto-removal ones) 
      again ensure the removal blacklist is honored in all cases
      (LP: #540823) 
  * DistUpgrade/DistUpgradeController.py:
    - show progress information when searching for obsolete software
      (this can take a bit on a big install)
  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - fix crash in non-interactive mode (thanks to Andreas Hasenack)

  [ Colin Watson ]
  * Ship /var/lib/update-notifier directory in update-manager-core, so that
    it's always there for 91-release-upgrade (LP: #540159).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Mar 2010 13:57:18 +0100

update-manager (1:0.133.3) lucid; urgency=low

  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - do not allow upgrades to openoffice.org-filter-binfilter that
      causes pre-depends loop (LP: #516727)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Mar 2010 22:59:02 +0100

update-manager (1:0.133.2) lucid; urgency=low

  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - fix regression in conffile prompt handling (LP: #538206)
    - add default to the "NonInteractive", "DebugBrokenScripts" 
      config option
  * DistUpgrade/DistUpgradeController.py:
    - honor "DEBIAN_FRONTEND=noninteractive" in recovery mode as
      well (LP: #538206)
  * DistUpgrade/DistUpgrade.cfg:
    - ensure that gtk-qt-engine is removed on upgrade (LP: #532968)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Mar 2010 17:17:33 +0100

update-manager (1:0.133.1) lucid; urgency=low

  [ Barry Warsaw ]
  * Fix obvious NameError by adding a missing import. (LP: #537250)

  [ David Planella ]
  * Made some strings translatable and extractable as a fix for 
    LP: #537277
 
  [ Michael Vogt ]
  * po/*.po:
    - updated from rosetta
  * DistUpgrade/DistUpgradeApport.py:
    - do not try to add directories under /var/log/dist-upgrade
      to a apport report (LP: #369951)

  [ Shlomi Loubaton ]
  * Set text direction for update treeview to be always LTR regardless
    of current language settings (LP: #316171)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Mar 2010 23:43:27 +0100

update-manager (1:0.133) lucid; urgency=low

  [ Michael Vogt ]
  * UpdateManager/Core/MetaRelease.py:
    - allow upgrade from unsupported version to unsupported version
  * DistUpgrade/removal_blacklist.cfg:
    - allow removal of update-manager-kde
  * check-new-release-gtk:
    - fixes in the gtk release upgrade check
  * DistUpgrade/xorg_fix_proprietary.py:
    - if /etc/X11/XF86Config-4 is found on upgrade, rename it to
      "XF86Config-4.obsolete"
    - write log to "/var/log/dist-upgrade/xorg_fixup.log"
  * do-release-upgrade, check-new-release:
    - implemented "check-releae-upgrade" as symlink to do-release-upgrade
      and automatically run with "--check-dist-upgrade-only" when called
      as c-r-u
    - add --quiet option to do-release-upgrade
  * debian/update-manager-core.links:
    - install /usr/lib/update-manager/check-new-release as symlink to
      do-release-upgrade -c

  [ Wesley Schwengle ]
  * Check for release upgrade is now also possible with do-release-upgrade
    command: do-release-upgrade -c. (LP: #415026)
  * Added --version/-V to do-release-upgrade (similar to update-manager)

  [ Dustin Kirkland ]
  * debian/91-release-upgrade, debian/update-manager-core.install,
    - some users are complaining of long login times due to the release
      check requiring network connectivity; this information clearly doesn't
      change as frequently as the user logging in, so maintain a cache file
      in /var/lib, display it if it's populated, but otherwise, update it in
      the background if its either missing or the file is older than a day
      old, LP: #522452

  [ Jonathan Riddell ]
  * Do not allow for the removal of update-manager-kde, we do want it after all

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Mar 2010 20:58:44 +0100

update-manager (1:0.132.1) lucid; urgency=low

  * rename update-manager-support-status to ubuntu-support-status
  * check-new-release-gtk:
    - add gtk tool for release notification that is designed to be
      run from update-notifier (desktop-lucid-update-upgrade-requirements)
  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in cleanup code
    - fix crash when /home is missing (LP: #463506)
    - fix component inconsitency detection debug output
  * DistUpgrade/DistUpgradeViewGtk.py:
    - remove old code that moved to python-apt
  * DistUpgrade/DistUpgradeController.py:
    - if universe is not enabled, explain that the demoted packages
      will be suggested for removal in the cleanup stage
  * UpdateManager/Core/MetaRelease.py:
    - fix urlopen() crash on hardy->lucid cdrom upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Feb 2010 21:54:57 +0100

update-manager (1:0.132) lucid; urgency=low

  [ Michael Vogt ]
  * UpdateManager/Core/MetaRelease.py:
    - add timeout to meta-release download
  * UpdateManager/MetaReleaseGObject.py:
    - make sure threading is enabled
  * DistUpgrade/DistUpgrade.cfg:
    - add kubuntu-netbook to known metapackages
    - remove usplash artwork from KeyDependencies
  * DistUpgrade/DistUpgradeController.py:
    - test for server mode again after the sources.list rewrite,
      to capture the case when the initial sources.list is empty
  * DistUpgrade/DistUpgradeCache.py:
    - when showing the demoted packages, skip packages that
      are automatic installed
    - improve performance on the removal checks by making use of
      the auto removable information more agressively
    - increase space required by the kernel (it grew)
  * DistUpgrade/DistUpgradeView.py, DistUpgrade/DistUpgradeView{Gtk,KDE}.py:
    - show only non auto-installed removals bold
  * update-manager-support-status:
    - add --show-supported, --show-unsupported and --show-all for summary
    - add --list option for full details

  [ Colin Watson ]
  * update-manager-support-status:
    - fix typo in get_maintenance_status (LP: #513303)
    - add support statistics to the output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Feb 2010 10:31:37 +0100

update-manager (1:0.131.4) lucid; urgency=low

  * update-manager-support-status:
    - text mode tool that gives a overview on the support
      status of the packages
  * DistUpgrade/DistUpgrade.ui, DistUpgrade/window_main.ui:
    - fix version number (thanks to davmor2)
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - fix upgrade target to lucid (LP: #512608)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 27 Jan 2010 12:00:53 +0100

update-manager (1:0.131.3) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add missing check for ubuntu-security when testing for
      mirrors (thanks to Stuart Langridge)
  * DistUpgrade/DistUpgrade.cfg:
    - add example SlideshowUrl
  * DistUpgrade/DistUpgradeController.py, DistUpgrade/DistUpgradeView.py,
    DistUpgrade/DistUpgradeViewGtk.py:
    - add slideshow support based on webkit
    - call percent() JS method on the webkit view
  * check-new-release:
    - use exit codes if run with --quiet otherwise only print
      (LP: #494499)
  * DistUpgrade/DistUpgradeConfigParser.py:
    - fix crash in _interpolate (LP: #500705)
  * UpdateManager/Core/MetaRelease.py:
    - do not crash on stat failure (LP: #496144)
  * UpdateManager/Core/MyCache.py:
    - do not crash if the lock can not be released (LP: #410574)
  * UpdateManager/SafeGConfClient.py
    - implement gconfclient that does not crash if gconf is not 
      working (LP: #261471)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Jan 2010 18:15:52 +0100

update-manager (1:0.131.2) lucid; urgency=low

  * data/release-upgrades:
    - default to lts->lts upgrade prompts for lucid
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - allow virtio for block devices when the virtio option
      is given in the config
  * DistUpgrade/DistUpgrade.cfg, DistUpgrade/DistUpgrade.cfg.hardy:
    - cleanup PostUpgradePurge and add "linux-restricted-modules-common"
    - cleanup ForcedObsoletes rules
    - update kernel removal rules and BaseNames
    - fix belocs-locales-bin upgrade issue (LP: #474543)
  * DistUpgrade/DistUpgradeController.py:
    - check forh reboot-required files in partial upgrade mode, 
      update-notifier is no longer doing that by default
      (foundations-lucid-restart-required-dialog spec)
  * DistUpgrade/DistUpgrade.ui:
    - add a bunch of missing "<property name="orientation">" 
    - improve restart-required dialog

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Dec 2009 10:59:51 +0100

update-manager (1:0.131.1) lucid; urgency=low

  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - use getWithDefault() for "NonInteractive","ForceOverwrite"
      (thanks to Free Ekanayaka)
  * UpdateManager/Core/MyCache.py:
    - detect dirty dpkg journal and enter recovery mode in this
      case (thanks to Maco for reporting)
  * DistUpgrade/DistUpgrade.cfg:
    - remove kvm-source on upgrade
  * debian/update-manager-core.links:
    - use "91-release-upgrade" instead of "91-release_upgrade" to
      make run-parts happy
  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Dec 2009 12:02:26 +0100

update-manager (1:0.131) lucid; urgency=low

  * UpdateManager/UpdateManager.py:
    - do not crash if setlocale() fails (LP: #471378)
  * UpdateManager/Core/DistUpgradeFetcherCore.py: 
    - add missing "logging" import (LP: #475941)
  * DistUpgrade/DistUpgradeController.py:
    - better message for upgrades over ssh (LP: #463257)
  * UpdateManager/Core/utils.py:
    - improve proxy check and show error if proxy settings
      look invalid (LP: #472168)
  * AutoUpgradeTester/profile/*/DistUpgrade.cfg:
    - updated to test karimic -> lucid and hardy -> lucid
  * Janitor/plugins/deb_plugin.py:
    - use apt.progress.InstallProgress() to keep the computer-janitor
      UI responsive
  * AutoUpgradeTester/install_blacklist.cfg:
    - add ec2 to the blacklist for the kvm based testing
  * UpdateManager/UpdateManager.py:
    - show selected and download size in two rows (LP: #434062)
  * data/do-release-upgrade.8:
    - man page added, thanks to Willem Bogaerts
  * DistUpgrade/DistUpgrade.cfg:
    - add laptop-mode-tools to the forced obsoletes on upgrade (thanks to
      Steve Langasek)
  * UpdateManager/UpdateManager.py:
    - show restart required dialog in u-m when the upgrade is finished
      with proper parent
  * AutoUpgradeTester/post_upgrade_tests:
    - add python import, xorg and kernel tests
  * UpdateManager/dialog_release_notes.ui:
    - merged lp:~freinhard/update-manager/ui-fix (many thanks)
  * UpdateManager/Core/MetaRelease.py:
    - merge lp:~cristiklein/update-manager/use-xdg (many thanks)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Dec 2009 21:23:59 +0100

update-manager (1:0.130) lucid; urgency=low

  * UpdateManager/UpdateManager.py:
    - set heading for the release-upgrader download window
  * DistUpgrade/DistUpgradeController.py:
    - force lts for lucid cdrom upgrades
  * AutoUpgradeTester/profile/:
    - fix missing BaseMetaPackages
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - fix AddRepo code
  * DistUpgrade/DistUpgradeConfigParser.py:
    - fix getWithDefault() to use the correct get{int,float,boolean}
      function based on the type of the default (LP: #465619)
      Thanks to Brian Murray for spotting this bug
  * DistUpgrade/DistUpgradeController.py:
    - fix typo (LP: #470011)
  * updated for karmic->lucid upgrades and hardy->lucid upgrades
  * UpdateManager/Core/utils.py::
    - fix url_downloadable() when a proxy needs to be used
      (LP: #446552)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Nov 2009 14:07:20 +0100

update-manager (1:0.126.9) karmic-proposed; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - really stop enabling apport during the upgrade (LP: #465619)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Oct 2009 13:54:08 -0700

update-manager (1:0.126.8) karmic-proposed; urgency=low

  * when the server is overloaded and no Release file information
    can be obtained, show a better error message instead of the
    bogus "ubuntu-minimal" is missing (LP: #446956)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Oct 2009 10:58:36 +0100

update-manager (1:0.126.7) karmic-proposed; urgency=low

  * po/*.po:
    - update translations from LP (LP: #460547)
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - check if running on a system with noexec /tmp and give a propper
      error message (LP: #461744)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - add missing locale.bindtextdomain() (LP: #460547)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Oct 2009 14:11:41 +0100

update-manager (1:0.126.6) karmic; urgency=low

  * debian/control:
    - updated to point the karmic branch
  * UpdateManager/GtkProgress.py:
    - fix small cosmetic problem with the release-upgrader
      download window size
  * DistUpgrade/xorg_fix_proprietary.py:
    - if xorg.conf is zero size, remove it (LP: # 439551)
  * change unicode "&#x25E6;" to "*" to make translations
    work (LP: #344693) and unfuzzy translations

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Oct 2009 14:06:21 +0200

update-manager (1:0.126.5) karmic; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - generate note if language-support is incomplete
  * DistUpgrade/DistUpgrade.cfg:
    - stop enabled apport during the upgrade
  * DistUpgrade/DistUpgradeView.py
    - add waitChild implementation from python-apt to ensure
      its working for buggy hardy python-apt
  * DistUpgrade/DistUpgradeQuirks.py:
    - mark mysql-{client,server}-5.0 manual installed in the 
      cluster check (LP: #453513)
    - check if running under a vserver setup and error if this
      is the case. upstart does not support this kind of setup
      (LP: #452011)
  * UpdateManager/Core/utils.py:
    - do not show error if DeviceKit.Power is not available
      (LP: #452004)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Oct 2009 18:14:28 +0200

update-manager (1:0.126.4) karmic; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix running under ssh detection
  * DistUpgrade/DistUpgradeQuirks.py:
    - add check if NBD clustering is in use in mysql server
      and do not upgrade to 5.1 is it is (LP: #450837)
  * DistUpgrade/DistUpgrade.cfg:
    - remove mysql-server rule, this is now done in the above 
      quirks handler
  * DistUpgrade/DistUpgradeController.py:
    - do not do list cleanup so that cancel restores all of the
      previous state. the cleanup will be done later by the apt
      cron job

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 23:36:49 +0200

update-manager (1:0.126.3) karmic; urgency=low

  * UpdateManager/UpdateManager.py:
    - refresh "last updated" text periodically to ensure its
      not stale (LP: #450286)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - deal with io errors when writing the log (LP: #447693)
  * debian/control:
    - add or-dependency to qemu-kvm
  * DistUpgrade/DistUpgrade.cfg:
    - add policykit-gnome and gnome-mount to the forced obsoleted
      packages (thanks to seb128) 
  * merge translations from rosetta
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop docvert-converter when the upgrade starts, otherwise
      OOo will not upgrade at all (LP: #450569)
  * pre-build.sh:
    - fix bug in the demoted.cfg generation
    - fixes in cleanup handling
  * UpdateManager/backend/__init__.py:
    - honor UPDATE_MANAGER_FORCE_BACKEND_APTDAEMON environment
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - updated to include demoted.cfg.hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Oct 2009 22:28:26 +0200

update-manager (1:0.126.2) karmic; urgency=low

  * setup.py:
    - fix FTBFS - the python from two days ago became
      stricter than it used to be (thanks to james_w)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2009 20:44:11 +0200

update-manager (1:0.126.1) karmic; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - log exceptions from pm.DoInstall() into main.log.
      this helps identifiying Dpkg::Pre-Invoke problems
  * DistUpgrade/DistUpgradeCache.py:
    - fix sandbox upgrade mode
  * DistUpgrade/DistUpgrade.cfg:
    - hint for mysql-server upgrade (LP: #413789)
  * UpdateManager/backend/__init__.py:
    - change order of backends to: synaptic, aptdaemon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2009 18:30:55 +0200

update-manager (1:0.126) karmic; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add gnome-app-install to the ForcedObsoletes
  * DistUpgrade/DistUpgrade.cfg.hardy:
    - add ability to upgrade from hardy to karmic (as asked for
      by Jonathan Riddell)
  * DistUpgrade/DistUpgradeQuirks.py:
    - add quirk handler to mark the dependencies of
      language-support-translations-* as manual on upgrade
  
      The language-support-translations- packages are removed in 
      karmic and would otherwise be marked as auto-removable.
      (LP: #439296)
    - convert PASS value from 1 to 0 for ntfs entries in
      /etc/fstab (LP: #441242) and add tests for it
    - put 386 to generic transition code here and decouple from
      the kernel selection
    - inhibit gnome-screensaver once the upgrade started 
      to avoid X crash (LP: #439594)
  * DistUpgrade/DistUpgradeCache.py:
    - workaround issues with kdesu when it drop the permission bits
      in a tmpdir (thanks to Jonathan Riddell)
    - fix base-installer kernel selection (LP: #441629)
    - fix log dir does not exist, create it (LP: #441959)
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - give up lock before running aptdaemon (LP: #445920)
  * po/ 
    - updated from launchpad (required as during a release upgrade
      we can't use langpacks)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 08 Oct 2009 17:45:25 +0200

update-manager (1:0.125.6) karmic; urgency=low

  * AutoUpgradeTester/UpgradeTestBackendSSH.py:
    - use ssh batch mode
  * AutoUpgradeTester/auto-upgrade-tester:
    - show log files
  * DistUpgrade/DevelReleaseAnnouncement:
    - update for BETA
  * DistUpgrade/DistUpgradeCache.py:
    - add new rule to ensure that base meta packages are always
      kept installed. this helps the server upgrade with the syslogd
      to rsyslog transition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Sep 2009 18:51:49 +0200

update-manager (1:0.125.5) karmic; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py 
    - fix kbluetooth name to kbluetooth4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Sep 2009 20:18:49 +0100

update-manager (1:0.125.4) karmic; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - fix brown paperbag bug in quirks hanlding  (LP: #436302)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix crash in gettext initialization (LP: #436438)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 13:08:46 +0200

update-manager (1:0.125.3) karmic; urgency=low

  * DistUpgrade/DistUpgrade.cfg.hardy:
    - fix upgrades from hardy by allowing the removal of sysvutils
  * data/glade/UpdateManager.ui:
    - remove dialog title for cache open progress (LP: #435653)
  * DistUpgrade/DistUpgradeQuirks.py:
    - add translators hints for some strings (LP: #433116)
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - fixed typo (thanks to Henrique P. Machado)
  * UpdateManager/UpdateManager.py:
    - fix i18n issues with gtkbuilder
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop kblueplugd kbluetooth when the upgrade starts to
      avoid them crashing during the upgrade 
      (thanks to Jonathan Riddell)
  * UpdateManager/backend/InstallBackendAptdaemon.py
    - setup correct window icon
  * data/glade/UpdateManager.ui:
    - switch from unicode &#x2026; to "..." until the issues with
      gettext is resolved (LP: #434107)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Sep 2009 18:41:22 +0200

update-manager (1:0.125.2) karmic; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - add check for 5Mb safety buffer in /tmp, this ensures that
      dkms can run and ensure we do not run when /tmp is mounted
      in overflow mode (LP: #427035)
  * data/glade/UpdateManager.ui:
    - remove dialog title for the battery warning and fix button
      order (thanks to Matthew Paul Thomas)
  * data/glade/UpdateManager.ui:
    - fix duplicated accelerator keys (LP: #425817)
  * UpdateManager/UpdateManager.py:
    - close app when ESC is pressed in the battery warning
  * UpdateManager/UpdateManager.py:
    - ensure that the changelog always matches the currently selected
      pkg by fixing race during download (LP: #424918) 
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - do not hang when cancel is clicked (LP: #426718)
  * add sed patch facility and patch the gnome debconf frontend 
    before the upgrade starts so that it can not crash when 
    perl moves from 5.8.0 to 5.10.0 (LP: #387112)
  * data/glade/UpdateManager.ui:
    - use bigger default width (LP: #418201)

  [ Brian Murray ]
  * typo fixes (thanks to Brian Murray, LP: #423409)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Sep 2009 10:50:24 +0200

update-manager (1:0.125.1) karmic; urgency=low

  [ Josh Holland ]
  * Fixed several typos (LP: #93804, LP: #277731, LP: #404435)
  
  [ Rugby471 ]
  * Center window on the screen (LP: #423355)
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgrade.ui:
    - remove unused "destroy_event" handler (LP: #428842)
    - remove unused handlers to avoid RunTime warning
  * DistUpgrade/DistUpgradeQuirks.py:
    - make ARMv6 error message clearer (LP: #409523)
  * UpdateManager/Core/MetaRelease.py:
    - more robustness for invalid configuration of the meta-release
      file (LP: #428558)
    - more robustness if the server sends invalid meta-release data
  * UpdateManager/GtkProgress.py:
    - make button_cancel click event work
    - add sensible default width
  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in partial upgrade (LP: #428203)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Sep 2009 12:01:41 +0200

update-manager (1:0.125) karmic; urgency=low

  [ Michael Vogt ]
  * integrate base-installer as a sub-component into the
    release upgrader and use the base-installer/kernel/*.sh
    functionality to ensure we select the most appropriate
    kernel on upgrade (LP: #353534)
  * integrate automatic updates to base-installer into the
    pre-build.sh bzr hook
  * UpdateManager/Core/UpdateList.py, UpdateManager/UpdateManager.py:
    - filter warnings
  * UpdateManager/SimpleGtkbuilderApp.py:
    - use logging instead of sys.stderr
  * data/glade/UpdateManager.ui:
    - set explicit translation domain
  * integrate base-installer component into auto-upgrade-tester
  
  [ Steve Langasek ]
  * Refresh .pot file (and .po files) so that new UI strings are available
    for translation in LP.  LP: #425014.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Sep 2009 20:07:20 +0200

update-manager (1:0.124.11) karmic; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - capture exceptions from pm.DoInstall() properly (fixes a 
      hang when a package fails to install)
  * DistUpgrade/DistUpgradeViewGtk.py, DistUpgrade/DistUpgradeViewKDE.py:
    - return the full status of the exited child, not only the
      return code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 10:57:06 +0200

update-manager (1:0.124.10) karmic; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - add update-manager so that it does not 
  * typo fixes (thanks to Brian Murray, LP: #418127)
  * merge the changes of seb128 into bzr
  * po/POTFILES.in:
    - fix ui file detection (thanks to Gabor Kelemen) LP: #420209
  * DistUpgrade/DistUpgrade.ui:
    - fix duplicated id (LP: #422665)
  * fix crash when lsmod is not installed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 02 Sep 2009 15:04:53 +0200

update-manager (1:0.124.9ubuntu1) karmic; urgency=low

  * Clean build directory

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Aug 2009 22:19:51 +0200

update-manager (1:0.124.9) karmic; urgency=low

  * data/glade/UpdateManager.ui:
    - don't use some duplicated ids to fix update-manager not starting
      due to the new gtk version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Aug 2009 22:02:20 +0200

update-manager (1:0.124.8) karmic; urgency=low

  * make the release-upgrader auto selection for the frontend
    more robust when no DISPLAY is avaiable
  * Janitor/computerjanitor/package_cruft.py:
    - use unicode string here (thanks to liw)
  * data/glade/UpdateManager.ui:
    - fix duplicated symbol (LP: #417301)
  * UpdateManager/UpdateManager.py:
    - show the on-battery warning on first map only (LP: #416067)
  * DistUpgrade/DistUpgradeController.py:
    - do not how a error when the upgrade is canceled by the user
      during download

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Aug 2009 17:48:45 +0200

update-manager (1:0.124.7) karmic; urgency=low

  * UpdateManager/UpdateManager.py:
    - recalulcate the heading label size dynamically
      to work around bugzilla #101968 (thanks to
      Juergen Kazmirzak for the patch)
  * UpdateManager/backend/__init__.py:
    - fix incomplete check for aptdaemon
  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - update for latest aptdaemon
  * DistUpgrade/DistUpgradeController.py:
    - merge fixes from Brian Murray (thanks!), LP: #404274

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Aug 2009 16:34:42 +0200

update-manager (1:0.124.6) karmic; urgency=low

  [ Oliver Grawert ]
  * DistUpgrade/DistUpgradeQuirks.py: add check for ARMv6 or 
    greater to prevent jaunty->karmic upgrades on unsupported 
    armel CPU arches

  [ Michael Vogt ]
  * UpdateManager/SimpleGtkbuilderApp.py:
    - updated to deal with widgets that overwrite get_name
  * update-manager:
    - add "--data-dir" switch
  * use aptdaemon as the install backend (if avaialble)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Jul 2009 15:49:09 +0200

update-manager (1:0.124.5) karmic; urgency=low

  * debian/update-manager-core.links: change the update-motd link for
    release_upgrade to match other links (- instead of _), and move it
    to 91 (just after updates-available at 90), such that it's printed
    toward the end of the MOTD, rather than at 10, which is the beginning.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jul 2009 17:41:04 -0500

update-manager (1:0.124.4) karmic; urgency=low

  * debian/control: recommend libpam-modules, rather than update-motd

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 16 Jul 2009 11:29:27 -0500

update-manager (1:0.124.3) karmic; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - fix description display (LP: #379945), thanks
      to Richard Thomas
    - fix crash in refresh_updates_count()
  * DistUpgrade/DistUpgradeApport.py:
    - deal with errors from apport better (LP: #357339),
      thanks to Patrick Horn)
  * UpdateManager/ChangelogViewer.py:
    - fix problem for http://host/document.html. style 
      entries (LP: #396393)

  [ Dustin Kirkland ]
  * debian/update-manager-core.links: install 10_release_upgrade
    into /etc/update-motd.d, rather than the daily; update-motd-3.0
    will now run these scripts on login, rather than at specified
    intervals

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Jul 2009 15:10:02 +0200

update-manager (1:0.124.2) karmic; urgency=low

  * UpdateManager/UpdateManager.py:
    - make it clearer if a package is a new install
      (as opposed to a upgrade) - thanks to Cody Sommerville
    - show amount of selected updates in the UI (LP: #330439)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jul 2009 15:11:31 +0200

update-manager (1:0.124.1) karmic; urgency=low

  * fix ftbfs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Jul 2009 08:08:42 +0200

update-manager (1:0.124) karmic; urgency=low

  * AutoUpgradeTester:
    - add kubuntu, main-all, lts-server, lts-ubuntu profiles
  * ported to gtkbuilder
  * UpdateManager/UpdateManager.py:
    - warn if running on battery (LP: #377697)
    - make it less stealty by setting the stick() property if
      run in auto-open mode (LP: #369820)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Jul 2009 17:11:07 +0200

update-manager (1:0.123) karmic; urgency=low

  * debian/control:
    - build auto-upgrade-tester package to allow easy upgrade
      testing with a set of default profiles
  * UpdateManager/Core/MyCache.py:
    - wording fix (thanks to Ng)
  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - fix bug in dpkg_progress_log filea
  * AutoUpgradeTester/UpgradeTestBackend.py:
    - import the http_proxy from the environment
    - make the resultdir configrable and default to
      /var/cache/auto-upgrade-tester/result/
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - make the path for the kvm working images configurable
      and default to /var/cache/auto-upgrade-tester
  * AutoUpgradeTester/auto-upgrade-tester:
    - move login() into the backends
  * AutoUpgradeTester/auto-upgrade-tester:
    - allow shorthand profile names like "ubuntu" instead of
      full pathes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 22 Jun 2009 11:36:08 +0200

update-manager (1:0.122) karmic; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - add handler to check for wl module and transition
      to bcmwl-kernel-source (LP: #381684)
  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - add bool option "NonInteractive/DpkgProgressLog" to write
      a timing log of the upgrade (for the foundations-karmic-pre-unpacking
      spec)
    - add "NonInteractive/DebugBrokenScripts" option that will re-run
      failed maintainer scripts with debug options
  * DistUpgrade/DistUpgrade.cfg:
    - add defaults for the NonInteractive section that match the 
      interactive upgrades (for better landscape support)
    - enable apport again
  * AutoUpgradeTester/chart_dpkg_progress.py:
    - add simple tool that can read the dpkg progress information

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Jun 2009 16:54:35 +0200

update-manager (1:0.121) karmic; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - remove obsolete kubuntu-kde4-desktop meta package
  * DistUpgrade/DistUpgradeCache.py:
    - when guessing missing meta-packages stop after
      the first one was found
    - use internal _lookupPkgRecord() instead of 
      pkg._lookupRecord
  * DistUpgrade/DistUpgradeQuirks.py:
    - move the kubuntu-kde4-desktop key dependency transition
      detection to the from_hardy quirks handler (LP: #368459)
  * UpdateManager/Core/MyCache.py:
    - always disable version number range of the changes in the
      details (LP: #251349)
    - make the distro supporting the changelogs easier to customize
  * DistUpgrade/xorg_fix_proprietary.py:
    - better comment when explaining why stuff got commented out
      (LP: #300504)
  * DistUpgrade/DistUpgradeController.py:
    - after updating the sources.list, check for both existance
      and downloadability of the BaseMetaPkgs and abort if that
      is not the case (thanks to Ulrich Kalkkuhl) LP: #370062
  * UpdateManager/UpdateManager.py:
    - show origin field for other updates (like PPAs) to make it
      easier to see what comes from where (part of the 
      foundations-karmic-apturl-policy spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Jun 2009 20:53:37 +0200

update-manager (1:0.120) karmic; urgency=low

  * The 'Ready for karmic' version
  * DistUpgrade/DistUpgradeController.py:
    - do not fail in partial upgrades if apport must be
      enabled (LP: #357755)
    - when rewriting sources.list, check for cdrom entries
      that do not have associated list files and disable
      them (LP: #366459)
    - when rewriting sources.list, deal better with apt-cacher
      apt-torrent style uris (LP: #365537)
  * DistUpgrade/xorg_fix_proprietary.py:
    - instead of replacing fglrx->ati and nvidia->nv just
      comment out the driver and let xorg figure it out
      with its own magic (LP: #351394)
    - update tests/ for the change
  * UpdateManager/UpdateManager.py:
    - use a gtk link button to point the user to further
      upgrade information
  * DistUpgrade/DistUpgradeController.py:
    - ensure ./imported/invoke-rc.d is executable (LP: #147742)
  * refactor the quirks handlers and not run them in partial
    upgrade mode
  * tests/test_sources_list.py:
    - update tests for apt-torrent style uris (LP: #365537)
  * DistUpgrade/DistUpgrade.cfg:
    - remove edubuntu-desktop from the flavour metapackages, its
      not its own flavour anymore
  * help/C/update-manager-C.omf:
    - point to file:/usr/share/gnome/help/update-manager/C/update-manager.xml
      (LP: #368140)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Apr 2009 14:43:26 +0200

update-manager (1:0.111.9) jaunty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - increase the size that the kernel requires in /boot
      (LP: #365623)
  * DistUpgrade/DistUpgradeApport.py:
    - fix apport hook integration (LP: #366048)
  * DistUpgrade/DistUpgradeController.py:
    - fix crash in partial upgrade (LP: #366048)
  * DistUpgrade/DistUpgradeQuirks.py:
    - make the gwenview upgrade transition more robust
      (LP: #365840)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Apr 2009 14:41:14 +0200

update-manager (1:0.111.8) jaunty-proposed; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add "grub" to the list of packages to keep installed
      (LP: #363465)
    - ensure brasero is upgraded (thanks to Chris Jones for
      the report) (LP: #364136)
    - ensure guidance-power-manager is removed on upgrade 
      (LP: #364620)
  * DistUpgrade/DistUpgradeCache.py:
    - support DistUpgradeCache.markUpgrade()
  * DistUpgrade/mirrors.cfg:
    - add "mirror.files.bigpond.com" (thanks to wgrant)
  * debian/control:
    - build-depend on latest nvidia-common (LP: #363500) to ensure
      the nvidia-common if is included in the internal copy of
      u-m
  * DistUpgrade/DistUpgradeQuirks.py:
    - when the upgrade starts, remove old hal.postinst to prevent
      the trigger from running that causes network-manager to shutdown
      all connections (LP: #327053)
  * UpdateManager/Core/MetaRelease.py, UpdateManager/MetaReleaseGObject.py:
    - fix "no longer supported" message (LP: #364583)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Apr 2009 13:53:01 +0200

update-manager (1:0.111.7) jaunty; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - updated for the final release
  * DistUpgrade/DistUpgradeQuirks.py:
    - ensure qwenview is upgraded (LP: #360222)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Apr 2009 22:11:04 +0200

update-manager (1:0.111.6) jaunty; urgency=low

  * UpdateManager/UpdateManager.py:
    - fix crash in free space check (LP: #362066)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Apr 2009 11:07:01 +0200

update-manager (1:0.111.5) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - do not crash when patch is not installed (LP: #361194)
  * DistUpgrade/DistUpgradeCache.py:
    - more debug output

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Apr 2009 14:59:35 +0200

update-manager (1:0.111.4) jaunty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - make the pyqt4 logger less verbose
  * DistUpgrade/DistUpgradeController.py:
    - deal with pre-configure errors more cleanly (LP: #356781)
  * DistUpgrade/DistUpgradeMain.py:
    - fix error when the backup log dir already exists
  * DistUpgrade/DistUpgrade.cfg:
    - stop enabling apport
  * DistUpgrade/DevelReleaseAnnouncement:
    - update text for the release candidate
  * po/*.po:
    - translation updates from rosetta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 08 Apr 2009 11:09:25 +0200

update-manager (1:0.111.3) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - cleanup the quirks handling for the StartUgrade
      phase and move the code in here
    - apply patch for install-docs if the user can not install
      the fix from {hardy,intrepid}-proposed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2009 18:59:43 +0200

update-manager (1:0.111.2) jaunty; urgency=low

  * UpdateManager/Core/MyCache.py:
    - when calculating what category a update should be put in,
      make sure that candidate versions for "other updates" always
      end up there
    - do not try to get changelogs for packages that do not have
      a ubuntu origin (LP: #354740)
  * DistUpgrade/removal_blacklist.cfg:
    - add skype to the removal blacklist (thanks to Nick Lally)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2009 10:28:34 +0200

update-manager (1:0.111.1) jaunty; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - ensure that dontzap is installed on kubuntu (LP: #349263)
    - ensure to not upgrade to a known broken python2.6 (e.g.
      if the mirrors do not catch up)
  * DistUpgrade/DistUpgradeController.py:
    - avoid conffile prompt because we enabled apport (LP: #348301)
    - deal better with apt ordering bugs and restore the system
      cleanly in this case
    - when commenting out third party sources, leave a space
      between previous comments (thanks to Sidnei da Silva)
  * DistUpgrade/DistUpgradeCache.py:
    - add "BadVersions" config option
  * UpdateManager/Core/MetaRelease.py:
    - ignore bad header line errors (LP: #353335)
  * UpdateManager/UpdateManager.py:
    - start minimized when run with --no-focus-on-map (LP: #353195)
    - set urgency hint when in the background (LP: #353195)
  * po/*.po:
    - updated translations from rosetta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Apr 2009 22:42:17 +0200

update-manager (1:0.111.0) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - fix pre r6xx/7xx fglrx->ati transition
  * DistUpgrade/DistUpgradeQuirks.py:
    - fix incorrect variable name
  * DistUpgrade/DistUpgradeView.py:
    - remove old crash files on upgrade (thanks to
      Martin Pitt)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Mar 2009 20:49:50 +0100

update-manager (1:0.110.1) jaunty; urgency=low

  * DistUpgrade/DistUpgrade.cfg.hardy:
    - support hardy->jaunty upgrade for kubuntu
  * po/POTFILES.{in,missing}:
    - add missing files (thanks to Gabor Kelemen)
      LP: #347040
  * po/*.po:
    - updated translations from launchpad

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 16:22:06 +0100

update-manager (1:0.110.0) jaunty; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - take changes in update-initramfs into account when
      calculating the space requirements in /boot (LP: #287826)
    - when doing the space calculation, show the required space
      for each directory (if multiple need more space) LP: #219416
  * DistUpgrade/DevelReleaseAnnouncement:
    - updated for beta
  * UpdateManager/DistUpgradeFetcher.py:
    - set 5s timeout for the ReleaseNotes fetching (LP: #109397)
  * UpdateManager/UpdateManager.py:
    - pass the correct FetchProgress to the release-upgrade fetching
      code instead of the incorrect OpProgress

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Mar 2009 16:48:11 +0100

update-manager (1:0.101.1) jaunty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - catch cache.update() errors that do not raise exceptions
  * DistUpgrade/DistUpgradeController.py:
    - when calculating the obsolete packages, add extra paranoia
      for odd network failures (LP: #335154)
  * DistUpgrade/DistUpgradeAufs.py:
    - do not overlay /var/cache/apt/archives so that the user
      does not have to download the packages twice
    - honor the TMPDIR environment (by using tempfile)
  * DistUpgrade/DistUpgrade.cfg:
    - add powernowd to the forced obsoleted packages (the kernel
      does handle that with the builin ondemand governor now)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgrade.cfg:
    - remove gtk-qt-engine in Kubuntu upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Mar 2009 17:57:54 +0100

update-manager (1:0.101.0) jaunty; urgency=low

  [ Brian Murray ]
  * UpdateManagerHildon/UpdateManagerHildon.py:
     - wording fix "will be" to "are being" (LP: #338943)
  
  [ Michael Vogt ]
  * UpdateManager/UpdateManagerText.py:
    - fix crash in changelog display (LP: #341577)
      (thanks to Steve Beattie)
    - support NEWS.Debian from the server as well
  * DistUpgrade/DistUpgradeAufs.py:
    - fix in is_submount detection (thanks to liw for reporting)

  [ Gabor Kelemen ]
  * data/glade/UpdateManager.glade:
    - fix missing "translatable" property (LP: #342011)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Mar 2009 10:09:30 +0100

update-manager (1:0.100.1) jaunty; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash (LP: #340828) when config is undefinied
  * UpdateManager/UpdateManager.py:
    - explicitely cast time.time() to int (LP: #340755)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Mar 2009 09:10:02 +0100

update-manager (1:0.100) jaunty; urgency=low

  [ Andy Whitcroft ]
  * DistUpgrade/cdromupgrade:
    - if cdromupgrade is run with a relative path we will fail to find the
      installer components and error out.  Ensure that the path is absolute.
      (LP: #335360)

  [ Michael Vogt ]
  * fix crash when help is not avaialble (LP: #338098)
  * data/glade/UpdateManager.glade:
    - remove the "Keep your system up-to-date" text (design team, 
      LP: #336800)
  * fix crash when no network is avaialble for changelog fetching
    (LP: #334002)
  * debian/control:
    - add conflict against update-manager-kde to update-manager-hildon
      (LP: #333464)
  * UpdateManager/Core/MyCache.py:
    - show proper urls for sources with epochs (LP: #328164), thanks
      to Richie
  * UpdateManager/ChangelogViewer.py:
    - support copy to clipboard for URLs (LP: #85644), thanks to
      Richie
  * UpdateManager/UpdateManager.py:
    - disable fixed-hight mode, it can cause incorrect height 
      calculation (thanks to Richie), LP: #273184
  * DistUpgrade/DistUpgradeController.py:
    - do not allow gtk/kde upgrades over ssh session (LP: #322482)
  * merged aufs branch (disabled by default but useful for testing)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Mar 2009 20:25:55 +0100

update-manager (1:0.99) jaunty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - enable apport crash capturing during upgrades
  * DistUpgrade/DistUpgradeView.py:
    - create /var/lib/pycentral/pkgremove before the upgrade to
      help pycentral transition to the new python policy (thanks
      to doko)
  * ensure pidgin-libnotify is upgraded (LP: #332328)
  * better wording for aborts (thanks to Gabor Kelemen and
    Jean-Baptiste Lallement), LP: #289303
  * wording fixes, thanks to Brian Murray and Gabor Kelemen 
    LP: #269583
  * i18n fix, thanks to Gabor Kelemen, LP: #331821
  * support /etc/update-manager/release-upgrades.d/ directory
    for local overrides of the upgrade process. Useful to force
    certain site-specific options (like third party repository
    handling)
  * allow "[FreeSpace]\nSkipCheck=yes" override to skip free 
    space checks (useful for testing)
  * support "[Sources"]\nAllowThirdParty=yes" override to skip
    commenting out of unknown repositories (LP: #147080)
  * debian/*.install:
    - updated for the new python layout (/u/l/p/dist-packages instead of
      /u/l/p/site-packages)
  * debian/rules:
    - use DH_PYCENTRAL=include-links instead of "nomove"
    - use "--install-layout=deb" in distutils
  * debian/control:
    - use "XS-Python-Version: all" instead of current
  * DistUpgrade/DistUpgradeCache.py:
    - fix modalias path in NvidiaDetector
  * data/glade/UpdateManager.glade:
    - add "settings" button
  * UpdateManager/UpdateManager.py:
    - open software-properties when settings button
      is clicked (LP: #334959)
    - keep track of launch times via gconf
      (/apps/update-manager/launch_time)
  * debian/control:
    - recommend software-properties-gtk

  [ Brian Murray ]
  * DistUpgrade/multiple files:
    - fixed typographical error
  * DistUpgrade/DistUpgradeViewText.py:
    - change "Restart required" default to N (LP: #328452)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Mar 2009 12:33:12 +0100

update-manager (1:0.98.1) jaunty; urgency=low

  * reenable the demotions.cfg generation and mirror updates
  * setup.py cleanup (thanks to liw)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 19 Feb 2009 00:22:58 +0100

update-manager (1:0.98) jaunty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - fixes in the error string (thanks to Jean-Baptiste 
      Lallement, LP: #298296)
  * support getting NEWS.Debian information in addition
    to the changelog
  * debian/update-manager-core.links:
    - fix typo (thanks to tjaalton)
  * merge the 'computer-janitor' core and quirks code into
    update-manager-core (part of the jaunty-cruftremover-improvements
    spec)
  * conflicts with the current version of computer-janitor

  [ Brian Murray ]
  * DistUpgrade - Release Announcements:
    - Modified reporting bugs sections to recommend using ubuntu-bug instead
      of filing bugs directly in Launchpad. (LP: #327800)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Feb 2009 23:44:17 +0100

update-manager (1:0.97.1) jaunty; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - make the gconf handling more robust (LP: #320586)
  * UpdateManager/Core/MyCache.py:
    - fix crash when no changelog can be found (LP: #320894)
  * UpdateManager/Core/MetaRelease.py:
    - do not crash on disk full (LP: #321872)
  * DistUpgrade/DistUpgradeController.py:
    - when commenting out third party repositories add a comment
      why they were disabled and update them to the current dist  
      to make re-enabling easier
  * DistUpgrade/DistUpgradeQuirks.py:
    - run dpkg --forget-old-unvail after the upgrade finished
    - add "PostCleanup" hook 
  * DistUpgrade/cdromupgrade:
    - fixed typo (LP: #312184)
  * add "--no-focus-on-map option to bring update-manager up
    in the background (UX team)
  * change default text and add /apps/update-manager/first_run
    gconf key for the first run welcome message (UX team)
  * UpdateManager/ChangelogViewer.py:
    - support "LP: #nr:" linking in changelog entries (LP: #274737)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgrade.cfg
    - remove guidance-power-manager on kubuntu-desktop upgrade

  [ Andy Whitcroft ]
  * DistUpgrade/cdromupgrade
    - move to using dists/$CODENAME to locate the installer eliminating
      any dependance on symlinks in the image.  This allows usb-creator based
      images to be used unmodified.  (LP: #326856)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 13:48:01 +0100

update-manager (1:0.97) jaunty; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - remove debug message (LP: #310046)
  * UpdateManager/Common/utils.py:
    - when  initializing the proxy configuration, do in this
      order:
      * check apt setting
      * check synaptic setting
      * check users gconf
      * check http_proxy environment 
    (LP: #24250)
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - ensure correct error message if downloading failed
      (LP: #113658)
    - when fetching from mirrors, add fallback if the mirror
      is too loaded to cope
    - improve logic that detects what mirror is in use by
      sources.list inspection (LP: #107983)
  * DistUpgrade/DistUpgradeMain.py, dist-upgrade.py:
    - re-factor and make code more modular
    - do not overwrite existing log files on upgrade
      (LP: #111819)
  * reorganize the imports and get rid of "Common" submodule 
    and merge that all into "Core"
  * improve the debug output via the "DEBUG_UPDATE_MANAGER"
    environment
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Jan 2009 17:26:40 +0100

update-manager (1:0.96.4) jaunty; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - do not generate apport report against update-manager if 
      cache.commit() failed. the report is generated against
      the failing package instead (LP: #311220)
    - honor RELEASE_UPRADER_ALLOW_THIRD_PARTY environment and do   
      not  comment out third party repositories in this case 
      (useful internal repositories, make sure that sudo does 
       not clean this env when you make use of it)
  * DistUpgrade/DistUpgrade.cfg:
    - remove powermanagement-interface on upgrades for ubuntu 
      and kubuntu (no longer needed by them)
  * DistUpgrade/DevelReleaseAnnouncement:
    - include a different release announcement for the 
      development releases
  * pre-build.sh:
    - fix version parsing

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 Jan 2009 22:12:06 +0100

update-manager (1:0.96.3) jaunty; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - when syncing inconsitent components, only sync those
      we know about (LP: #312092)
  * tests/test_sources_list.py:
    - add regression test for #312092

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Jan 2009 14:14:01 +0100

update-manager (1:0.96.2) jaunty; urgency=low

  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - add "NonInteractive","NoVirtio" switch 
    - enable virtio in the kvm backend by default
  * AutoUpgradeTester/profile/server/DistUpgrade.cfg:
    - updated for intrepid->jaunty
    - add missing kernel removal section
  * DistUpgrade/DistUpgrade.cfg:
    - update KernelRemoval section for intrepid->jaunty
  * DistUpgrade/DistUpgradeApport.py, README:
    - add new RELEASE_UPRADER_NO_APPORT environement that can
      be used to force the upgrader to not run apport on pkg failures
  * DistUpgrade/DistUpgradeViewNonInteractive.py:
    - use RELEASE_UPRADER_NO_APPORT in the non-interactive upgrade tests
  * AutoUpgradeTester/profile/ubuntu/DistUpgrade.cfg:
    - updated for intrepid->jaunty
  * DistUpgrade/DistUpgrade.cfg:
    - enable DistUpgrade/xorg_fix_proprietary.py to transition users
      from proprietary drivers to free drivers if the proprietary
      driver is no longer available after the upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Jan 2009 20:56:36 +0100

update-manager (1:0.96.1) jaunty; urgency=low

  * DistUpgrade/DistUpgradeController.py: 
    - deal better with upgrades from EOL releases by
      testing if the new release is on the country mirror
      or archive.ubuntu.com or still on old-releases.ubuntu.com
      (LP: #264181)
  * debian/control:
    - disable the auto-upgrader-tester package, its not quite
      ready yet

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Jan 2009 14:52:18 +0100

update-manager (1:0.96) jaunty; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - deal with full disks better when downloading
      the meta-release information (LP: #98666)
  * DistUpgrade/DistUpgradeView.py:
    - make the FuzzyTimeToStr() function not display
      minutes when the total time is > 3h (LP: #144455)
  * build update-manager-text package with text/newt based
    update-manager frontend (update-manager-text)
  * DistUpgrade/DistUpgradeQuirks.py:
    - check if both grub and lilo are installed and remove
      the one that is not used (LP: #314004)
  * po/POTFILES.in, po/POTFILES.skip:
    - updated
  * po/update-manager.pot:
    - refreshed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Jan 2009 14:12:27 +0100

update-manager (1:0.95.2) jaunty; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py: 
    - check the support of fglrx against the current
      PCI card (LP: #284408)
  * DistUpgrade/xorg_fix_intrepid.py:
    - do not rewrite multiseat configs (LP: #292774)
  * UpdateManager/Common/MyCache.py,
    UpdateManager/Common/UpdateList.py:
    - move the cache,updatelist implementation out into  
      its own file
  * fix free space check on regular update-manager 
    invocations (LP: #105113)
  * debian/rules 
    - remove the arch-build target
  * DistUpgrade/DistUpgradeController.py:
    - improvements to the sources.list rewriting, better tests
    - when rewriting sources.list check for inconsistencies between what
      components are enabled in intrepid vs intrepid-updates and 
      intrepid-security and automatically enable missing ones for
      intrepid-updates and intrepid-security
    - new test if the upgrade is run from a remote 
      login (LP: #301787)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Dec 2008 10:39:27 +0100

update-manager (1:0.95.1) jaunty; urgency=low

  * DistUpgrade/DistUpgrade.glade, DistUpgrade/window_main.ui:
    - show 9.04 upgrade target
  * debian/rules:
    - calculate demotions based on intrepid->jaunty
  * DistUpgrade/DistUpgradeCache.py:
    - when the dist-upgrade calculation fails, show the reason
      why in the error dialog (LP: #281286)
    - when a meta package can not be upgraded, show a proper
      error message with the package in question
  * DistUpgrade/DistUpgradeQuirks.py:
    - abort upgrade from hardy if evms is used in /proc/mounts
      evms got removed from the archive in intrepid (LP: #292179)
    - do not add "relatime" if "noatime" is already given (thanks
      to  Ken Geis)
  * DistUpgrade/removal_blacklist.cfg:
    - remove overly broad postgresql regexp
  * DistUpgrade/DistUpgradeCache.py:
    - do not limit the removal blacklist to downloadable packages,
      this limits it too much
  * check-new-release:
    - install check for new releases into update-motd.d/daily

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Nov 2008 11:22:41 +0100

update-manager (1:0.95) jaunty; urgency=low

  * updated for jaunty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 05 Nov 2008 09:56:51 +0100

update-manager (1:0.93.34) intrepid-proposed; urgency=low

  * UpdateManager/UpdateManager.py:
    - simply the changelog download logic and make changelog
      fetching work properly again (now that the server side
      got improved as well) LP: #40058

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Nov 2008 18:53:54 +0100

update-manager (1:0.93.33) intrepid; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - add detection for cards no longer supported via fglrx 
      and ensure transition to "ati" (LP: #284408) 
  * DistUpgrade/DistUpgradeCache.py:
    - check if the package is actually downloadable in the 
      removal blacklist checking (LP: #293486)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - handle translations of non-ascii string on Cancel button 
      correctly (LP: #291115)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Nov 2008 14:58:10 +0100

update-manager (1:0.93.32) intrepid; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - when transitioning from kubuntu-kde4-desktop to kubuntu-desktop
      consider key dependencies as well even if kubuntu-kde4-desktop
      is no longer installed (LP: #277285)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Oct 2008 17:54:50 +0200

update-manager (1:0.93.31) intrepid; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - remove goubuntu-desktop from metapackages, we do no
      longer build it (LP: #283712)
  * DistUpgrade/DistUpgradeCache.py: 
    - never remove packages in the "KeepInstalled" section
    - keep the GUI alive when calculating the packages
      to cleanup
  * DistUpgrade/DistUpgradeQuirks.py:
    - mark "language-pack-$lang" as manual installed to
      workaround changes in "language-support-$lang" 
      (LP: #287551)
   * po/:
     - updated to the latest translations.launchpad.net
       version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Oct 2008 15:02:03 +0200

update-manager (1:0.93.30) intrepid; urgency=low

  * DistUpgrade/DistUpgradeViewText.py:
    - ignore "default" argument handling in askYesNoQuestion
      to fix incorrect prompt for cdrom question
  * DistUpgrade/DistUpgradeQuirks.py:
    - ensure "landscape-common" is not marked auto-install
      (LP: #288051)
  * DistUpgrade/ReleaseAnnouncement:
    - updated for final release
  * DistUpgrade/DistUpgradeAptCdrom.py:
    - ignore "dist-upgrader" dirs when scanning for 
      packages (LP: #288169)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Oct 2008 16:53:43 +0200

update-manager (1:0.93.29) intrepid; urgency=low

  * fix incorrect case and typo in cpuHasSSESupport(), thanks
    to Steve Langasek

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 19:17:22 +0200

update-manager (1:0.93.28) intrepid; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - do not install nvidia-glx-{173,177} on systems without
      the "sse" cpu extension (LP: #272498)
    - fix case-sensitive parsing when checking for the xorg
      driver
  * DistUpgrade/DistUpgrade.cfg:
    - make sure that libflashsupport gets removed on upgrade
      (LP: #285657)
  * DistUpgrade/ReleaseAnnouncement:
    - updated for the release candidate

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 16:55:40 +0200

update-manager (1:0.93.27) intrepid; urgency=low

  * DistUpgrade/xorg_fix_intrepid.py:
    - only update the InputDevices if xserver-xorg-core
      actually is version 2:1.5.0 or higher
    - make section checks case-insensitive (thanks to
      Alberto Milone)
  * DistUpgrade/DistUpgrade.glade:
    - remove has_focus default in the conffiel dialog

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2008 09:47:57 +0200

update-manager (1:0.93.26) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - workaround kde tmpfile permissions (LP: #277431)
  * UpdateManager/Common/utils.py:
    - do not crash if gconfd is not availabe/unusable 
      (LP: #281248)
  * DistUpgrade/DistUpgradeViewKDE.py:
    - do not use "kde" frontend during the upgrade, it
      crashes because of the kde3->kde4 transition
      if run at the wrong time (LP: #283942)
  * DistUpgrade/DistUpgradeView.py:
    - ignore SIGPIPE when forking the Dpkg::Pre-Install
      scripts to fix error with etckeeper (LP: #283642)
  * po/
    - updated from rosetta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2008 22:03:05 +0200

update-manager (1:0.93.25) intrepid; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeQuirks.py:
    - Fix crash from not having gettext imported
  
  [ Michael Vogt ]
  * revert the fglrx->ati transition (LP: #247376)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2008 10:03:04 +0200

update-manager (1:0.93.24) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - disable the apt.cron.daily script during the upgrade
      (LP: #277079)
  * DistUpgrade/DistUpgradeAptCdrom.py:
    - work around the problem that the hardy "apt-cdrom add" will
      fail when no uncompressed Packages files are on the CD
      (LP: 276349)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Oct 2008 16:30:41 +0200

update-manager (1:0.93.23) intrepid; urgency=low

  * DistUpgrade/xorg_fix_intrepid.py:
    - comment out input devices from xorg.conf (handled via 
      hal now). Thanks to Alberto Milone for his help, 
      LP: #247608

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 13 Oct 2008 20:35:06 +0200

update-manager (1:0.93.22) intrepid; urgency=low

  * DistUpgrade/DistUpgradeQuirks.py:
    - add rule to force kdelibs5-dev upgrade (LP: #279621),
      thanks to ScottK
  * DistUpgrade/DistUpgradeViewGtk.py:
    - do not hang if a script fails to run (LP: #280236)
  * DistUpgrade/DistUpgradeController.py:
    - do not run post-upgrade quirks handler in partial upgrade
      mode because they only apply to real release upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Oct 2008 16:51:36 +0200

update-manager (1:0.93.21) intrepid; urgency=low

  * Add useDevelopmentRelease and useProposed to DistUpgradeFetcherKDE.py
  * Fix call to error() in DistUpgradeFetcherCore.py

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Oct 2008 14:30:58 +0100

update-manager (1:0.93.20) intrepid; urgency=low

  * DistUpgrade/DistUpgradeGettext.py:
    - translated the empty "" into "" (the qt frontend
      may call this on empty strings in translate_widget)
  * DistUpgrade/DistUpgradeQuirks.py:
    - make sure to write a final newline in /etc/fstab
      when adding the relatime option (LP: #279093)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Oct 2008 10:42:13 +0200

update-manager (1:0.93.19) intrepid; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - fix crash in CDROM upgrade  (LP: #276363)
  * DistUpgrade/DistUpgradeQuirks.py:
    - fix crash in nvidia handling (thanks to 
      Spencer Janssen)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Oct 2008 11:26:30 +0200

update-manager (1:0.93.18) intrepid; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - add KeepInstalled rule for adept to help
      the dependency resolver (thanks to MvG)
    - add kubuntu-kde4-desktop metapackage so that
      the meta package detection works for kde4 (LP: #274706)
  * DistUpgrade/DistUpgradeCache.py:
    - fix log for kept packages
    - make the log of the obsolete removal less verbose
    - fix kubuntu-kde4-desktop upgrades (LP: #274706)
  * DistUpgrade/ReleaseAnnouncement:
    - udpated for BETA
  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix typo and unfuzzy translations. Thanks to Brian Murray
      for the patch, LP: #272726)
  * UpdateManager/UpdateManager.py:
    - add gconf key /apps/update-manager/show_versions to show
      version information (disabled by default, LP: #189406)
  * DistUpgrade/DistUpgradeQuirks.py:
    - add intrepidPreUpgrade() handler that detects
      fglrx in xorg.conf and warns about it before the upgrade 
    - consolidate the various quirks into this file
    - add check for the nvidia-glx-71 and nvidia-glx-96 drivers 
      and warn if they will be required
  * DistUpgrade/xorg_fix_intrepid.py:
    - add script that is run after the upgrade that ensures that
      the xorg.conf file gets transitioned to a free driver if
      the proprietary one does not work for intrepid
    - transition from fglrx and nvidia-glx-{71,96} to the free
      driver (LP: #274303)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Sep 2008 14:16:56 +0200

update-manager (1:0.93.17) intrepid; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - fix typo (thanks to "Richie", LP: #271139)
  * DistUpgrade/DistUpgradeCache.py:
    - remove the landscape-client stub package on
      desktop upgrades

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py fix crash when translating dialogue
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 19 Sep 2008 00:24:58 +0100

update-manager (1:0.93.16) intrepid; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeController.py:
    - automatically add "relatime" to the mount options
      of ext2/ext3
  * UpdateManager/Core/MetaRelease.py:
    - fix typo (thanks to Daniel Garcia)
  * DistUpgrade/DistUpgradeCache.py:
    - fix the removal of obsolete kernel packages when the 
      old kernel abi package gets removed from -update and/or
      -security
  * UpdateManager/UpdateManager.py:
    - be more robust against server errors when fetching the
      changelogs (LP: #262982)
  * debian/control:
    - update the version dependency for python-apt, we need
      stuff from 0.7.5 (LP: #257781)
  * DistUpgrade/DistUpgradeView.py:#
    - make FuzzyTimeToStr() properly deal with plural forms
      (LP: #267234)
  
  [ Brian Murray ]
  * UpdateManager/UpdateManager.py:
    - preserve epoch in package version for changelogs at 
      launchpad.net (LP: #270527)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Sep 2008 14:15:18 +0200

update-manager (1:0.93.15) intrepid; urgency=low

  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - fix incorrect import

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2008 14:41:41 +0200

update-manager (1:0.93.14) intrepid; urgency=low

  * po/*.po:
    - updated to the latest launchpad translations
  * DistUpgrade/DistUpgradeGettext.py:
    - add more robust version of gettext() that does not
      crash if incorrect number arguments is passed (LP: #269379)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Sep 2008 13:07:54 +0200

update-manager (1:0.93.13) intrepid; urgency=low

  * DistUpgrade/DistUpgrade.cfg:
    - better KeyDependencies for ubuntu-desktop to make the 
      detection more robust

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Sep 2008 21:56:11 +0200

update-manager (1:0.93.12) intrepid; urgency=low

  * DistUpgrade: load DistUpgradeViewKDE not KDE4
  * DistUpgradeViewKDE: Fix various translations
  * DistUpgradeViewKDE: Add window icon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 12 Sep 2008 13:17:52 +0100

update-manager (1:0.93.11) intrepid; urgency=low

  [ Jonathan Riddell ]
  * DistUpgradeViewKDE: don't use setHeaderHidden, doesn't exist in Qt 4.3
  * DistUpgradeViewKDE: Disable terminal button until terminal exists
	
  [ Michael Vogt ]
  * rename DistUpgradeViewKDE4.py to DistUpgradeViewKDE.py
    because adept runs this frontend explicitely (instead
    of letting dist-upgrade.py decide)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Sep 2008 12:42:10 +0200

update-manager (1:0.93.10) intrepid; urgency=low

  [ Jonathan Riddell ]
  * Add missing debian/update-manager-kde.install
  
  [ Michael Vogt ]
  * transition landscape.canonical.com to the main repository
    (LP: #268551)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Sep 2008 15:55:47 +0200

update-manager (1:0.93.9) intrepid; urgency=low

  * do not build depend on nvidia-common for lpia

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Sep 2008 13:56:20 +0200

update-manager (1:0.93.8) intrepid; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - transition "kubuntu-desktop-kde4" to "kubuntu-desktop"
      (thanks to Jonathan Riddell)
  * DistUpgrade/DistUpgradeCache.py,
    DistUpgrade/DistUpgradeController.py:
    - fixes in the "AllowUnauthenticated" code (thanks to Adam
      Conrad)
  * debian/update-manager-hildon.install:
    - install only selected bits from Comon/
  
  [ Emmet Hikory ]
  * Removed check to set automatic notifications in update-manager-hildon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Sep 2008 19:41:04 +0200

update-manager (1:0.93.7) intrepid; urgency=low

  * Move Common/utils.py to update-manager-core
  * Fix build when rebuilding with -nc
  * UpdateManager/DistUpgradeFetcherKDE.py shouldn't import ReleaseNotesViewer
  * DistUpgrade/cdromupgrade should be intrepid

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Sep 2008 23:04:42 +0100

update-manager (1:0.93.6) intrepid; urgency=low

  * Make DistUpgradeFetcherKDE.py work as a module not just a standalone script

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Aug 2008 13:32:25 +0100

update-manager (1:0.93.5) intrepid; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - install new recommends on the hardy->intrepid upgrade
      (unless overwriten with the RELEASE_UPGRADE_NO_RECOMMENDS
       environment)
  * AutoUpgradeTester/UpgradeTestBackendQemu.py:
    - run ssh in the auto tester with "-t"
  * UpdateManager/UpdateManager.py:
    - fix plural forms (thanks to Bruce Cowan, LP: #189921)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - show kB/sec (LP: #257778)

  [ Jonathan Riddell ]
  * Add KDE upgrade checking tools for use by Adept

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Aug 2008 15:19:01 +0100

update-manager (1:0.93.4) intrepid; urgency=low

  * DistUpgrade/removal_blacklist.cfg:
    - add openssh-blacklist-extra and openssh-extra
  * UpdateManager/UpdateManager.py:
    - do not crash if lsb_release can not be run (LP: #255319)
  * DistUpgrade/DistUpgradeApport.py:
    - do not generate apport reports against a package if
      the error indicates that its a full disk, this is a bug
      in update-manager than (failed to do the full disk checking)
  * DistUpgrade/DistUpgrade.cfg:
    - force obsoletion of cups-pdf on ubuntu-desktop, kubuntu-desktop
      and xubuntu-desktop
  * DistUpgrade/DistUpgradeController.py:
    - increase KERNEL_INITRD_SIZE a bit

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Aug 2008 19:40:46 +0200

update-manager (1:0.93.3) intrepid; urgency=low

  * fix ftbfs on powerpc

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 21:20:59 +0200

update-manager (1:0.93.2) intrepid; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - work around problem with packages with no priority
      (LP: #253255)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - detect ctrl-c presses in the terminal and warn the 
      user that it will kill the upgrade (LP: #90866)
  * DistUpgrade/DistUpgrade.cfg:
    - when being run by the sandbox-upgrader, do not 
      reboot automatically after the upgrade finished
  * DistUpgrade/DistUpgradeController.py:
    - when a upgrade is cancelt due to network errors, 
      inform that the downloaded files will be kept 
      (LP: #242111)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 20:37:52 +0200

update-manager (1:0.93.1) intrepid; urgency=low

  * UpdateManager/UpdateManager.py:
    - make the init_proxy stuff look for the apt.conf proxy 
      as well (thanks to vega--)
  * do-release-upgrade:
    - unify proxy configuration between gtk and cli UI
  * fix FBTFS by removing the kdepyuic calls during build
    (no longer needed in qt4)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jul 2008 11:29:00 +0200

update-manager (1:0.93) intrepid; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - fix typo (LP: #252195)
  * DistUpgrade/DistUpgradeController.py:
    - fix crash in cleanup code
  
  [ Jonathan Riddell ]
  * port the kde frontend to qt4

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jul 2008 09:01:45 +0200

update-manager (1:0.92) intrepid; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - use nvidia-common to detect what driver package is needed
      and install it if the user had a previous nvidia driver 
    (thanks to Alberto Milone)
  * improvements to the NonInteractive frontend

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Jul 2008 09:26:47 +0200

update-manager (1:0.91.10) intrepid; urgency=low

  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - improved error handling for people who run
      /tmp with noexec (LP: #219518)
  * DistUpgrade/ReleaseAnnouncement:
    - fixes in the announcement text (thanks to 
      Brian Murray, LP: #250693)
  * DistUpgrade/removal_blacklist.cfg:
    - remove nvidia-glx from the removal blacklist,
      the naming schema changed in intrepid and the
      old packages need to go way (LP: #249329)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Jul 2008 12:04:34 +0200

update-manager (1:0.91.9) intrepid; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - make the default meta-release location easily 
      changable via /etc/update-manager/meta-release
  * data/meta-release:
    - make the default configuration easier configurable
  * data/release-upgrades:
    - default to "normal" upgrades for intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Jul 2008 13:30:28 +0100

update-manager (1:0.91.8) intrepid; urgency=low

  * data/glade/UpdateManager.glade:
    - make the shortcut key in the auto-updates dialog
      consistent with the main one (LP: 246321)
  * DistUpgrade/ReleaseAnnouncement:
    - updated for intrepid (LP: #246538)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Jul 2008 14:40:14 +0300

update-manager (1:0.91.7) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - add logging for kept packages
    - make the "use-network" question on cdrom upgrades
      more clear (LP: #229508)
    - do not just exit on upgrades with errors but show
      a proper finished message
  * DistUpgrade/DistUpgradeApport.py:
    - only run apport-{gtk,qt} if DISPLAY is set
  * DistUpgrade/DistUpgradeView{Gtk,KDE}.py:
    - do not show a error dialog for folloup errors from
      earlier errors (thanks to Alexander Sack for the report)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 02 Jul 2008 13:10:56 +0200

update-manager (1:0.91.6) intrepid; urgency=low

  * Make "--mode={server,desktop}" obsolete by adding automatic
    detection for this. This eliminates the bugreports where
    people run the text do-release-upgrade client that defaults
    to server mode
  * UpdateManager/UpdateManager.py:
    - improve the changelog version number scanner
    - if no information is available yet, display a launchpad link
      for interested people (not fetching from there automatically to
      not hammer LP too much)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jun 2008 17:33:30 +0200

update-manager (1:0.91.5) intrepid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - support "old-releases.ubuntu.com" as a valid mirror and
      auto transition from that to the regular archive 
      (LP: #235527)
    - add extra paraonoia when adding a missing admin group
      (thanks to LaMont Jones) LP: #241723
  * UpdateManager/ChangelogViewer.py:
    - support "exo-open" (xfce) too (LP: #240473)
  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * DistUpgrade/DistUpgradeController.py:
    - fix typo and unfuzzy translations (LP: #220505)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - remove ports.ubuntu.com from powerpc, it is not available on
      ports.ubuntu.com but on archive.ubuntu.com (LP: #241729)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Jun 2008 20:02:50 +0200

update-manager (1:0.91.4) intrepid; urgency=low

  * update-manager:
    - string fixes (LP: #230865)
  * UpdateManager/UpdateManager.py:
    - support selecting/dselecting entire update 
      categories by double clicking on the list header

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Jun 2008 12:22:35 +0200

update-manager (1:0.91.3) intrepid; urgency=low

  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2008 12:25:11 +0200

update-manager (1:0.91.2) intrepid; urgency=low

  [ Brian Murray ]
  * String fix for "a unresolvable problem" (LP: #196269)
  * String fix for "A upgrade to" (LP: #196229)
  * String fix for "is in a inconsistent state" (LP: #197015)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 May 2008 17:19:29 +0200

update-manager (1:0.91.1) intrepid; urgency=low

  * debian/control:
    - add missing python-vte dependency to update-manager-hildon

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 May 2008 11:47:18 +0200

update-manager (1:0.91) intrepid; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix bug in withNetwork value propergation (LP: #227197)
  * DistUpgrade/DistUpgradeController.py:
    - fix bug with sources.list rewriting when mixed
      deb http://unknown-miror\ndeb-src http://known-mirror 
      entries are used (#221730)
  * UpdateManager/Common/utils.py:
    - fix inhibit path (LP: #140754), thanks to 
      Andreas Dalsgaard
  * DistUpgrade/DistUpgradeViewText.py:
    - use sensible-pager first and fallback to "more" if
      that is not available (thanks to Mithrandir)
  * DistUpgradeView{Gtk,KDE,Text}.py:
    - only overwrite the DEBIAN_FRONTEND if it is not set
      already (thanks to Guy Sheffer)
  * UpdateManagerHildon/UpdateManagerHildon.py:
    - add hildon support (thanks to Tollef Fog Heen and
      Emmet Hikory)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 21 May 2008 18:01:07 +0200

update-manager (1:0.90.0) intrepid; urgency=low

  * merged branches:
    - ~alefteris/update-manager/alefteris (thanks!)
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - do not crash if the tarfile can not be read (LP: #203504)
  * fix a bunch of spelling mistakes (LP: #213040), thanks
    to Peter Cordes
  * AutoUpgradeTester/automatic-upgrade-testing:
    - add "--additional-pkgs" argument that can be used to install
      the given packages (seperated with ",") into the VM before 
      the upgrade is performed
  * DistUpgrade/DistUpgradeConfigParser.py:
    - write error to log in getListFromFile() if file is not
      found
  * DistUpgrade/DistUpgradeCache.py:
    - fix plural form text (LP: #226695)
  * update-manager-core.install, update-manager.install:
    - move the DistUpgrade part into update-manager-core
  * DistUpgrade/DistUpgradeController.py, update-manager, dist-upgrade.py:
    - move partialUpgrade() functionality into the controller and
      expose it with --partial in dist-upgrade.py
  * DistUpgrade/DistUpgrade.cfg:
    - prepare for hardy->intrepid upgrades
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 May 2008 10:02:16 +0200

update-manager (1:0.87.27) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - make networkless upgrades more robust (LP: #227197)
  * po/ko.po:
    - fix translation for y/n prompt so that korean users
      can actually continue (LP: #223419)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - work around hang in svg loader (LP: #186465)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 May 2008 13:47:12 +0200

update-manager (1:0.87.26) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - run in server mode on a server CD (LP: #222895)
    - deal with the landscape.canonical.com repository
      (LP: #224308)
  * DistUpgrade/DistUpradeCache.py:
    - make the code more robust against unavailable
      package records (LP: #223619)
  * DistUpgrade/cdromupgrade:
    - allow passing of arguments (like --mode=server)
      to better support server upgrades with the dvd
      (LP: #222895)
  * po/uk.po:
    - fix translation so that it gets the expected 
      number of arguments (LP: #224294)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Apr 2008 22:15:44 +0200

update-manager (1:0.87.25) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeApport.py:
    - fix typo in log dir (LP: #223743)
  * DistUpgrade/DistUpgradeController.py:
    - if the "Crux" theme is used on dapper during the upgrade, 
      switch to "Human" because Crux is known to crash 
      (LP: #69124)
  * DistUpgrade/DistUpgradeCache.py:
    - do not crash if a meta package is not available in 
      the cache (e.g. xubuntu-desktop that moved from main 
      to universe)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - fix incorrect xubuntu-desktop detection
  * DistUpgrade/DistUpgradeView.py:
    - make sure that self.confirmChangesMessage is always 
      initialized (LP: #221023)
  * DistUpgrade/mirrors.cfg:
    - added missing russion mirror (LP: #221730)
    - fixed incorrect mirror lines
  * DistUpgrade/DistUpgrade.cfg:
    - better detection to missing dependencies to fix
      ubuntustudio-desktop upgrade problem (LP: #219659)
  * util/demotions.py:
    - do not consider powerpc anymore, its not available on
      archive.ubuntu.com anymore
  * debian/rules:
    - do not run tests in arch-build target (only useful
      when there is a development release available to upgrade to)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Apr 2008 12:49:16 +0200

update-manager (1:0.87.24) hardy; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - modified https url to http so it is clickable (LP: #220386)
  * po/en_GB.po:
    - unfuzzy typo correction

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Apr 2008 14:58:17 -0700

update-manager (1:0.87.23) hardy; urgency=low

  * DistUpgrade/DistUpgrade.cfg.dapper:
    - Add 'bash' to BaseMetaPkgs. This is needed because ubuntu-meta
      was uploaded into dapper-updates and that means that we the
      detection of a missing main archive in sources.list will not
      work correctly (LP: #220078)
  * DistUpgrade/ReleaseAnnouncement:
    - updated in preparation for the final release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Apr 2008 18:07:31 +0200

update-manager (1:0.87.22) hardy; urgency=low

  * UpdateManager/UpdateManager.py:
    - only set http proxy if hostname/port is valid (LP: #219227)
  * DistUpgrade/DistUpgradeController.py: 
    - some more debug logging 
    - fix missing cache open
    - smaller default network time out
    - run the initial cache.update() on the unmodified sources.list
      with only a single retry because it may contain sources that 
      do not respond

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 19 Apr 2008 00:18:25 +0200

update-manager (1:0.87.21) hardy; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - transition sparc users to ports.ubuntu.com on upgrade
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - point to ports.ubuntu.com when fetching 
      release-upgrader-{apt,dpkg} on dapper->hardy upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Apr 2008 20:24:19 +0200

update-manager (1:0.87.20) hardy; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - fix incorrect _() call (thanks to Timo Jyrinki)
  * DistUpgrade/mirrors.cfg:
    - fix ports.ubuntu.com mirror URI (LP: #215346)
  * run dpkg with --force-overwrite by default on the server
    too to make the upgrade more robust. this can be overwriten
    with the RELEASE_UPGRADE_NO_FORCE_OVERWRITE environment

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Apr 2008 21:37:49 +0200

update-manager (1:0.87.19) hardy; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - only try to upgrade held-back packages in the 
      edgyQuirks handler if they are actually upgradable 
      (thanks to Lamont Jones and James Troup)
  * po/fi.po
    - unfuzzy string (thanks to Timo Jyrinki)

